(function($) {
    
    //关闭当前窗口
    appcan.button("#nav-left", "btn-act",function() {
        appcan.window.close(-1);
    });
    
    //关闭当前窗口
    appcan.button("#loginOut", "btn-act",function() {
        
        pop.confirm(0,"","确认退出当前用户？",function(data){
            if(data==0){

                 //主动退出上报
                 postExit();

                //缓存计算(主要计算详情页数据的缓存量)
                 appcan.locStorage.setVal("loginState", "no");
                 appcan.locStorage.setVal('userId',"");
                 appcan.locStorage.setVal("userInfo", "");
                 appcan.locStorage.setVal("opt_token", "");
                 
                 if(!isSML){
                     //解绑极光推送
                     var params = {
                        alias : ""
                     };                        
                     var  jpushInfo= JSON.stringify(params); 
                     uexJPush.setAlias(jpushInfo);
                 }
                 
                 appcan.window.publish("isLogined","no");
                 
                 $("#loginOut").addClass("uhide");
                 
                 pop.notice("已退出登录");
                 setTimeout(function(){
                     appcan.window.close(-1);
                 },3000);
            }
        })
    });
    
    
    appcan.ready(function() {
        $.scrollbox($("body")).on("releaseToReload",function() { //After Release or call reload function,we reset the bounce
           //this.reset();
           
        }).on("onReloading",function(a) { //if onreloading status, drag will trigger this event
            
        }).on("dragToReload",function() { //drag over 30% of bounce height,will trigger this event
            
        }).on("draging",function(status) { //on draging, this event will be triggered.
            
        }).on("release",function() { //on draging, this event will be triggered.
            
        }).on("scrollbottom",function() { //on scroll bottom,this event will be triggered.you should get data from server
            
        });
        var pushStatus = appcan.locStorage.val("pushStatus") || "";
        if(isDefine(pushStatus)){
            if(pushStatus == "yes"){
                $('#push').removeClass('push_bc_false');
                $('#push').addClass('push_bc_ok');
                $('#push').attr("data-checked", 'true');
            }else{
                $('#push').removeClass('push_bc_ok');
                $('#push').addClass('push_bc_false');
                $('#push').attr("data-checked", 'false');
            }
        }
        appcan.window.subscribe("backToIndex",function(){
            appcan.window.close(0);
        });
        
        $(".versionCode").html(versionCode);
        
        //功能方法初始默认执行
        
        if(isLogined()){
            $("#loginOut").removeClass("uhide");
        }
        
        //开关
        appcan.button("#pushOn", "btn-bgc-act", function() {
            if ($('#push').attr("data-checked") == 'true') {//变为不接收
                $('#push').removeClass('push_bc_ok');
                $('#push').addClass('push_bc_false');
                $('#push').attr("data-checked", 'false');
                
                //解绑极光推送
                var params = {
                    alias : ""
                };                        
                var  jpushInfo= JSON.stringify(params); 
                uexJPush.setAlias(jpushInfo);
                appcan.locStorage.setVal("pushStatus","no");
            } else {//变为接收
                $('#push').removeClass('push_bc_false');
                $('#push').addClass('push_bc_ok');
                $('#push').attr("data-checked", 'true');
                
                if(isLogined()){
                    //绑定极光推送
                    var userInfo = appcan.locStorage.val("userInfo");
                    var params = {
                        alias : JSON.parse(userInfo).userId+""
                    };                        
                    var  jpushInfo= JSON.stringify(params); 
                    uexJPush.setAlias(jpushInfo);
                }
                
                appcan.locStorage.setVal("pushStatus","yes");
            }
         })
    })
    
    //自定义相关方法
    var aboutClick = true;
    appcan.button(".about", "btn-act", function() {
        json = {
            "title":"关于我们",
            "newsId":151,  
        };
        appcan.locStorage.val("newsOne",json);
        appcan.window.open("airDynamic_personalcenterwenti","airDynamic_personalcenterwenti.html",10);
    })

    //上报主动退出
    function postExit(){
        var userInfo = appcan.locStorage.val("userInfo");
        userInfo=JSON.parse(userInfo);
        
        var if_list = {
            "transcode" : "userinfo_loginout",
            "content" : {
                "UserId" : userInfo.userId
            },
            "headers":getHeaders()
        };

        //console.log(JSON.stringify(if_list));
        appcan.request.ajax({
            url : appAjax.westAirUrl, //接口地址
            headers : "",
            appVerify : true,
            data : if_list,
            type : "POST",
            timeout : "30000",
            contentType : "application/json",
            dataType : "json",
            success : function(res) {//数据请求成功
                //console.log("主动退出结果返回===>");
                //console.log(res);
            },
            error : function(err) {
                //console.log(err);                
            }
        });
    }

})($);
