(function($) {
    
    //关闭当前窗口
    appcan.button("#nav-left", "btn-act",function() {
        appcan.window.close(-1);
    });

    //清除用户名文本框
    appcan.button("#ticketNameClear", "btn-act", function() {
        var userNameVal=$("#ticketName").val();
        isDefine("userNameVal")?$("#ticketName").val(''):"";
        $("#ticketName_clear").addClass("uhide");
    })
    //动态失去焦点显示icon
    $('#ticketName').bind({
         "input propertychange":function() { 
            var userName=$("#ticketName").val();
            if(isDefine(userName)){
                $("#ticketName_clear").removeClass("uhide");
            }else{
                $("#ticketName_clear").addClass("uhide");
            }
         },        
         "focus":function(){
            var userName=$("#ticketName").val();
            if(isDefine(userName)){
                $("#ticketName_clear").removeClass("uhide");
            }else{
                $("#ticketName_clear").addClass("uhide");
            }              
        },
        "blur":function() { 
            $("#ticketName_clear").addClass("uhide");
        }
    });
    
    appcan.ready(function() {

        //加载个人资料显示信息
        userInfo = appcan.locStorage.val("userInfo");
        userInfo = JSON.parse(userInfo);
        $("#ticketName").val(userInfo.userLinkEmail);
        
        //监听返回首页关闭所有页面
        appcan.window.subscribe("backToIndex",function(){
            appcan.window.close(0);
        }) 
                
        //功能方法初始默认执行
        appcan.button("#ticket", "btn-act", function() {
            
            var ticketName = $("#ticketName").val().trim();      
            if (!isDefine(ticketName)) {
                pop.notice('请输入联系邮箱');
                return false;
            }
            var filter  = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
            if (!filter.test(ticketName))
            {
               pop.notice('联系邮箱格式错误');
               return false;                     
            }       
            
            var userInfo = appcan.locStorage.val("userInfo");
            userInfo = JSON.parse(userInfo);
            var content = {
                "userId":userInfo.userId,
                "userLinkEmail":ticketName,
                "type":4
            };
            userInfoViewObj.userInfo(content);        
        })        

        
        
    })
    
    //自定义相关方法


})($);