    var istouchMove=0;
    
    var startx, starty;
    //获得角度
    function getAngle(angx, angy) {
        return Math.atan2(angy, angx) * 180 / Math.PI;
    };
 
    //根据起点终点返回方向 1向上 2向下 3向左 4向右 0未滑动
    function getDirection(startx, starty, endx, endy) {
        var angx = endx - startx;
        var angy = endy - starty;
        var result = 0;
 
        //如果滑动距离太短
        //alert(Math.abs(angx) + " " + Math.abs(angy))
        if (Math.abs(angx) < 1 && Math.abs(angy) < 1) {
            return result;
        }
 
        var angle = getAngle(angx, angy);
        if (angle >= -150 && angle <= -30) { //向上滑
            result = 1;
        } else if (angle > 30 && angle < 150) { //向下滑
            result = 2;
        } else if ((angle >= 170 && angle <= 180) || (angle >= -180 && angle < -170)) { //向左滑
            result = 3;
        } else if (angle >= -10 && angle <= 10) { //向右滑
            result = 4;
        }
 
        return result;
    }
        //手指接触屏幕
    document.addEventListener("touchstart", function(e) {
        startx = e.touches[0].pageX;
        starty = e.touches[0].pageY;
    }, false);
    //手指离开屏幕
    document.addEventListener("touchend", function(e) {
        var endx, endy;
        endx = e.changedTouches[0].pageX;
        endy = e.changedTouches[0].pageY;
        var direction = getDirection(startx, starty, endx, endy);
        switch (direction) {
            case 0:
                //alert("0-未滑动！");
                istouchMove = 0;
                break;
            case 1:
                //alert("1-向上！")
                istouchMove = 1;
                break;
            case 2:
                //alert("2-向下！")
                istouchMove = 2;
                break;
            case 3:
                //alert("3-向左！")
                istouchMove = 3;
                break;
            case 4:
                //alert("4-向右！")
                istouchMove = 4;
                break;
            default:
        }
    }, false);
    