(function($) {
    
     //发送验证码
    appcan.button("#getCode", "btn-act", function() {
        getCodeViewObj.sendCode(1);
    })
    
    //执行注册
    appcan.button("#doRegister", "btn-act", function() {
        var phoneNum=$("#userName").val();
        var code=$("#code").val();
        var passWord=$("#passWord").val();
        
        if(!isDefine(phoneNum)){
            pop.notice("请输入手机号");
            return;
        }
        
        if(!isDefine(code)){
            pop.notice("请输入验证码");
            return;
        }
        var kst = /^(?=.{6,14})(?=.*[a-zA-Z])(?=.*[0-9])[0-9a-zA-Z]*$/;
        if(!isDefine(passWord)){
            pop.notice("请输入密码");
            return;
        }        
        if (!kst.test(passWord)) {
            pop.notice('密码必须是(6-14位字母和数字)');
            return false;
        }
        if (passWord.length<6||passWord.length>14) {
            pop.notice('密码必须是(6-14位字母和数字)');
            return false;
        }
        if($(".ServerImg img").attr("checked") == "false"){
            pop.notice('请同意用户隐私条款');
            return false;
        }
        registerViewObj.register();
        
    })

    //清除用户名文本框
    appcan.button("#userNameClear", "btn-act", function() {
        var userNameVal=$("#userName").val();
        isDefine("userNameVal")?$("#userName").val(''):"";
        $("#userName_clear").addClass("uhide");
    })
    //动态失去焦点显示icon
    $('#userName').bind({
         "input propertychange":function() { 
            var userName=$("#userName").val();
            if(isDefine(userName)){
                $("#userName_clear").removeClass("uhide");
            }else{
                $("#userName_clear").addClass("uhide");
            }
         },        
         "focus":function(){
            var userName=$("#userName").val();
            if(isDefine(userName)){
                $("#userName_clear").removeClass("uhide");
            }else{
                $("#userName_clear").addClass("uhide");
            }              
        },
        "blur":function() { 
            $("#userName_clear").addClass("uhide");
        }
    });
    
    //显示和影藏用户密码
    appcan.button("#isShowPassword", "btn-act", function() {
        if($("#passWord").attr("isShow")==="0"){
            $("#passWord").attr("type","text");
            $(".login-pwd-hidden").attr("src","../image/login_hidden@2x.png");
            $("#passWord").attr("isShow","1");
        }else{
            $("#passWord").attr("type","password");
            $(".login-pwd-hidden").attr("src","../image/login_visble@2x.png");
            $("#passWord").attr("isShow","0");
        }
    })
    //同意说明
    appcan.button(".ServerImg", "",function() {
        if($(this).find("img").attr("checked") == "true"){
            $(this).find("img").attr("checked","false");
            $(this).find("img").attr("src","../image/form_radio.png");
        }else{
            $(this).find("img").attr("checked","true");
            $(this).find("img").attr("src","../image/form_tick@2x.png");
        }
    });
    //服务条款
    appcan.button(".serviceProvision", "btn-act",function() {
        json = {
            "title":"用户隐私条款",
            "newsId":330,
        };
        appcan.locStorage.val("newsOne",json);
        appcan.window.open("airDynamic_personalcenterwenti","airDynamic_personalcenterwenti.html",10);
    });
    //关闭
    appcan.button("#nav-left", "btn-act", function() {
        appcan.window.close(-1);
    })
    
    appcan.ready(function() {
         //功能方法初始默认执行
        
    })
    
    //自定义相关方法


})($);