var airDynamic_ActivityzoneModel=Backbone.Model.extend({
    parse:function(model,options){
        ////console.log("airDynamic_ActivityzoneModel==>");
        ////console.log(options);
        
        //有没有图片
        var picturesUrls = "";
        if(isDefine(model.picturesUrls)){
            picturesUrls='<img class="fimg" src='+model.picturesUrls+'?imageView2/2/w/682/h/373>'
        }        
        model.picturesUrls = picturesUrls;
        
        //有没有图片
        var linkUrlVal="";
        if(model.newsTypeId == 4){
            linkUrlVal=JSON.parse(model.content).linkUrl;
        }       
        model.linkUrlVal = linkUrlVal;     
                
        return model;
    }
});

var ActivityzoneCollection=Backbone.Collection.extend({
    model:airDynamic_ActivityzoneModel,
    service:getDataService,
    parse:function(resp){
        ////console.log("focuslist==>");
        ////console.log(resp);

        return resp.data.list;
    },
    sync:function(method,model,options){
        options.method=options.type;
        switch(method){
            case "create":
            case "update":
            case "patch":
                break;
            case "read":
                this.service.request(options.param,options);
                break;
            case "delete":
                break;
            default:
                break;
        }
    }
});

