var findPassWordModel = Backbone.Model.extend({
    service : postDataService,
    validate : function(attr, options) {
        //初始化验证的对象方法
        var validator = new Validator();
        
        if (!isDefine(attr.newpassword)) {
            return '请输入新密码';
        }
        if (!isDefine(attr.quepassword)) {
            return '请输入确认密码';
        }
        if(attr.newpassword.trim()!=attr.quepassword.trim())
        {
            return '两次输入密码一样';
        }
    },
    sync : function(method, model, options) {
        switch(method) {
            case 'create':
                //用户登录接口
                var yanzheng = appcan.locStorage.val("getCodes");
                yanzheng = JSON.parse(yanzheng);
                var conditions = {
                    "userMobile" : yanzheng.userMobile,
                    "newpassword":hex_md5(this.toJSON().newpassword),
                    'code' : yanzheng.code
                };
                var if_list = getInterface('findPassWord', conditions);
                
                //console.log("找回密码提交接口======>"+JSON.stringify(if_list));
                
                this.service.request(if_list,options);
                break;
            case 'update':
            case 'patch':
                break;
            case 'read':
                break;
            case 'delete':
                break;
            default:
                break;
        }
    }
})
