var forgetPassWordModel = Backbone.Model.extend({
    service : postDataService,
    validate : function(attr, options) {
        //初始化验证的对象方法
        var validator = new Validator();
        
        if (!isDefine(attr.username)) {
            return '请输入手机号';
        }else if(!validator.isPhone(attr.username)){
            return '手机号码格式错误';
        }
        if (!isDefine(attr.code)) {
            return '请输入验证码';
        }
    },
    sync : function(method, model, options) {
        switch(method) {
            case 'create':
                //用户登录接口
                var conditions = {
                    "username" : this.toJSON().username,
                    "code":this.toJSON().code
                };
                var if_list = getInterface('forgetPassWord', conditions);
                
                //console.log("忘记密码接口======>"+JSON.stringify(if_list));
                
                this.service.request(if_list,options);
                break;
            case 'update':
            case 'patch':
                break;
            case 'read':
                break;
            case 'delete':
                break;
            default:
                break;
        }
    }
})
