var getCodeModel = Backbone.Model.extend({
    service : postDataService,
    validate : function(attr, options) {
        //初始化验证的对象方法
        var validator = new Validator();
        
        if (!isDefine(attr.username)) {
            return '请输入手机号';
        }else if(!validator.isPhone(attr.username)){
            return '手机号码格式错误';
        }
    },
    sync : function(method, model, options) {
        switch(method) {
            case 'create':
                //用户登录接口
                var conditions = {
                    "username" : this.toJSON().username,
                    "optType":options.optType
                };
                var if_list = "";
                if(!isDefine(options.optType))
                {
                     if_list = getInterface('getxingCode', conditions);              
                }
                else
                {
                     if_list = getInterface('getCode', conditions);
                }
                
                //console.log("发送短信验证接口======>"+JSON.stringify(if_list));
                
                this.service.request(if_list,options);
                break;
            case 'update':
            case 'patch':
                break;
            case 'read':
                break;
            case 'delete':
                break;
            default:
                break;
        }
    }
})
