/*
 * getDataService用于请求服务器数据
 */
var getDataService={
    request:function(param,options){
        //检查网络
        getConnectStatus(function(msg){
            if(isDefine(msg)){
                if(msg == "-1"){
                    options.error("noNetwork");
                    return;
                }else{
                    appcan.request.ajax({
                        url:appAjax.westAirUrl,
                        headers:"",
                        type:"POST",
                        timeout:60000,
                        data:param,
                        appVerify : true,
                        dataType:"json",
                        contentType:"application/json",
                        success:function(res){
                            //console.log("getDataService==>");
                            //console.log(res);
                            
                            if(isDefine(res.token))
                            {
                               appcan.locStorage.setVal("opt_token", res.token); 
                            }
                            if(isDefine(res)){
                                if(res.flag=="0000"){
                                    //数据获取成功后返回
                                    options.success(res);
                                }else{
                                     //数据获取失败后返回
                                    options.error(res);
                                    if(res.errno=="4110"||res.errno=="3001")
                                    {
                                         getexitMd5();
                                    }                                    
                                }
                            }else{
                                 options.error(res);
                                 if(res.errno=="4110"||res.errno=="3001")
                                 {
                                     getexitMd5();
                                 }
                            }
                        },
                        error:function(err){
                            //请求失败后返回
                            options.error(err);
                            if(res.errno=="4110"||res.errno=="3001")
                            {
                                 getexitMd5();
                            }                        
                        },
                        complete: function(xhr, status){ //超时标识返回
                            if(status=="timeout"){
                                options.error("timeout");
                            }
                        }
                    })
                }
            }
            
        });
    }
};
_.extend(getDataService,Backbone.Events);

