var FocusOnView=Backbone.View.extend({
    initialize:function(option){
        
    },
    el : 'body',
    model : new FocusOnModel(),
    FocusOn:function(focuson){
        
        //var ks = JSON.stringify(conditions); 
        var if_list = getInterface("getFocusOn",focuson);
        
        //console.log("关注航班接口======>");
        //console.log(JSON.stringify(if_list));
        
        status=0;
        pop.loading();
        this.model.fetch({
            param:if_list,
            success:function(cols,resp,options){
                //console.log(" -->关注航班成功返回的结果=====>");
                //console.log(resp);
                
                //返回订单号
                if(resp.flag=="0000")
                {
                    $("#shixin").removeClass("kongxin");
                    $("#shixin").addClass("shixin");
                    $("#shixin").attr("data-qx",resp.data);
                    $("#shizi").html("取消关注");
                }
                status=1;
                
                 //友盟数据统计上报（航班动态关注量）
                if(!isSML){
                    var system=(isAndroid?"android":"ios");
                    var eventName = "flightAttention";
                    var data = {"system":system};
                    var json = JSON.stringify(data);
                    uexUmeng.onEvent(eventName, json);
                }
                pop.close();
            },
            error:function(cols,error,options){
                pop.close();
                if(isDefine(error)){ //不为 null
                    if(error == "noNetwork"){ //网络处理
                         pop.notice("请检查网络");
                    }
                    else if(error == "timeout"){ //超时处理
                         pop.notice("请求超时");
                    }else{ //后台错误码处理
                         pop.notice("关注失败,请重试");
                    }
                }else{
                    pop.notice("关注失败,请重试");
                }       
                //console.log("关注航班失败====>");
                //console.log(error);
            },
            add:true,
            remove:false,
            merge:true
        });
    },
    FocusOff:function(focusoff,type){
        
        //var ks = JSON.stringify(conditions); 
        var if_list = getInterface("getFocusOff",focusoff);
        
        //console.log("取消关注航班接口======>");
        //console.log(JSON.stringify(if_list));
        
        status=0;
        pop.loading();
        this.model.fetch({
            param:if_list,
            //typeId:typeId,
            success:function(cols,resp,options){
                //console.log(" -->取消关注航班成功返回的结果=====>");
                //console.log(resp);
                
                //返回订单号
                if(resp.flag=="0000")
                {
                   if(type==0)
                   {
                        $("#shixin").removeClass("shixin");
                        $("#shixin").addClass("kongxin");
                        $("#shixin").attr("data-qx","");
                        $("#shizi").html("添加关注");                         
                   }                  
                   var userInfo = JSON.parse(appcan.locStorage.val("userInfo"));   //获取登录用户ID查询
                   var findall={
                        "UserId":userInfo.userId
                   };
                   focuslistViewObj.load(findall);
                }
                status=1;
                pop.close();
            },
            error:function(cols,error,options){
                pop.close();
                if(isDefine(error)){ //不为 null
                    if(error == "noNetwork"){ //网络处理
                         pop.notice("请检查网络");
                    }
                    else if(error == "timeout"){ //超时处理
                         pop.notice("请求超时");
                    }else{ //后台错误码处理
                         pop.notice("网络错误,请重试");
                    }
                }else{
                    pop.notice("网络错误,请重试");
                }
                ////console.log("取消关注航班失败====>");
                ////console.log(error);
            },
            add:true,
            remove:false,
            merge:true
        });
    }
    
});

//初始化登录View层
FocusOnViewObj =new FocusOnView();