//默认列表模板 templateType==0
var activityTemplate=loadTemplate('mvc/templates/activity.html');

var ActivityView=Backbone.View.extend({
    initialize:function(option){
        this.model.view=this;
        this.render();
    },
    template:activityTemplate,
    render:function(){
        if(this.template){
                //模板填充生成DOM
                this.$el=$(this.template(this.model.attributes));
                
                var btn_key=1;
                appcan.button(this.$el,"btn-act",function(){
                    if(btn_key==1){
                        btn_key=0;
                        var $domObj=$(this);
                        
                        var newstypeid = $domObj.data('newstypeid');
                        var link = $domObj.data('link');
                        var newsid = $domObj.data('newsid');
                        var newstitle = $domObj.data('newstitle');
                        
                        if(newstypeid == 4){
                            //打开外链地址
                            var linkUrl = link;
                            if(isDefine(linkUrl)){
                                var openUrlParams={
                                    "title":"活动详情",
                                    "url":linkUrl
                                };
                                appcan.locStorage.setVal("openUrlParams",openUrlParams);
                                appcan.window.open("openUrl","html/openUrl.html",10);
                            }else{
                                pop.notice("链接失效");
                            }
                         }
                         else
                         {
                             var param = {
                                'title':newstitle,
                                'newsId':newsid
                            }
                            appcan.locStorage.val("newsOne",param);
                            appcan.window.open("airDynamic_personalcenterwenti","html/airDynamic_personalcenterwenti.html",10);
                         }                    
                         setTimeout(function(){btn_key=1;},1000);
                    }
                });            
           
            
        }
        return this;
    }
});

var ActivityzoneView=Backbone.View.extend({
    initialize:function(){
        this.listenTo(this.collection,"add",this.add);
        this.listenTo(this.collection,"remove",this.remove);
    },
    collection:new ActivityzoneCollection(),
    pageNum:1,
    objectId:"",
    pageCount:0,
    isOver:0,
    el:'#activity-ss',
    add:function(model,options){
        var view=new ActivityView({
            model:model
        });
        this.$el.append(view.$el);

    },
    remove:function(model){
        model.view.remove();
    },
    activity:function(type,Seckill,cb){
        //var ks = JSON.stringify(conditions);
        var self=this;
        if(type == 0){
            self.pageNum = 1;
            this.isOver=0;
            //先清空页面
            //$("#activity-ss").html("");
        }else{
            if((self.pageNum-1)*10 > self.pageCount){
                cb();
                ////console.log("超出总分条数");
                if(!this.isOver){
                    pop.notice("没有更多的数据咯~");
                    this.isOver=1;
                }
                return;
            }
        }
        Seckill.page.pageNo=self.pageNum;
        var if_list = getInterface("newsInfoGetNewsInfo",Seckill);
        
        //console.log("活动专区接口======>");
        //console.log(JSON.stringify(if_list));
        
        pop.loading();
        this.collection.fetch({
            param:if_list,
            success:function(cols,resp,options){
                //console.log(" -->活动专区返回的结果=====>");
                //console.log(resp);

                self.pageCount = resp.data.totalNum;
                $("#huodlists").addClass("uhide");
                if(type==0){
                    if(cols.length<=0){
                        $("#activity-ss").html(showNoInfo("暂无推荐活动信息"));
                    }else{
                        self.pageNum++;
                        $("#activity-ss").find('.noInfo').remove();
                    }
                }else {
                    if (resp.length <= 0) {
                        pop.notice("没有更多的数据咯~");
                    } else {
                        self.pageNum++;
                    }
                }
                
                
                if(cb){
                    pop.close();
                    cb();
                }
            },
            error:function(cols,error,options){
                //console.log("活动列表返回失败====>");
                //console.log(error);
                pop.close();
                if(isDefine(error)){ //不为 null
                    if(error == "noNetwork"){ //网络处理
                         pop.notice("请检查网络");
                    }
                    else if(error == "timeout"){ //超时处理
                         pop.notice("请求超时");
                    }else{ //后台错误码处理
                         pop.notice("获取数据失败,请重试");
                    }
                }else{
                    pop.notice("获取数据失败,请重试");
                }
                cb();
            },
            add:true,
            remove : (type == 0) ? true : false,
            merge:true
        });
    }
});

//初始化登录View层
ActivityzoneViewObj =new ActivityzoneView();
