
//model自处理方式，直接接收集合--专题主题获取
var airDynamic_personalcenterNewsView=Backbone.View.extend({
    initialize:function(){
        
    },
    model:new airDynamic_personalcenterNewsModel(),
    el : 'body',
    load:function(objId,conditions){
        pop.loading();
        var self=this;
        
        //接口参数--获取资讯详情
        var if_list = getInterface('newsInfoGetNewsInfo', conditions);
        //console.log("airDynamic_personalcenterNewsView详情接口===>");
        //console.log(JSON.stringify(if_list));
        
        //view从model拿数据
        this.model.fetch({
            param:if_list,
            success:function(cols,resp,options){
                $("#ScrollContent_airDynamic_personalcenterbangzhuzhongxin").css("display","block");
                pop.close();
                //console.log(" --> airDynamic_personalcenterNewsView详情返回====>");
                //console.log(resp.data);
                var list = resp.data.list;
                var newsListstr = "";
                for(var i=0;i<list.length;i++){
                    if(list[i].newsTitle.length > 14){
                        list[i].newsTitle = list[i].newsTitle.substring(0,14)+"...";
                    }
                    newsListstr +='<div class="ub ub-ver bg-white ub-pc div-xiaoxituisong" data-newstypeid='+list[i].newsTypeId+' data-newsId='+list[i].newsId+' >'
                                    +'<div class="uhide kuaidu">'+list[i].content+'</div>'
                                    +'<div class="ub ub-ac" >'
                                        +'<div class=""><span class="columnName">'+list[i].newsTitle+'</span></div>'
                                        +'<div class="ub ub-f1"></div>'
                                        +'<div class=""><img class="guanyu-jiantou" src="../image/arrow_right.png" /></div>'
                                    +'</div>'
                                +'</div>';
                }
                $(".newsList").append(newsListstr);
                appcan.button(".div-xiaoxituisong","btn-act",function(){
                    if($(this).data("newstypeid") == 4){
                        //打开外链地址
                        var linkUrl=$(this).find(".kuaidu").html();
                            linkUrl = JSON.parse(linkUrl);
                        if(isDefine(linkUrl.linkUrl)){
                            var openUrlParams={
                                "title":$(this).find(".columnName").html(),
                                "url":linkUrl.linkUrl
                            };
                            appcan.locStorage.setVal("openUrlParams",openUrlParams);
                            appcan.window.open("openUrl","openUrl.html",10);
                        }else{
                            pop.notice("链接失效");
                        }
                     }
                     else
                     {
                        var param = {
                          'title':$(this).find(".columnName").html(),
                          'newsId':$(this).attr("data-newsId")
                        }
                        appcan.locStorage.val("newsOne",param);
                        appcan.window.open("airDynamic_personalcenterwenti","airDynamic_personalcenterwenti.html",10);
                    }
                });
                
            },
            error:function(cols,error,options){
                //console.log("airDynamic_personalcenterNewsView获取数据错误====>");
                //console.log(error);
                pop.close();
                if(isDefine(error)){ //不为 null
                    if(error == "timeout"){ //超时处理
                         pop.notice("请求超时");
                         setTimeout(function(){
                            appcan.window.close(-1);
                        },2000);
                    }else if(error == "noNetwork"){
                        pop.notice("请检查网络");
                        setTimeout(function(){
                            appcan.window.close(-1);
                        },2000);
                    }else{ //后台错误码处理
                        pop.notice("系统错误");
                        setTimeout(function(){
                            appcan.window.close(-1);
                        },2000);
                    }
                }else{
                    pop.notice("系统错误");
                    setTimeout(function(){
                        appcan.window.close(-1);
                    },2000);
                }
            }
            
        });
    }
});

var airDynamic_personalcenterNewsViewObj=new airDynamic_personalcenterNewsView();


