
//model自处理方式，直接接收集合--专题主题获取
var airMessagesView=Backbone.View.extend({
    initialize:function(){
        
    },
    model:new airMessagesModel(),
    el : 'body',
    load:function(objId,conditions){
        pop.loading();
        var self=this;
        
        //接口参数--获取资讯详情
        var if_list = getInterface('newsInfoGetNewsInfo', conditions);
        ////console.log("airMessagesView详情接口===>");
        ////console.log(JSON.stringify(if_list));
        
        //view从model拿数据
        this.model.fetch({
            param:if_list,
            success:function(cols,resp,options){
                ////console.log(" --> airMessagesView详情返回====>");
                ////console.log(resp.data);
                pop.close();
                $("#messageLists").empty();
                $("#ScrollContent_airMessages").css("display","block");
                var param = resp.data.list;
                var str = "";
                var date = new Date(param[0].publishTime).getTime();
                for(var i=0;i<param.length;i++){
                    if(new Date(param[i].publishTime).getTime() == date){
                        if(i == 0){
                            str += '<div class="messages m-t8">'+
                                    '<div class="dateTitle">'+
                                        '<span class="font5">'+param[i].publishTime+'</span>'+
                                    '</div>'+
                                    '<div class="messageList m-t8">';
                        }
                    }else{
                        date = new Date(param[i].publishTime).getTime();
                        str += '</div></div><div class="messages m-t8">'+
                                '<div class="dateTitle">'+
                                    '<span class="font5">'+param[i].publishTime+'</span>'+
                                '</div>'+
                                '<div class="messageList m-t8">';
                    }
                    if(param[i].showType == 1){
                        str += '<div class="messageType1 message-btn bg-white p-tb" data-newsId='+param[i].newsId+'>'+
                                        '<div class="web-width">'+
                                            '<img class="m-b5" src="'+param[i].picturesUrls+'?imageView2/2/w/682/h/373"/>'+
                                            '<div class="ub messageTitle font4">'+
                                                '<div class="ub-f1 titleName">'+param[i].newsTitle+'</div>'+
                                                '<img class="" src="../image/arrow_right@2x.png" />'+
                                            '</div>'+
                                            '<div class="messageTime m-t5 font4">'+
                                                '<div class="grey font6">活动时间：<span class="contentMs">'+param[i].summary+'</span></div>'+
                                            '</div>'+
                                        '</div>'+
                                    '</div>';
                    }else{
                        str += '<div class="messageType2 message-btn bg-white" data-newsId='+param[i].newsId+'>'+
                            '<div class="web-width p-tb bor-b">'+
                                '<div class="ub messageTitle font4">'+
                                    '<div class="ub-f1 titleName">'+param[i].newsTitle+'</div>'+
                                    '<img class="" src="../image/arrow_right@2x.png" />'+
                                '</div>'+
                                '<div class="messageTime m-t5 font5">'+
                                    '<div class="grey font6 contentMs">'+param[i].summary+'</span></div>'+
                                '</div>'+
                            '</div>'+
                        '</div>';
                    }
                }
                str += '</div></div>';
                $("#messageLists").append(str);
                
                appcan.button(".message-btn", "btn-act",function() {
                    var json = {
                        'title':$(this).find(".titleName").html(),
                        'newsId':$(this).attr("data-newsId")
                    }
                    appcan.locStorage.val("newsOne",json);
                    appcan.window.open("airDynamic_personalcenterwenti","airDynamic_personalcenterwenti.html",10);
                });
            },
            error:function(cols,error,options){
                ////console.log("airMessagesView获取数据错误====>");
                ////console.log(error);
                pop.close();
                if(isDefine(error)){ //不为 null
                    if(error == "timeout"){ //超时处理
                         pop.notice("请求超时");
                         setTimeout(function(){
                            appcan.window.close(-1);
                        },2000);
                    }else if(error == "noNetwork"){
                        pop.notice("请检查网络");
                        setTimeout(function(){
                            appcan.window.close(-1);
                        },2000);
                    }else{ //后台错误码处理
                        pop.notice("系统错误");
                        setTimeout(function(){
                            appcan.window.close(-1);
                        },2000);
                    }
                }else{
                    pop.notice("系统错误");
                    setTimeout(function(){
                        appcan.window.close(-1);
                    },2000);
                }
            }
            
        });
    }
});

var airMessagesViewObj=new airMessagesView();


