
//model自处理方式，直接接收集合--专题主题获取
var airTicketBookingNewsInfoView=Backbone.View.extend({
    initialize:function(){
        
    },
    model:new airTicketBookingNewsInfoModel(),
    el : 'body',
    load:function(objId,conditions){
        var self=this;
        
        //接口参数--获取资讯详情
        var if_list = getInterface('newsInfoGetNewsInfo', conditions);
        ////console.log("airTicketBookingNewsInfoView详情接口===>");
        ////console.log(JSON.stringify(if_list));
        
        //view从model拿数据
        this.model.fetch({
            param:if_list,
            success:function(cols,resp,options){
                ////console.log(" --> airTicketBookingNewsInfoView详情返回====>");
                ////console.log(resp.data);
                var newsInfos = resp.data.list;
                var slidStr = "";
                for(var i=0;i<newsInfos.length;i++){
                    var content = JSON.parse(newsInfos[i].content) || "";
                    if(content != ""){
                        slidStr+='<div class="swiper-slide" data-url='+content.linkUrl+'><img src='+newsInfos[i].picturesUrls+' /></div>';
                    }else{
                        slidStr+='<div class="swiper-slide"><img src='+newsInfos[i].picturesUrls+' /></div>';
                    }
                }
                $("#banner .swiper-wrapper").append(slidStr);
                
                $("#ScrollContent_TicketBooking").css("display","block");
                pop.close();
                //banner
                var mySwiper = new Swiper('#banner .swiper-container',{
                    pagination : '.swiper-pagination',
                    paginationType : 'bullets'
                })
                //图片点击跳转
                appcan.button("#banner .swiper-slide","btn-act",function(){
                    var openUrlParams={
                        "title":"新的页面",
                        "url":$(this).attr("data-url")
                     }
                    appcan.locStorage.setVal("openUrlParams",openUrlParams);
                    appcan.window.open("openUrl","html/openUrl.html",10);
                })
                
            },
            error:function(cols,error,options){
                ////console.log("airTicketBookingNewsInfoView获取数据错误====>");
                ////console.log(error);
                pop.close();
                if(isDefine(error)){ //不为 null
                    if(error == "timeout"){ //超时处理
                         pop.notice("请求超时");
                         setTimeout(function(){
                            appcan.window.close(-1);
                        },2000);
                    }else if(error == "noNetwork"){
                        pop.notice("请检查网络");
                        setTimeout(function(){
                            appcan.window.close(-1);
                        },2000);
                    }else{ //后台错误码处理
                        pop.notice("系统错误");
                        setTimeout(function(){
                            appcan.window.close(-1);
                        },2000);
                    }
                }else{
                    pop.notice("系统错误");
                    setTimeout(function(){
                        appcan.window.close(-1);
                    },2000);
                }
            }
            
        });
    }
});

var airTicketBookingNewsInfoViewObj=new airTicketBookingNewsInfoView();


