//默认列表模板 templateType==0
var airTicketBookingResultTemplate=loadTemplate('../mvc/templates/airTicketBookingResultTempate.html');

var airTicketBookingResultView=Backbone.View.extend({
    initialize:function(option){
        this.model.view=this;
        this.render();
    },
    template:airTicketBookingResultTemplate,
    render:function(){
        //console.log("数据");
        //console.log(res);
        //判断单程往返
        var goBackType = $("#goBackType").val();
        //查票时间
        var resDate = "";
        if(goBackType == 2){
            resDate = res.backDate;
        }else{
            resDate = res.beginDate;
        }
        var backCity = appcan.locStorage.val("backCity") || "";
        if(backCity != ""){
            backCity = JSON.parse(appcan.locStorage.val("backCity"));
        }else{
            pop.notice("系统错误");
            setTimeout(function(){
                appcan.window.close(-1);
            },2000);
        }
        //是否国际
        var international = appcan.locStorage.val("international") || "";
        if(!isDefine(international)){
            pop.notice("系统错误");
            setTimeout(function(){
                appcan.window.close(-1);
            },2000); 
        }
        //最初选择的时间
        var goBeginDate = "";
        if(goBackType == 2){
            goBeginDate = appcan.locStorage.val("backBeginDate") || "";
            if(!isDefine(goBeginDate)){
                pop.notice("系统错误");
                setTimeout(function(){
                    appcan.window.close(-1);
                },2000); 
            }
        }else{
            goBeginDate = appcan.locStorage.val("goBeginDate") || "";
            if(!isDefine(goBeginDate)){
                pop.notice("系统错误");
                setTimeout(function(){
                    appcan.window.close(-1);
                },2000); 
            }
        }
        
        //console.log(backCity);
        if(!this.model.attributes.go){
            return;
        }
        var goOrTo = "";
        if(goBackType == 2){
            goOrTo = this.model.attributes.back;
        }else{
            goOrTo = this.model.attributes.go;
        }
        $(".ticketsList").empty();
        var thisOjb = this;
        var beginDate = goOrTo[resDate] || "";
        //console.log("beginDate"+goOrTo[resDate]);
        
        //当前时间
        var JsNow = new Date();
        var nowMonth = "";
        var nowDay = "";
        if((JsNow.getMonth()+1)<10){
            nowMonth = "0"+(JsNow.getMonth()+1);
        }else{
            nowMonth = (JsNow.getMonth()+1);
        }
        if(JsNow.getDate()<10){
            nowDay = "0"+JsNow.getDate();
        }else{
            nowDay = JsNow.getDate();
        }
        JsNow = JsNow.getFullYear()+"-"+nowMonth+"-"+nowDay;
        
        //计算天数差
        function  DateDiff(sDate1,  sDate2){    //sDate1和sDate2是2006-12-18格式    
              var  aDate,  oDate1,  oDate2,  iDays;   
              aDate  =  sDate1.split("-");  
              oDate1  =  new  Date(aDate[1]  +  '/'  +  aDate[2]  +  '/'  +  aDate[0]);    //转换为12-18-2006格式    
              aDate  =  sDate2.split("-");    
              oDate2  =  new  Date(aDate[1]  +  '/'  +  aDate[2]  +  '/'  +  aDate[0]);    
              iDays  =  parseInt((oDate1  -  oDate2)  /  1000  /  60  /  60  /24);    //把相差的毫秒数转换为天数   
              return  iDays;
        }
        
        
        var nowDateStr = resDate.replace(/-/g,"/");
        var nowDate = new Date(nowDateStr);
        var t1=nowDate.getTime()-1000*60*60*24;
        var yesterdayDate=new Date(t1);
        var month = "";
        var day = "";
        if((yesterdayDate.getMonth()+1)<10){
            month = "0"+(yesterdayDate.getMonth()+1);
        }else{
            month = (yesterdayDate.getMonth()+1);
        }
        if(yesterdayDate.getDate()<10){
            day = "0"+yesterdayDate.getDate();
        }else{
            day = yesterdayDate.getDate();
        }
        //前一天时间
        var yesterday = yesterdayDate.getFullYear()+"-"+month+"-"+day;
        var t2=nowDate.getTime()+1000*60*60*24;
        var tomorrowDate=new Date(t2);
        var month2 = "";
        var day2 = "";
        if((tomorrowDate.getMonth()+1)<10){
            month2 = "0"+(tomorrowDate.getMonth()+1);
        }else{
            month2 = (tomorrowDate.getMonth()+1);
        }
        if(tomorrowDate.getDate()<10){
            day2 = "0"+tomorrowDate.getDate();
        }else{
            day2 = tomorrowDate.getDate();
        }
        //后一天时间
        var tomorrow = tomorrowDate.getFullYear()+"-"+month2+"-"+day2;
        var preBeginDate = goOrTo[yesterday] || "";
        var nextBeginDate = goOrTo[tomorrow] || "";
        $("#nowDate").html(resDate);
        $(".preDay").attr("data-date",yesterday);
        $(".lastDay").attr("data-date",tomorrow);
        if(beginDate != ""){
            $("#nowDateMoney").html("￥"+beginDate[0].ta1[0].price);
        }else{
            $("#nowDateMoney").html("无数据");
        }
        //判断前一天
        if(DateDiff(yesterday,JsNow) < 0 || DateDiff(yesterday,goBeginDate) < -3){
            //$(".preDay").css("display","none!important");
            $("#preDateMoney").html("不可用");
            $(".preDay").addClass("no-grey");
            $(".preDay").attr("state","0");
        }else{
            $(".preDay").attr("state","1");
            $(".preDay").removeClass("no-grey");
            //$(".preDay").css("display","-webkit-box!important");
            $(".preDay").removeClass("no-grey");
            if(preBeginDate != ""){
                $("#preDateMoney").html("￥"+preBeginDate[0].ta1[0].price);
            }else{
                $("#preDateMoney").html("无数据");
            }
            //前一天
            appcan.button(".preDay", "btn-act", function() {
                if($(".preDay").attr("state") == 0){
                    
                }else{
                    var nextParam = JSON.parse(appcan.locStorage.val("airCheckParam"));
                    if(goBackType == 2){
                        nextParam.backDate = $(this).attr("data-date");
                    }else{
                        nextParam.beginDate = $(this).attr("data-date");
                    }
                    //console.log("后一天====");
                    //console.log(nextParam);
                    airTicketBookingResultListViewObj.load("",nextParam);
                }
            });
        }
        //判断后一天
        if(DateDiff(tomorrow,goBeginDate) > 3){
            //$(".lastDay").css("display","none!important");
            $("#nextDateMoney").html("不可用");
            $(".lastDay").addClass("no-grey");
            $(".lastDay").attr("state","0");
        }else{
            $(".lastDay").attr("state","1");
            $(".lastDay").removeClass("no-grey");
            $(".lastDay").css("display","-webkit-box!important");
            $(".lastDay").removeClass("no-grey");
            if(nextBeginDate != ""){
                $("#nextDateMoney").html("￥"+nextBeginDate[0].ta1[0].price);
            }else{
                $("#nextDateMoney").html("无数据");
            }
            //后一天
            appcan.button(".lastDay", "btn-act", function() {
                if($(".lastDay").attr("state") == 0){
                    
                }else{
                    var nextParam = JSON.parse(appcan.locStorage.val("airCheckParam"));
                    if(goBackType == 2){
                        nextParam.backDate = $(this).attr("data-date");
                    }else{
                        nextParam.beginDate = $(this).attr("data-date");
                    }
                    //console.log("后一天====");
                    //console.log(nextParam);
                    airTicketBookingResultListViewObj.load("",nextParam);
                }
            });
        }
        
        
        if(goBackType == 2){
            $("#header-title").html(backCity.endCity+"-"+backCity.startCity);
        }else{
            $("#header-title").html(backCity.startCity+"-"+backCity.endCity);
        }
        GetContent(beginDate);
                
                
                
        function GetContent(beginDate)
        {
            if(beginDate != ""){
                if(thisOjb.template) {
                    //模板填充生成DOM
                    var ta1Arr={};
                    var goBackTypePic = "";
                    if(goBackType == 0){
                        goBackTypePic = "logo_pn";
                    }else if(goBackType == 1){
                        goBackTypePic = "fly_target_to";
                    }else{
                        goBackTypePic = "fly_back";
                    }
                    for (var i = 0; i < beginDate.length; i++) {
                        
                        beginDate[i].type=1;
                        beginDate[i].index=i;
                        var str = beginDate[i].beginDate + " "+ beginDate[i].beginDateTime;
                        str = str.replace(/-/g,"/");
                        var date = new Date(str);
                        var dateJson = beginDate[i].ta1[0].price;
                        beginDate[i].pic = goBackTypePic;
                        beginDate[i].dateBetweenPirce = "￥"+dateJson;
                        beginDate[i].beginDateTime=beginDate[i].beginDateTime.substring(0,beginDate[i].beginDateTime.lastIndexOf(":"));
                        beginDate[i].endDateTime=beginDate[i].endDateTime.substring(0,beginDate[i].endDateTime.lastIndexOf(":"));
                        $(".ticketsList").append(thisOjb.template(beginDate[i]));
                        
                        ta1Arr=beginDate[i].ta1;
                        for(var j = 0;j < ta1Arr.length;j++){
                            ta1Arr[j].rule=ta1Arr[j].rule;
                            if(international == "true"){
                                ta1Arr[j].type=3;
                                if(ta1Arr[j].priceName.indexOf("(") == -1){
                                    ta1Arr[j].typeName = ta1Arr[j].priceName;
                                    ta1Arr[j].luggage = "不含权益包";
                                    ta1Arr[j].luggageClass = "luggageQy-no";
                                }else{
                                    ta1Arr[j].typeName = ta1Arr[j].priceName.substring(0,ta1Arr[j].priceName.indexOf(" (")); 
                                    ta1Arr[j].luggage = ta1Arr[j].priceName.substring(ta1Arr[j].priceName.indexOf("(")+1,ta1Arr[j].priceName.indexOf(")"));
                                    ta1Arr[j].luggageClass = "luggageQy-yes";
                                }
                            }else{
                                ta1Arr[j].type=2;
                                ta1Arr[j].typeName = ta1Arr[j].priceName.substring(0,ta1Arr[j].priceName.indexOf("（"));    
                                var luggage = ta1Arr[j].priceName.substring(ta1Arr[j].priceName.indexOf("（")+1,ta1Arr[j].priceName.indexOf("，"));
                                if(luggage == "不含行李"){
                                    ta1Arr[j].luggageClass = "luggage-no";
                                }else{
                                    ta1Arr[j].luggageClass = "luggage-yes";
                                }
                                ta1Arr[j].luggage = luggage;
                                var Back = ta1Arr[j].priceName.substring(ta1Arr[j].priceName.indexOf("，")+1,ta1Arr[j].priceName.indexOf("）"));
                                if(Back == "退改费高"){
                                    ta1Arr[j].backClass = "Back-high";
                                }else{
                                    ta1Arr[j].backClass = "Back-low";
                                }
                                ta1Arr[j].Back = Back;
                            }
                            $("#id_list_"+i).append(thisOjb.template(ta1Arr[j]));
                        }
                    }
                    
                    //显示隐藏
                    appcan.button(".ticketsMessage", "", function() {
                        if ($(this).next().next().hasClass("ticketList-toggle")) {
                            $(this).parent().find(".ticketList").removeClass("ticketList-toggle");
                            $(this).next().removeClass("uhide");
                        } else {
                            $(this).next().addClass("uhide");
                            $(this).parent().find(".ticketList").addClass("ticketList-toggle");
                            var top = $(this).parent()[0].offsetTop
                            scrollTo('#lists',top);
                        }
                    });
                    //规则
                    appcan.button(".rule", "btn-act", function() {
                        appcan.locStorage.val("rule",$(this).attr("data-rule"));
                        appcan.window.open("airDynamic_rule","airDynamic_rule.html",10);
                    });
                    //预订
                    var login = true;
                    appcan.button(".reserveBtn", "btn-act", function() {
                        if(login == true){
                            login = false;
                            var uri = $(this).attr("data-uri");
                            var index = $(this).attr("data-index");
                            if(isLogined()){ 
                                var userInfo=appcan.locStorage.val("userInfo")||"";
                                var international = appcan.locStorage.val("international") || "";
                                if(!isDefine(international)){
                                    pop.notice("系统错误",1);
                                    setTimeout(function(){
                                        appcan.window.close(-1);
                                    },1000);
                                }
                                var PiDomOrInt = 1;
                                if(international == "true"){
                                    PiDomOrInt = 2;
                                    appcan.locStorage.val("personType",2);
                                }else{
                                    appcan.locStorage.val("personType",1);
                                }
                                //console.log(userInfo);
                                userInfo=JSON.parse(userInfo);
                                
                                // //md5加密
                                // var nowtimesk = new Date().getTime()+"";
                                // var userIdsk = userInfo.userId+"";    
                                // var timeSpan = nowtimesk;  
                                // var singToken = hex_md5(userInfo.userId+nowtimesk+(hex_md5(userInfo.userId+nowtimesk)).toUpperCase()+userInfo.userId).toUpperCase();                                
                                
                                var singToken = hkprotect(); 
                                
                                var json = {};
                                if(goBackType == 2){                                     
                                    
                                    var airTrip = appcan.locStorage.val("airTrip") || "";
                                    if(isDefine(airTrip)){
                                        airTrip = JSON.parse(airTrip);
                                        json = {
                                            'userId':userInfo.userId,
                                            'searchId':uri,
                                            'index':[airTrip.index[0],index],
                                            'beginCity':res.beginCity,
                                            'userId':singToken.userId,
                                            'timeSpan':singToken.timeSpan,
                                            'singToken':singToken.singToken,                                           
                                            'PiDomOrInt':PiDomOrInt  
                                        }
                                    }
                                    //console.log(airTrip);
                                    //console.log("00000000000000000000000");
                                    //console.log(json);
                                    appcan.locStorage.val("airTripBack",JSON.stringify(json));
                                    appcan.locStorage.val("airLugg2",$(this).parent().parent().find(".lugg").html().trim()); 
                                }else{
                                    json = {
                                        'userId':userInfo.userId,
                                        'searchId':uri,
                                        'index':[index],
                                        'beginCity':res.beginCity,
                                        'userId':singToken.userId,
                                        'timeSpan':singToken.timeSpan,
                                        'singToken':singToken.singToken,                                        
                                        'PiDomOrInt':PiDomOrInt  
                                    }
                                    appcan.locStorage.val("airTrip",JSON.stringify(json));
                                    appcan.locStorage.val("airLugg",$(this).parent().parent().find(".lugg").html().trim());   
                                } 
                                
                                //console.log(json);
                                if(goBackType == 1){
                                    appcan.window.open("airTicketBookingBackResult", "airTicketBookingBackResult.html", 10);
                                }else{
                                    appcan.window.open("airTicketOrder", "airTicketOrder.html", 10);
                                }
                                login = true;
                            }else{
                                pop.notice("请先登录",1);
                                setTimeout(function(){
                                    appcan.window.open("login","login.html",10);
                                    login = true;
                                },1000);
                            }
                        }
                        
                    });
                }
            }else{
                $(".ticketsList").html("<div class='web-width tx-c' style='margin-top:4em;'>暂无航班数据</div>");
            }
        }
        
        
       
        return this;
    }
});

var airTicketBookingResultListView=Backbone.View.extend({
    initialize:function(){
        this.listenTo(this.collection,"add",this.add);
        this.listenTo(this.collection,"remove",this.remove);
    },
    collection:new airTicketBookingResultCollection(),
    pageNum:1,
    objectId:"",
    el:'.ticketsList',
    res:"",
    add:function(model,options){
        var view=new airTicketBookingResultView({
            model:model
        });
    },
    remove:function(model){
        model.view.remove();
    },
    load:function(typeId,conditions){
        pop.loading();
        var self=this;
        this.objectId=typeId;
       
        //获取接口参数---航班信息
        
        if_list=getInterface('airSearchFindAir',conditions);
        res = conditions;
        //console.log(JSON.stringify(if_list));
        
        status=0;
        this.collection.fetch({
            param:if_list,
            typeId:typeId,
            success:function(cols,resp,options){
                pop.close();
                $(".selectDate").css("display","block");
                //console.log(typeId+"-->机票查询返回=====>");
                //console.log(resp);
                
                status=1;
                
            },
            error:function(cols,error,options){
                pop.close();
                status=1;
                if(isDefine(error)){ //不为 null
                    if(error == "timeout"){ //超时处理
                         pop.notice("系统超时");
                    }else if(error == "noNetwork"){
                        pop.notice("请检查网络");
                        setTimeout(function(){
                            appcan.window.close(-1);
                        },2000);
                    }else{ //后台错误码处理
                        
                        //该用户已被锁定，不能进行查询操作，并强制退出
                        if(error.flag == "0122"){
                            var strContent = "对不起，您的账号因违规操作已被禁用，如有问题请联系客服！";
                            
                            pop.confirm(1,"系统提示",strContent,function(msg){
                                 appcan.locStorage.setVal("loginState", "no");
                                 appcan.locStorage.setVal('userId',"");
                                 appcan.locStorage.setVal("userInfo", "");
                                 
                                 if(!isSML){
                                     //解绑极光推送
                                     var params = {
                                        alias : ""
                                     };                        
                                     var  jpushInfo= JSON.stringify(params); 
                                     uexJPush.setAlias(jpushInfo);
                                 }
                                 
                                 appcan.window.publish("isLogined","no");
                                
                                 //关闭页面
                                 appcan.window.close(-1);
                            },"")
                            
                        }else if(error.flag == "99999"){ 
                            //系统正在维护
                            appcan.locStorage.setVal("errorMsg",error.data);
                            appcan.window.open("systemMaintenance","systemMaintenance.html",10);
                            
                        }else if(error.flag == "9995"){ 
                            //签名失败
                            pop.notice("操作异常,请重新登录");
                            setTimeout(function(){
                                appcan.window.close(-1);
                            },2000);
                        }else{
                            pop.notice("暂无航班");
                            setTimeout(function(){
                                appcan.window.close(-1);
                            },2000);
                        }
                        
                    }
                }else{
                    pop.notice("获取数据失败");
                    setTimeout(function(){
                        appcan.window.close(-1);
                    },2000);
                }
            },
            add:true,
            remove:false,
            merge:true
        });
    }
});

var airTicketBookingResultListViewObj=new airTicketBookingResultListView();

