var forgetPassWordView = Backbone.View.extend({
    initialize : function() {
        //用于数据与页面进行绑定
        this.stickit();
    },
    el : 'body',
    bindings : {
        '#userName' : 'username',
        '#code':'code'
    },
    model : new forgetPassWordModel(),
    forgetPassWord : function() {
        //验证用户输入是否合法
        if (!this.model.isValid()) {
            //提示
            layer.open({
                className:"layer-notice",
                content: this.model.validationError,
                skin: 'msg',
                shade: false,
                scrollbar: false,
                time: 1 
            });
            return false;
        }
        
        this.model.save({}, {
            postUrl:appAjax.userManageUrl, //接口地址
            success : function(cols, resp, options) {
                //console.log("忘记密码成功返回的结果=====>");
                //console.log(resp);
                
                if(resp.flag=="0000")
                {
                     var codes = {
                         "userMobile" :$("#userName").val().trim(),
                         "code":$("#code").val().trim()
                     };
                     appcan.locStorage.val("getCodes",codes);
                     appcan.window.open("findPassWord","findPassWord.html",10);
                }
                //撤销timer
                timer.clear();
                
                //广播登录信息
                setTimeout(function(){
                     appcan.window.close(-1);
                },2000);
                    
            },
            error : function(cols, error, options) {
                if(isDefine(error)){ //不为 null
                    if(error == "noNetwork"){ //网络处理
                         pop.notice("请检查网络");
                    }                    
                    else if(error == "timeout"){ //超时处理
                         pop.notice("请求超时");
                    }else{ //后台错误码处理
                        if(error.flag==="4053"){
                            pop.notice("此手机号未注册");
                        }
                        else if(error.flag==="4051")
                        {
                            pop.notice("验证码错误");
                        }
                        else
                        {
                            pop.notice("找回密码失败");
                        }
                    }
                }else{
                    pop.notice("找回密码失败");
                }
                //撤销timer
                timer.clear();
                
                //console.log("忘记密码失败====>");
                //console.log(error);
            }
        })
    }
});

//初始化登录View层
forgetPassWordViewObj = new forgetPassWordView();
