var miao = 0;
var miaos = "";
var order = "";
//model自处理方式，直接接收集合--专题主题获取
var orderDetailProgressView = Backbone.View.extend({
    initialize : function() {

    },
    model : new norderDetailProgressModel(),
    el : 'body',
    load : function(type, objId, conditions) {
        var self = this;
        //接口参数--获取资讯详情
        var if_list = getInterface('orderDetails', conditions);

        //console.log("orderDetailProgressView资讯详情接口===>");
        //console.log(JSON.stringify(if_list));

        pop.loading();
        //view从model拿数据
        this.model.fetch({
            param : if_list,
            objId : objId,
            success : function(cols, resp, options) {
                //console.log(objId + " --> orderDetailProgressView定单详情返回====>");
                //console.log(resp);
                pop.close();

                if (resp.flag == '0000') {                    
                    //服务器时间
                    miaos = setInterval(function(){
                        if(miao*600000==resp.data.systemTime)
                        {
                            clearInterval(miaos);
                        }
                        miao++;
                    },1000);
                    var info = resp.data;
                    var list = info.list;
                    order = info.order;
                    listDtail(list,order);
                    orderDtail(type, order,info);
                    var userinfo = info.userinfo;
                    userinfoDtail(order);
                    var tripAddress = info.tripAddress;
                    // tripAddressDtail(tripAddress);
                    $("#orderSatus").html(order.orderStatus);
                    if(order.orderStatus == "已出票"){
                        $("#Footer_orderDetailProgress_ok").removeClass("uhide");
                        $("#extraService").removeClass("uhide");
                        $(".customerItem_extra").removeClass("uhide");
                        $("#Footer_orderDetailProgress").addClass("uhide");
                    }
                    if(order.orderStatus != "已出票"){
                        $("#extraService").addClass("uhide");
                    }
                    if(order.orderStatus != "已预订"&&order.orderStatus != "已出票"){
                        $(".footers").addClass("uhide");
                        $(".scrollContent").addClass("contents");
                    }                   
                    //选择乘机人详情页购买辅营
                    appcan.button(".order-extra-btn", "", function(e) {
                        
                        var orderIdVal = resp.data.order.orderId;
            
                        var orderExtraInfo = appcan.locStorage.val("orderExtraInfo") || "";
                        if (isDefine(orderExtraInfo)) {
                            orderExtraInfo = JSON.parse(orderExtraInfo);
            
                            //保存预订辅营需要的订单列表信息
                            var orderItemExtraInfo = orderExtraInfo[orderIdVal];
            
                            //console.log("跳转辅营需要的数据===>");
                            //console.log(orderItemExtraInfo);
            
                            if(orderItemExtraInfo.length==1)
                            {
                                var conditions = {
                                    "piaohao": orderItemExtraInfo[0].detailTicketNumber,
                                    "xingname":orderItemExtraInfo[0].piName,
                                    "type":1
                                }
                                appcan.locStorage.val("Reservation",conditions);
                                appcan.window.open("airDynamic_Reservation", "airDynamic_Reservation.html", 10);                            
                            }
                            else if(orderItemExtraInfo.length>1)
                            {
                                appcan.locStorage.val("orderItemExtraInfo", orderItemExtraInfo);
                                appcan.window.open("airDynamic_addticket", "airDynamic_addticket.html", 10);   
                            }
                        } else {
                            pop.notice("无票号数据!");
                        } 
                    }); 
                                      
                }

            },
            error : function(cols, error, options) {
                //console.log("orderDetailProgressView获取数据错误====>");
                //console.log(error);
                if(isDefine(error)){ //不为 null
                    if(error == "noNetwork"){ //网络处理
                         pop.notice("请检查网络");
                    }                    
                    else if(error == "timeout"){ //超时处理
                         pop.notice("请求超时");
                    }else{ //后台错误码处理
                         pop.notice("查询失败");
                    }
                }else{
                    pop.notice("查询失败");
                }
                pop.close();
            }
        });
    },
    extraload : function(type, objId, conditions) {
        var self = this;

        //接口参数--获取资讯详情
        var if_list = getInterface('orderDetails', conditions);
        //console.log("orderDetailProgressViewextra资讯详情接口===>");
        //console.log(JSON.stringify(if_list));

        pop.loading();
        //view从model拿数据
        this.model.fetch({
            param : if_list,
            objId : objId,
            success : function(cols, resp, options) {
                //console.log(objId + " --> orderDetailProgressViewextra定单详情返回====>");
                //console.log(resp);
                pop.close();

                if (resp.flag == '0000') {
                    var info = resp.data;
                    var list = info.list;
                    order = info.order;
                    extralistDtail(order, list);
                    orderDtail(type, order,info);
                    var userinfo = info.userinfo;
                    userinfoDtail(order);
                    var tripAddress = info.tripAddress;
                    $("#orderSatus").html(order.orderStatus);
                    // tripAddressDtail(tripAddress);                   
                }

            },
            error : function(cols, error, options) {
                //console.log("orderDetailProgressViewextra获取数据错误====>");
                //console.log(error);
                if(isDefine(error)){ //不为 null
                    if(error == "noNetwork"){ //网络处理
                         pop.notice("请检查网络");
                    }                    
                    else if(error == "timeout"){ //超时处理
                         pop.notice("请求超时");
                    }else{ //后台错误码处理
                         pop.notice("查询失败");
                    }
                }else{
                    pop.notice("查询失败");
                }
                pop.close();
            }
        });
    },
    cancelOrder : function(type, objId, conditions) { //取消副营
        var self = this;
        //console.log(JSON.stringify(conditions)+"************");
        //接口参数--获取资讯详情
        var if_list = getInterface('auxiliary_auxCancel', conditions);
        //console.log("auxiliary_auxCancel取消副营订单接口===>");
        //console.log(JSON.stringify(if_list));

        pop.loading();
        //view从model拿数据
        this.model.fetch({
            param : if_list,
            objId : objId,
            success : function(cols, resp, options) {
                //console.log(objId + " --> auxiliary_auxCancel取消副营订单接口返回====>");
                //console.log(resp);
                pop.close();

                if (resp.flag == '0000' && resp.data) {
                    var info = resp.data;
                    appcan.window.publish("refreshOrderItem", "");
                }

            },
            error : function(cols, error, options) {
                //console.log("auxiliary_auxCancel取消副营订单接口获取数据错误====>");
                //console.log(error);
                if(isDefine(error)){ //不为 null
                    if(error == "noNetwork"){ //网络处理
                         pop.notice("请检查网络");
                    }                    
                    else if(error == "timeout"){ //超时处理
                         pop.notice("请求超时");
                    }else{ //后台错误码处理
                         pop.notice("取消失败");
                    }
                }else{
                    pop.notice("取消失败");
                }
                pop.close();
            }
        });
    },
    cancelTicket : function(conditions,type) {   //取消机票
        var self = this;

        //接口参数--获取资讯详情
        var if_list = getInterface('cancelTicket', conditions);     
        
        //console.log("orders_cancelOrder取消机票订单接口===>");
        //console.log(JSON.stringify(if_list));

        pop.loading();
        //view从model拿数据
        this.model.fetch({
            param : if_list,
            success : function(cols, resp, options) {
                //console.log(" --> orders_cancelOrder取消机票订单接口====>");
                //console.log(resp);
                pop.close();

                if (resp.flag == '0000' && resp.data) {
                    if(type=="extra")
                    {
                        var info = resp.data;
                        appcan.window.publish("refreshOrderItem", "");
                        //appcan.window.close(-1);                      
                    }
                    else if(type=="viewlie")
                    {
                        var info = resp.data;
                        appcan.window.publish("refreshOrderItem", "");                        
                    }
                }

            },
            error : function(cols, error, options) {
                //console.log("orders_cancelOrder取消机票订单出错====>");
                //console.log(error);
                if(isDefine(error)){ //不为 null
                    if(error == "noNetwork"){ //网络处理
                         pop.notice("请检查网络");
                    }                    
                    else if(error == "timeout"){ //超时处理
                         pop.notice("请求超时");
                    }else{ //后台错误码处理
                         pop.notice("取消失败");
                    }
                }else{
                    pop.notice("取消失败");
                }
                pop.close();
            }
        });
    }               
});

var orderDetailProgressViewObj = new orderDetailProgressView();
var goodlist0 = "";
//机票辅营
var orderPaytotal = 0;
//小计
var customerItem_extraCss = "uhide";
var extraPay = 0;
//追加辅营总计
var allextraPay = 0;
//辅营总计
var paynumber = 0;
function listDtail(list,order) {
    orderItemInfo = appcan.locStorage.val("orderItemInfo");
    orderItemInfo = JSON.parse(orderItemInfo);
    for (var i = 0; i < list.length; i++) {
        orderPaytotal = list[i].detailTicketPrice + list[i].detailTicketTPrice + list[i].detailTicketFPrice;
        var DomHtml = goodslist(list[i].orderId, list[i].goodsList,order);
        allextraPay+=extraPaysum(list[i].goodsList);
        var rule=list[i].detailFareAttribute;
        //console.log(rule.split('<br/><br/>'));
        var detailFareAttribute=(rule.split('<br/><br/>')[3].substring(0,rule.split('<br/><br/>')[3].lastIndexOf(".")));
        if(detailFareAttribute=="无免费托运行李额度"||list[i].piType=="婴儿"||detailFareAttribute=="无"){ //判断是否有免费行了额度
            var detailFareAttributeCss="uhide";
        }else{
            var detailFareAttributeCss="";
        }
        var extraShopCss="";
        var staatus = "";
        if(list[i].piType=="婴儿"){   
            staatus="uhide";            //判断是婴儿就不加证件号
        }        
        if(DomHtml==""){   
            extraShopCss="uhide";  //判断是否有追加辅盈
        }
        var biaoshi = list[i].piType;
        
        //判断退票乘机人单程,往返
        var orderStatuskl = "";   
        if(isDefine(list[i].refundTicketBackNum)){   
            orderStatuskl = order.orderStatus;
        }
        else
        {
            //判断退票单程乘机人的状态
            if(isDefine(list[i].refundTicketGoNum)){
                
                orderStatuskl = "已取消";
            }
            else
            {
                if(!isDefine(list[i].detailTicketNumber))
                {
                    orderStatuskl = order.orderStatus;
                }
                else
                {
                    orderStatuskl = "已出票";
                }                
            }            
        }      
        //判断票号是否显示
        var xianshi = "";
        //if (!isDefine(list[i].detailTicketNumber)&&order.orderStatus != "已出票"&&order.orderStatus != "已取消") {
        if (!isDefine(list[i].detailTicketNumber)) {    
            xianshi = "uhide";
        }

        //判断国际和国内机票价格税费2种显示
        var shuifeik = "";
        if (list[i].detailTicketAbPrice==0||!isDefine(list[i].detailTicketAbPrice)||list[i].detailTicketFwPrice==0||!isDefine(list[i].detailTicketFwPrice)||list[i].detailTicketHkPrice==0||!isDefine(list[i].detailTicketHkPrice)) {    
            shuifeik += '<div class="ub web-site sdetailed">'
                           +'<div class="ub ub-f1 ub-ac">民航发展基金(CN)</div>'
                           +'<div class="tx-r kandusk">￥'+list[i].detailTicketTPrice+'</div>'
                       +'</div>';
        }
        else
        {
            shuifeik += '<div class="ub web-site sdetailed">'
                           +'<div class="ub ub-f1 ub-ac">旅客安保服务费(OO)</div>'
                           +'<div class="tx-r kandusk">￥'+list[i].detailTicketAbPrice+'</div>'
                       +'</div>'
                       +'<div class="ub web-site sdetailed">'
                           +'<div class="ub ub-f1 ub-ac">航空税(OP)</div>'
                           +'<div class="tx-r kandusk">￥'+list[i].detailTicketHkPrice+'</div>'
                       +'</div>'
                       +'<div class="ub web-site sdetailed">'
                           +'<div class="ub ub-f1 ub-ac">旅客服务费(SG)</div>'
                           +'<div class="tx-r kandusk">￥'+list[i].detailTicketFwPrice+'</div>'
                       +'</div>';                                                         
        }
        
        //机票详情页面
        var listDom = $('<li class="ub ub-ver">' 
        + '<div class="ub ub-ver customerItem_info" data-isshow="1" data-index="' + i + '">' 
        + '<div class="ub ub-pj web-site line-height2 font3">' + '<div class="ub ub-ac ">' 
        + list[i].piLname + '&nbsp;'+list[i].piFname+'<span class="font6 span-2">'+biaoshi+'</span></div>' + '<div class="ub ub-ac ub-pe">' 
        + '<div class="ub">' + orderStatuskl + '&nbsp;' + '    </div>' 
        + '<p class="ub">' 
        + '<img class="ub jimg dropDown" id="dropcustomerItem_' + i + '" src="../image/arrow_down.png">' + '</p>' + '</div>' + '</div>' 
        + '<div class="ub web-site line-height1 font4 padding-b05 '+staatus+'">' 
        
        + '<div class="ub-f1 ub ub-ac ">' + '<span class="font-color-666">证件号</span>' 
        + '</div>' + '<div class="ub ub-ac">' + '<span class="font-color-666">' + list[i].piNumber + '</span>' + '</div>' + '</div>' 
        + '<div class="ub web-site line-height1 font4 padding-b05 electronicTicketNum '+xianshi+'">' 
        + '<div class="ub-f1 ub ub-ac ">' 
        + '<span class="font-color-666">电子票号</span>' + '</div>' 
        + '<div class="ub ub-ac">' 
        + '<span class="color-basic">' + list[i].detailTicketNumber + '</span>' + '</div>' 
        + '</div>' + '<div class="ub ub-pj web-site line-height1 font4 padding-b05 uhide">' 
        + '<div class="ub"></div>' 
        + '<div class="ub ub-pe cancelTickit">' + '<span class="font-color-notice">退票处理中</span>' 
        + '</div>' + '</div>' + '</div>' 
        + '<div class="tab_pane" id="customerItem_InfoDetail_' + i + '">' 
        + '<div class="ub ub-ver subtotal padding-b05 padding-t05" >' 
        + '<div class="ub web-site sdetailed">' + '<div class="ub ub-f1 ub-ac">' 
        + '机票' + '</div>' 
        + '    <div class="tx-r kandusk">' + '￥' + list[i].detailTicketPrice + '    </div>' + '</div>' 
        +shuifeik
        + '<div class="ub web-site sdetailed">' + '    <div class="ub ub-f1 ub-ac">' + '        燃油' 
        + '    </div>' + '    <div class="tx-r kandusk">' + '        ￥' + list[i].detailTicketFPrice + '</div>' 
        + '</div>' 
        + '<div class="ub web-site sdetailed '+detailFareAttributeCss+'">' + '<div class="ub ub-f1 ub-ac">' 
        + detailFareAttribute + '</div>' 
        + '    <div class="ub">' + '￥0'+'    </div>' + '</div>' 
        + '<div id="goodlist0">' + goodlist0 + '</div>' + '<div class="ub web-site sdetailed">' + '    <div class="ub ub-f1 ub-ac"></div>' + '    <div class="ub font-color-notice">' + '<span class="font-color-notice font3">小计：￥' + orderPaytotal + '</span>' + '    </div>' + '</div>' + '          </div>' + '<div class="ub height1"></div>' + '          <!-- 补加的辅营 -->' 
        + '<div class="customerItem_extra ' + customerItem_extraCss 
        + '" id="customerItem_extra_' + i + '">' 
        + '<div class="ub ub-ver '+extraShopCss+' extraShop padding-t05" >' 
        + DomHtml + '</div>' + '    </div>' + '      </div>' 
        + '      <div class="ub height1"></div>' + '  </li>');
        $("#customerItem ul").append(listDom);
        goodlist0="";
        listDom="";
        DomHtml="";
        //console.log(goodlist0);
        //追加机票列表

    }
    
    //加载机票订单详情退票数据
    var ksk = order.refundOrderState;
    ////console.log(JSON.stringify(ksk));
    if(isDefine(ksk))
    {   
        $("#exitTickit").removeClass("uhide");
        
        var lisst = [{
                       "refundTicketGoMoney":1,
                       "refundTicketGoNum":1,
                       "refundTicketGoPoundage":1,
                       "refundTicketGoState":1,
                       "refundTicketGoTime1":1,
                       "refundTicketGoTime2":1
        }];
        var lisstpiaohao = []; 
        var kstsk = 0;       
        for(var i = 0; i<list.length;i++)   //list 返回数据数组对象
        {
            if(isDefine(list[i].refundTicketGoNum))   //判断是不是单程
            {
                var k = -1;
                for(var j = 0; j<lisst.length;j++)    //循环每一次lisst数组判断list返回数据有没有退单号是一样的
                {            
                    if(lisst[j].refundTicketGoNum==list[i].refundTicketGoNum)
                    {
                        k=j;
                        break;
                    }
                }
                if(k!=-1)   //该返回数据的对象存在相同的数据
                {
                    //同样的退单号就相加价格
                    lisst[k].refundTicketGoMoney += parseInt(list[i].refundTicketGoMoney);
                    lisst[k].refundTicketGoPoundage += parseInt(list[i].refundTicketGoPoundage);

                   //出发城市和到达城市分开
                   var beginCity = list[i].detailBeginCity.split("_")[0];
                   var endCity = list[i].detailEndCity.split("_")[0];
                    
                    //同样的退单号就增加票号对象
                    var kstlist = {
                                   "detailTicketNumber":list[i].detailTicketNumber,
                                   "beginCity":beginCity,
                                   "endCity":endCity,
                                   "detailFlightNo":(order.orderGoFlightAirLine+order.orderGoFlightNum)
                    }                    
                    lisst[k].piaohaolist.push(kstlist);
                    
                    var kst = {
                               "refundTicketGoMoney":lisst[k].refundTicketGoMoney,
                               "refundTicketGoNum":lisst[k].refundTicketGoNum,
                               "refundTicketGoPoundage":lisst[k].refundTicketGoPoundage,
                               "refundTicketGoState":lisst[k].refundTicketGoState,
                               "refundTicketGoTime1":lisst[k].refundTicketGoTime1,
                               "refundTicketGoTime2":lisst[k].refundTicketGoTime2,
                               "piaohaolist":lisst[k].piaohaolist
                    }
                    lisst[j] = kst;                   
                }
                else    //该返回数据的对象存在不相同的数据
                {
                   //时间和日期分开
                   var goTime1 = list[i].refundTicketGoTime.split(" ")[0];
                   var goTime2 = list[i].refundTicketGoTime.split(" ")[1];
                   
                   //出发城市和到达城市分开
                   var beginCity = list[i].detailBeginCity.split("_")[0];
                   var endCity = list[i].detailEndCity.split("_")[0];
                                    
                   var kst = {
                               "refundTicketGoMoney":parseInt(list[i].refundTicketGoMoney),
                               "refundTicketGoNum":list[i].refundTicketGoNum,
                               "refundTicketGoPoundage":parseInt(list[i].refundTicketGoPoundage),
                               "refundTicketGoState":list[i].refundTicketGoState,
                               "refundTicketGoTime1":goTime1,
                               "refundTicketGoTime2":goTime2,
                               "piaohaolist":[{
                                   "detailTicketNumber":list[i].detailTicketNumber,
                                   "beginCity":beginCity,
                                   "endCity":endCity,
                                   // "detailFlightNo":list[i].detailFlightNo
                                   "detailFlightNo":(order.orderGoFlightAirLine+order.orderGoFlightNum)
                               }]
                   }
                   if(kstsk==0)
                   {
                       lisst[0] = kst;
                       kstsk = 1;
                   }
                   else
                   {
                       lisst.push(kst);
                   }
                }
            }

            
        }       
        //console.log(JSON.stringify(lisst)+"*-*-*-*-*-*-*-*-*-*");
        
        var customerItem = "";
        var chengjiren = lisst.length;
        
        for(var k = 0;k<chengjiren;k++){
           var ksts = "piaohaolist-xian";
           
           //循环每一个退票号所有航段信息
           var piaohaolists = lisst[k].piaohaolist;
           var glTicket = "";
           glTicket = lsitss(piaohaolists);
           
           if(k == chengjiren-1)
           {
                ksts = "";
           }
           customerItem += '<div class="ub ub-ac line-height2">'
                                +'<div class="ub-f1 font4">申请单号</div>'
                                +'<div class="font4">'+lisst[k].refundTicketGoNum+'</div>'
                            +'</div>'
                            +'<div class="ub ub-ac line-height2">'
                                +'<div class="ub-f1 font5">申请日期</div>'
                                +'<div class="font5">'+lisst[k].refundTicketGoTime1+'</div>'
                                +'<div class="font5 leftju">'+lisst[k].refundTicketGoTime2+'</div>'
                            +'</div>'
                            +'<div class="ub ub-ac line-height2">'
                                +'<div class="ub-f1 font5">退票状态</div>'
                                +'<div class="font5">'+lisst[k].refundTicketGoState+'</div>'
                            +'</div>'
                            +'<div class="ub ub-ac line-height2">'
                                +'<div class="ub-f1 font5">实扣金额</div>'
                                +'<div class=""><span class="yanshe-red font5">￥</span><span class="yanshe-red font5">'+lisst[k].refundTicketGoPoundage+'</span></div>'
                            +'</div>'
                            +'<div class="ub ub-ac line-height2 xuxian">'
                                +'<div class="ub-f1 font5">实退金额</div>'
                                +'<div class=""><span class="yanshe-lv font5">￥</span><span class="yanshe-lv font5">'+lisst[k].refundTicketGoMoney+'</span></div>'
                            +'</div>'
                            
                            +'<div class="ub ub-ac line-height2">'
                                +'<div class="ub-f1 font5">关联票号(航段)</div>'
                            +'</div>'
                            +'<div class="piaohaolist '+ksts+'">'
                                +glTicket                 
                            +'</div>';
        };
        $("#exitNum_content").html(customerItem);        
    }     

    //加载副营订单详情退票数据
    //var ksktypeshow = "";
    //var ksktypeshow = 0;
    var kskexar = order.refundOrderState;
    // for (var k = 0; k < list.length; k++)
    // {    
        // for (var i = 0; i < list[k].goodsList.length; i++)
        // {
            // if(isDefine(list[k].goodsList[i].goodsRefundStatus))//&&order.orderStatus=="已取消")
            // {
                // ksktypeshow = "true";
                // break;
            // }        
        // }
    // }
    // for (var k = 0; k < list.length; k++)
    // {    
        // if(list[k].goodsList.length!=0)
        // {
            // ksktypeshow = "true";
            // break;      
        // }
    // }    
    ////console.log(JSON.stringify(ksk));
    if(isDefine(kskexar))
    {   
        $("#exitxingli").removeClass("uhide");
    
        var lisst = [{
                       "goodsRefundMoney":1,    //实退金额
                       "goodsRefundNum":1,      //退单号
                       "goodsPrice":1,          //实扣金额
                       "goodsRefundStatus":1,
                       "refundTicketGoTime1":1,
                       "refundTicketGoTime2":1,
                       "goodsChName":1,
                       "goodsBak2":1,
                       "piaohaolist":[]
        }];
        var lisstpiaohao = []; 
        var kstsk = 0;
        for(var x = 0; x<list.length;x++)   //list 返回数据数组对象
        {
            //alert(!isDefine(list[x].refundTicketGoState));
            if(!isDefine(list[x].refundTicketGoState))
            {
                   continue;
            }              
            var maxlist = list[x].goodsList; 
            //alert()            
            for(var i = 0; i<maxlist.length;i++)   //goodsList 返回数据数组对象
            {
                //判断是否含有退副营的数据
                //if(!isDefine(maxlist[i].goodsRefundStatus))
                //{
                //    continue;
                //}
                if(maxlist[i].extensionParameters.orders.isMergeBooking==0){
                    continue;
                } 
                var k = -1;
                for(var j = 0; j<lisst.length;j++)    //循环每一次lisst数组判断list返回数据有没有退单号是一样的
                {            
                    if(lisst[j].goodsRefundNum==maxlist[i].goodsRefundNum)
                    {
                        k=j;
                        break;
                    }
                }               
                if(k==-3)   //该返回数据的对象存在相同的数据(k!=-1)
                {
                    //同样的退单号就相加价格
                    lisst[k].goodsRefundMoney += parseInt(maxlist[i].goodsRefundMoney);
                    lisst[k].goodsRefundPoundage += parseInt(maxlist[i].goodsRefundPoundage);
    
                   //出发城市和到达城市分开
                   //var beginCity = maxlist[i].detailBeginCity.split("_")[0];
                   //var endCity = maxlist[i].detailEndCity.split("_")[0];
                   var beginCity = order.orderBeginCityDetails.split("_")[0];
                   var endCity = order.orderEndCityDetails.split("_")[0];
    
                    
                    //同样的退单号就增加票号对象
                    //var kstlist = {
                    //               "detailTicketNumber":maxlist[i].ticketNumber,
                    //               "beginCity":beginCity,
                    //               "endCity":endCity,
                    //               "detailFlightNo":(order.orderGoFlightAirLine+order.orderGoFlightNum)
                    //}                    
                    //lisst[k].piaohaolist.push(kstlist);
                    
                    var kst = {
                               "goodsRefundMoney":lisst[k].goodsRefundMoney,
                               "goodsRefundNum":lisst[k].goodsRefundNum,
                               "goodsRefundPoundage":lisst[k].goodsRefundPoundage,
                               "goodsRefundStatus":lisst[k].goodsRefundStatus,
                               "refundTicketGoTime1":lisst[k].refundTicketGoTime1,
                               "refundTicketGoTime2":lisst[k].refundTicketGoTime2,
                               "goodsChName":lisst[k].goodsChName,
                               "goodsBak2":lisst[k].goodsBak2,
                               "piaohaolist":lisst[k].piaohaolist
                    }
                    lisst[j] = kst;                   
                }
                else    //该返回数据的对象存在不相同的数据
                {
                   //时间和日期分开
                   var goTime1 = "";
                   var goTime2 = "";
                   
                   //出发城市和到达城市分开
                   //var beginCity = maxlist[i].detailBeginCity.split("_")[0];
                   //var endCity = maxlist[i].detailEndCity.split("_")[0];
                   var beginCity = order.orderBeginCityDetails.split("_")[0];
                   var endCity = order.orderEndCityDetails.split("_")[0];
                   
                   var kst = "";
                   
                   if(maxlist[i].goodsBak2=="BAGS")
                   {
                       goTime1 = list[x].refundTicketGoTime.split(" ")[0];
                       goTime2 = list[x].refundTicketGoTime.split(" ")[1];

                       kst = {
                                   "goodsRefundMoney":parseInt(maxlist[i].goodsRefundMoney),
                                   "goodsRefundNum":maxlist[i].goodsRefundNum,
                                   "goodsRefundPoundage":parseInt(maxlist[i].goodsRefundPoundage),
                                   "goodsRefundStatus":maxlist[i].goodsRefundStatus,
                                   "refundTicketGoTime1":goTime1,
                                   "refundTicketGoTime2":goTime2,
                                   "goodsChName":maxlist[i].goodsChName,
                                   "goodsBak2":maxlist[i].goodsBak2,
                                   "piaohaolist":[{
                                       "detailTicketNumber":maxlist[i].ticketNumber,
                                       "beginCity":beginCity,
                                       "endCity":endCity,
                                       // "detailFlightNo":maxlist[i].detailFlightNo
                                       "detailFlightNo":(order.orderGoFlightAirLine+order.orderGoFlightNum)
                                   }]
                       }
                                             
                   }
                   else
                   {
                       //alert(list[x].refundTicketGoTime);
                       goTime1 = list[x].refundTicketGoTime.split(" ")[0];
                       goTime2 = list[x].refundTicketGoTime.split(" ")[1];  
                       
                       kst = {
                                   "goodsRefundMoney":parseInt(maxlist[i].goodsPrice),
                                   "goodsRefundNum":list[x].refundTicketGoNum,
                                   "goodsRefundPoundage":0,
                                   "goodsRefundStatus":"不可退订",
                                   "refundTicketGoTime1":goTime1,
                                   "refundTicketGoTime2":goTime2,
                                   "goodsChName":maxlist[i].goodsChName,
                                   "goodsBak2":maxlist[i].goodsBak2,
                                   "piaohaolist":[{
                                       "detailTicketNumber":maxlist[i].ticketNumber,
                                       "beginCity":beginCity,
                                       "endCity":endCity,
                                       // "detailFlightNo":maxlist[i].detailFlightNo
                                       "detailFlightNo":(order.orderGoFlightAirLine+order.orderGoFlightNum)
                                   }]
                       }                       
                                            
                   }
                                    
                   if(kstsk==0)
                   {
                       lisst[0] = kst;
                       kstsk = 1;
                   }
                   else
                   {
                       lisst.push(kst);
                   }
                }
    
                
            }
        }       
        
        //console.log(JSON.stringify(lisst)+"*-*-*-*-*-*-*-*-*-*");
        
        var customerItem = "";
        var chengjiren = lisst.length;
        
        for(var k = 0;k<chengjiren;k++){
           //alert(JSON.stringify(lisst));
           var ksts = "piaohaolist-xian";
           
           //循环每一个退票号所有航段信息
           var piaohaolists = lisst[k].piaohaolist;
           if(piaohaolists.length==0){
               $("#exitxingli").addClass("uhide");
               continue;
           }
           $("#exitxingli").removeClass("uhide");
           var glTicket = "";
           glTicket = lsitss(piaohaolists);
           
           if(k == chengjiren-1)
           {
                ksts = "";
           }
           if(lisst[k].goodsBak2!="BAGS")
           {
               customerItem += '<div class="ub ub-ac line-height2">'
                                    +'<div class="ub-f1 font4">订单号</div>'
                                    +'<div class="font4">'+order.orderNo+'</div>'
                                +'</div>'
                                +'<div class="ub ub-ac line-height2">'
                                    +'<div class="ub-f1 font5">增值产品</div>'
                                    +'<div class="font5">'+lisst[k].goodsChName+'</div>'
                                +'</div>'                                
                                +'<div class="ub ub-ac line-height2">'
                                    +'<div class="ub-f1 font5">申请日期</div>'
                                    +'<div class="font5">'+lisst[k].refundTicketGoTime1+'</div>'
                                    +'<div class="font5 leftju">'+lisst[k].refundTicketGoTime2+'</div>'
                                +'</div>'
                                +'<div class="ub ub-ac line-height2 xuxian">'
                                    +'<div class="ub-f1 font5">退票状态</div>'
                                    +'<div class="font5">不可退订</div>'
                                +'</div>'
                                
                                +'<div class="ub ub-ac line-height2">'
                                    +'<div class="ub-f1 font5">关联票号(航段)</div>'
                                +'</div>'
                                +'<div class="piaohaolist '+ksts+'">'
                                    +glTicket                 
                                +'</div>'

                                +'<div class="margin-t03 bg-EEDAF5">'
                                    +'<div class="width-90 padding-tm05 ub wxtj">'
                                        +'<div class="ub-f1 c-854A95 font6 ">温馨提示：<span class="pdlugg">航班正常情况下，不允许退订机上餐食，如因航空公司原因导致航班不正常时，请联系呼叫中心申请退款。</span></div>'             
                                    +'</div>'
                                +'</div>';                                              
           }
           else
           {
               customerItem += '<div class="ub ub-ac line-height2">'
                                    +'<div class="ub-f1 font4">申请单号</div>'
                                    +'<div class="font4">'+lisst[k].goodsRefundNum+'</div>'
                                +'</div>'
                                +'<div class="ub ub-ac line-height2">'
                                    +'<div class="ub-f1 font5">增值产品</div>'
                                    +'<div class="font5">'+lisst[k].goodsChName+'</div>'
                                +'</div>'                                
                                +'<div class="ub ub-ac line-height2">'
                                    +'<div class="ub-f1 font5">申请日期</div>'
                                    +'<div class="font5">'+lisst[k].refundTicketGoTime1+'</div>'
                                    +'<div class="font5 leftju">'+lisst[k].refundTicketGoTime2+'</div>'
                                +'</div>'
                                +'<div class="ub ub-ac line-height2">'
                                    +'<div class="ub-f1 font5">退票状态</div>'
                                    +'<div class="font5">'+lisst[k].goodsRefundStatus+'</div>'
                                +'</div>'
                                +'<div class="ub ub-ac line-height2">'
                                    +'<div class="ub-f1 font5">实扣金额</div>'
                                    +'<div class=""><span class="yanshe-red font5">￥</span><span class="yanshe-red font5">'+lisst[k].goodsRefundPoundage+'</span></div>'
                                +'</div>'
                                +'<div class="ub ub-ac line-height2 xuxian">'
                                    +'<div class="ub-f1 font5">实退金额</div>'
                                    +'<div class=""><span class="yanshe-lv font5">￥</span><span class="yanshe-lv font5">'+lisst[k].goodsRefundMoney+'</span></div>'
                                +'</div>'
                                
                                +'<div class="ub ub-ac line-height2">'
                                    +'<div class="ub-f1 font5">关联票号(航段)</div>'
                                +'</div>'
                                +'<div class="piaohaolist '+ksts+'">'
                                    +glTicket                 
                                +'</div>';               
           }
        };
        $("#exitNum_contents").html(customerItem);        
    }

    //循环每一个退票号的所有航段信息
    function lsitss(piaohaolist)
    {
        var glTicket = "";
        for(var k = 0;k<piaohaolist.length;k++){
            glTicket += '<div class="ub ub-ac line-height2">'
                            +'<div class="ub-f1 font5">'+piaohaolist[k].detailTicketNumber+'</div>'
                            +'<div class=""><span class="font5">'+piaohaolist[k].beginCity+'</span>-<span class="font5">'+piaohaolist[k].endCity+'</span></div>'
                            +'<div class="font5 leftju">'+piaohaolist[k].detailFlightNo+'</div>'
                        +'</div>';
        }
        
        return glTicket;  
    }
    
    //取消机票订单点击事件
    var userInfo = appcan.locStorage.val("userInfo")||"";
        userInfo = JSON.parse(userInfo);    
    appcan.button("#cancelOrder", "btn-act", function() {
        var orderItemInfos = {
            "OrderId" : order.orderId,
            "UserId" : userInfo.userId,
            "OrderType" : order.orderType          
        }
        appcan.locStorage.setVal("orderItemInfo", orderItemInfos);
        pop.confirm(0, "", "确认取消当前订单？", function(data) {
            if (data == 0) {
                orderDetailProgressViewObj.cancelTicket(orderItemInfos,"extra");
            }
        }) 
    })
    //退订机票订单点击事件
    appcan.button("#exitTicket", "btn-act", function() {
        var orderItemInfos = {
            "reservationCode" : order.orderNo,
            "orderId" : order.orderId
        }
        appcan.locStorage.setVal("exitOrderInfo", orderItemInfos);
        pop.confirm(0, "", "确认退订机票？", function(data) {
            if (data == 0) {
                appcan.window.open("airDynamic_ApplyRefund","airDynamic_ApplyRefund.html",10);
            }
        }) 
    })         
    //显示和隐藏订单人信息customerItem_info
    appcan.button(".customerItem_info", "btn-act", function() {
        var isShow = $(this).data("isshow");
        var index = $(this).data("index");
        ////console.log($("#customerItem_InfoDetail_" + index));
        if (isShow == 1) {
            document.getElementById("dropcustomerItem_" + index).style.webkitTransform = "rotate(180deg)";
            $("#customerItem_InfoDetail_" + index).fadeIn(300);
            $(this).data("isshow", "0");
        } else {
            document.getElementById("dropcustomerItem_" + index).style.webkitTransform = "rotate(360deg)";
            $("#customerItem_InfoDetail_" + index).fadeOut(300);
            $(this).data("isshow", "1");
        }
    })
    //机票详情副营按钮的点击退票事件传输副营ID
    appcan.button(".anniuks", "btn-act", function() {
        var userInfo = appcan.locStorage.val("userInfo")||"";
        userInfo = JSON.parse(userInfo);
        var orderIdVal = $(this).data("orderidsk");
                   
        var orderItemInfo = {
            "orderId" : orderIdVal,
            "userId" : userInfo.userId
        }
        appcan.locStorage.setVal("exitOrderInfo", orderItemInfo);                               
        pop.confirm(0, "", "确认退订增值服务？", function(data) {
            if (data == 0) {
                appcan.window.open("airDynamic_ApplyViceCamp","airDynamic_ApplyViceCamp.html",10);
            }
        });        
    })
    //点击去副营详情    
    appcan.button(".extraBtn", "btn-act", function() {//extraBtn
        var orderId = $(this).attr('orderId');
        var extraorderItemInfo = {
            "orderId" : orderId,
            "orderType" : 2,
            "orderStatus" : order.orderStatus
        }
        appcan.locStorage.setVal("orderItemInfo", extraorderItemInfo);
        appcan.window.open("orderDetailProgress_extra", "orderDetailProgress_extra.html", 10);
    })
}

function extralistDtail(order, list) {
    orderItemInfo = appcan.locStorage.val("orderItemInfo");
    orderItemInfo = JSON.parse(orderItemInfo);
    var goodlist0 = "";
    var orderPaytotal = 0;
    for (var i = 0; i < list.length; i++) {
        goodlist0 += '<div class="ub web-site sdetailed" orderId="' + list[i].orderId1 + '">' + ' <div class="ub ub-f1 ub-ac">' + list[i].goodsChName + '</div>' + ' <div class="ub">￥' + list[i].goodsPrice + '</div>' + ' </div>';
        orderPaytotal += list[i].goodsPrice;
    }
        var piNumber = order.piNumber || "";
        var biaoshi = order.piType;
        var biaos = "";
        if(isDefine(biaoshi))
        {
            biaos = '<span class="font6 span-2">'+biaoshi+'</span>';
        }
        var ticketNumber = "";
        if(isDefine(list[0].ticketNumber))
        {
            ticketNumber = '<div class="ub web-site line-height1 font4 padding-b05 electronicTicketNum">' 
                            + '<div class="ub-f1 ub ub-ac ">' + '<span class="font-color-666">电子票号</span>' 
                            + '</div>' + '<div class="ub ub-ac">' 
                            + '<span class="color-basic">' + list[0].ticketNumber + '</span>' 
                            + '</div>' + '</div>';
        }        
        //副营详情页面
        //+ list[i].piLname + '&nbsp;'+list[i].piFname+'
        var listDom = $('<li class="ub ub-ver">' + '<div class="ub ub-ver customerItem_info" data-isshow="1" data-index="' 
        + i + '">' + '<div class="ub ub-pj web-site line-height2 font3">' 
        + '<div class="ub ub-ac ">' + order.piName + ''+biaos+'</div>' + '<div class="ub ub-ac ub-pe">' 
        + '<div class="ub">' + order.orderStatus + '&nbsp;' + '</div>' + '<p class="ub">' 
        + '<img class="ub jimg dropDown" id="dropcustomerItem_' + i + '" src="../image/arrow_down.png">' 
        + '</p>' + '</div>' + '</div>' + '<div class="ub web-site line-height1 font4 padding-b05">' + '<div class="ub-f1 ub ub-ac ">' + '<span class="font-color-666">证件号</span>' 
        + '</div>' + '<div class="ub ub-ac">' + '<span class="font-color-666">' + piNumber 
        + '</span>' + '</div>' + '</div>' 
        + ticketNumber
        + '<div class="ub ub-pj web-site line-height1 font4 padding-b05 uhide">' 
        + '<div class="ub"></div>' + '<div class="ub ub-pe cancelTickit">' 
        + '<span class="font-color-notice">退票处理中</span>' + '</div>' + '</div>' 
        + '</div>' + '<div class="tab_pane" id="customerItem_InfoDetail_' + i + '">' 
        + '<div class="ub ub-ver subtotal padding-b05 padding-t05" >' 
        
        + '<div id="goodlist0">' + goodlist0 + '</div>' 
        
        + '<div class="ub web-site sdetailed">' 
        + '    <div class="ub ub-f1 ub-ac"></div>' 
        + '    <div class="ub font-color-notice">' + '<span class="font-color-notice font3">小计：￥' + orderPaytotal + '</span>' + '    </div>' + '</div>' + '          </div>' + '<div class="ub height1"></div>' + '      </div>' + '      <div class="ub height1"></div>' + '  </li>');
        $("#customerItem ul").append(listDom);
        goodlist0="";
        listDom="";
    //}
    
    //加载副营订单详情退票数据
    var ksk = order.refundOrderState;
    ////console.log(JSON.stringify(ksk));
    if(isDefine(ksk))
    {   
        $("#exitTickit").removeClass("uhide");
        
        var lisst = [{
                       "goodsRefundMoney":1,    //实退金额
                       "goodsRefundNum":1,      //退单号
                       "goodsPrice":1,          //实扣金额
                       "goodsRefundStatus":1,
                       "refundTicketGoTime1":1,
                       "refundTicketGoTime2":1,
                       "goodsChName":1,
                       "goodsBak2":1
        }];
        var lisstpiaohao = []; 
        var kstsk = 0;       
        for(var i = 0; i<list.length;i++)   //list 返回数据数组对象
        {
            var k = -1;
            for(var j = 0; j<lisst.length;j++)    //循环每一次lisst数组判断list返回数据有没有退单号是一样的
            {            
                if(lisst[j].goodsRefundNum==list[i].goodsRefundNum)
                {
                    k=j;
                    break;
                }
            }
            if(k==-3)   //该返回数据的对象存在相同的数据(k!=-1)
            {
                //同样的退单号就相加价格
                lisst[k].goodsRefundMoney += parseInt(list[i].goodsRefundMoney);
                lisst[k].goodsRefundPoundage += parseInt(list[i].goodsRefundPoundage);

               //出发城市和到达城市分开
               //var beginCity = list[i].detailBeginCity.split("_")[0];
               //var endCity = list[i].detailEndCity.split("_")[0];
               var beginCity = order.orderBeginCityDetails.split("_")[0];
               var endCity = order.orderEndCityDetails.split("_")[0];

                
                //同样的退单号就增加票号对象
                //var kstlist = {
                //               "ticketNumber":list[i].ticketNumber,
                //               "beginCity":beginCity,
                //               "endCity":endCity,
                //               "detailFlightNo":(order.orderGoFlightAirLine+order.orderGoFlightNum)
                //}                    
                //lisst[k].piaohaolist.push(kstlist);
                
                var kst = {
                           "goodsRefundMoney":lisst[k].goodsRefundMoney,
                           "goodsRefundNum":lisst[k].goodsRefundNum,
                           "goodsRefundPoundage":lisst[k].goodsRefundPoundage,
                           "goodsRefundStatus":lisst[k].goodsRefundStatus,
                           "refundTicketGoTime1":lisst[k].refundTicketGoTime1,
                           "refundTicketGoTime2":lisst[k].refundTicketGoTime2,
                           "goodsChName":lisst[k].goodsChName,
                           "goodsBak2":lisst[k].goodsBak2,
                           "piaohaolist":lisst[k].piaohaolist
                }
                lisst[j] = kst;                   
            }
            else    //该返回数据的对象存在不相同的数据
            {
               //时间和日期分开
               var goTime1 = list[i].goodsRefundTime.split(" ")[0];
               var goTime2 = list[i].goodsRefundTime.split(" ")[1];
               
               //出发城市和到达城市分开
               //var beginCity = list[i].detailBeginCity.split("_")[0];
               //var endCity = list[i].detailEndCity.split("_")[0];
               var beginCity = order.orderBeginCityDetails.split("_")[0];
               var endCity = order.orderEndCityDetails.split("_")[0];
                                
               var kst = {
                           "goodsRefundMoney":parseInt(list[i].goodsRefundMoney),
                           "goodsRefundNum":list[i].goodsRefundNum,
                           "goodsRefundPoundage":parseInt(list[i].goodsRefundPoundage),
                           "goodsRefundStatus":list[i].goodsRefundStatus,
                           "refundTicketGoTime1":goTime1,
                           "refundTicketGoTime2":goTime2,
                           "goodsChName":list[i].goodsChName,
                           "goodsBak2":list[i].goodsBak2,
                           "piaohaolist":[{
                               "ticketNumber":list[i].ticketNumber,
                               "beginCity":beginCity,
                               "endCity":endCity,
                               // "detailFlightNo":list[i].detailFlightNo
                               "detailFlightNo":(order.orderGoFlightAirLine+order.orderGoFlightNum)
                           }]
               }
               if(kstsk==0)
               {
                   lisst[0] = kst;
                   kstsk = 1;
               }
               else
               {
                   lisst.push(kst);
               }
            }

            
        }       
        //console.log(JSON.stringify(lisst)+"*-*-*-*-*-*-*-*-*-*");
        
        var customerItem = "";
        var chengjiren = lisst.length;
        
        for(var k = 0;k<chengjiren;k++){
           var ksts = "piaohaolist-xian";
           
           //循环每一个退票号所有航段信息
           var piaohaolists = lisst[k].piaohaolist;
           var glTicket = "";
           glTicket = lsitss(piaohaolists);
           
           if(k == chengjiren-1)
           {
                ksts = "";
           }
           if(lisst[k].goodsBak2!="BAGS")
           {
               customerItem += '<div class="ub ub-ac line-height2">'
                                    +'<div class="ub-f1 font4">订单号</div>'
                                    +'<div class="font4">'+order.orderNo+'</div>'
                                +'</div>'
                                +'<div class="ub ub-ac line-height2">'
                                    +'<div class="ub-f1 font5">餐食名称</div>'
                                    +'<div class="font5">'+lisst[k].goodsChName+'</div>'
                                +'</div>'                                
                                +'<div class="ub ub-ac line-height2">'
                                    +'<div class="ub-f1 font5">申请日期</div>'
                                    +'<div class="font5">'+lisst[k].refundTicketGoTime1+'</div>'
                                    +'<div class="font5 leftju">'+lisst[k].refundTicketGoTime2+'</div>'
                                +'</div>'
                                +'<div class="ub ub-ac line-height2 xuxian">'
                                    +'<div class="ub-f1 font5">退票状态</div>'
                                    +'<div class="font5">不可退订</div>'
                                +'</div>'
                                
                                +'<div class="ub ub-ac line-height2">'
                                    +'<div class="ub-f1 font5">关联票号(航段)</div>'
                                +'</div>'
                                +'<div class="piaohaolist '+ksts+'">'
                                    +glTicket                 
                                +'</div>'

                                +'<div class="margin-t03 bg-EEDAF5">'
                                    +'<div class="width-90 padding-tm05 ub wxtj">'
                                        +'<div class="ub-f1 c-854A95 font6 ">温馨提示：<span class="pdlugg">航班正常情况下，不允许退订机上餐食，如因航空公司原因导致航班不正常时，请联系呼叫中心申请退款。</span></div>'             
                                    +'</div>'
                                +'</div>';                                              
           }
           else
           {
               customerItem += '<div class="ub ub-ac line-height2">'
                                    +'<div class="ub-f1 font4">申请单号</div>'
                                    +'<div class="font4">'+lisst[k].goodsRefundNum+'</div>'
                                +'</div>'
                                +'<div class="ub ub-ac line-height2">'
                                    +'<div class="ub-f1 font5">餐食名称</div>'
                                    +'<div class="font5">'+lisst[k].goodsChName+'</div>'
                                +'</div>'                                
                                +'<div class="ub ub-ac line-height2">'
                                    +'<div class="ub-f1 font5">申请日期</div>'
                                    +'<div class="font5">'+lisst[k].refundTicketGoTime1+'</div>'
                                    +'<div class="font5 leftju">'+lisst[k].refundTicketGoTime2+'</div>'
                                +'</div>'
                                +'<div class="ub ub-ac line-height2">'
                                    +'<div class="ub-f1 font5">退票状态</div>'
                                    +'<div class="font5">'+lisst[k].goodsRefundStatus+'</div>'
                                +'</div>'
                                +'<div class="ub ub-ac line-height2">'
                                    +'<div class="ub-f1 font5">实扣金额</div>'
                                    +'<div class=""><span class="yanshe-red font5">￥</span><span class="yanshe-red font5">'+lisst[k].goodsRefundPoundage+'</span></div>'
                                +'</div>'
                                +'<div class="ub ub-ac line-height2 xuxian">'
                                    +'<div class="ub-f1 font5">实退金额</div>'
                                    +'<div class=""><span class="yanshe-lv font5">￥</span><span class="yanshe-lv font5">'+lisst[k].goodsRefundMoney+'</span></div>'
                                +'</div>'
                                
                                +'<div class="ub ub-ac line-height2">'
                                    +'<div class="ub-f1 font5">关联票号(航段)</div>'
                                +'</div>'
                                +'<div class="piaohaolist '+ksts+'">'
                                    +glTicket                 
                                +'</div>';               
           }
        };
        $("#exitNum_content").html(customerItem);        
    }     

    //循环每一个退票号的所有航段信息
    function lsitss(piaohaolist)
    {
        var glTicket = "";
        for(var k = 0;k<piaohaolist.length;k++){
            glTicket += '<div class="ub ub-ac line-height2">'
                            +'<div class="ub-f1 font5">'+piaohaolist[k].ticketNumber+'</div>'
                            +'<div class=""><span class="font5">'+piaohaolist[k].beginCity+'</span>-<span class="font5">'+piaohaolist[k].endCity+'</span></div>'
                            +'<div class="font5 leftju">'+piaohaolist[k].detailFlightNo+'</div>'
                        +'</div>';
        }
        
        return glTicket;  
    }    
    
    
    
    
    // var ksk = "";
    // ////console.log(JSON.stringify(ksk));
    // if(isDefine(ksk))
    // {
        // //$("#exitTickit").removeClass("uhide");
        // var customerItem = "";
        // var chengjiren = 2;
//         
        // var glTicket = "";
        // for(var k = 0;k<chengjiren;k++){
            // glTicket += '<div class="ub ub-ac line-height2">'
                            // +'<div class="ub-f1 font5">826548759548</div>'
                            // +'<div class=""><span class="font5">重庆</span>-<span class="font5">江津</span></div>'
                            // +'<div class="font5 leftju">GS7936</div>'
                        // +'</div>';
        // }
//         
        // for(var k = 0;k<chengjiren;k++){
            // var ksts = "piaohaolist-xian";
           // if(k == chengjiren-1)
           // {
                // ksts = "";
           // }
           // customerItem += '<div class="ub ub-ac line-height2">'
                                // +'<div class="ub-f1 font4">申请单号</div>'
                                // +'<div class="font4">20168952462513658542685</div>'
                            // +'</div>'
                            // +'<div class="ub ub-ac line-height2">'
                                // +'<div class="ub-f1 font5">申请日期</div>'
                                // +'<div class="font5">2016-11-11</div>'
                                // +'<div class="font5 leftju">17:53:02</div>'
                            // +'</div>'
                            // +'<div class="ub ub-ac line-height2">'
                                // +'<div class="ub-f1 font5">退票状态</div>'
                                // +'<div class="font5">二审通过</div>'
                            // +'</div>'
                            // +'<div class="ub ub-ac line-height2">'
                                // +'<div class="ub-f1 font5">实扣金额</div>'
                                // +'<div class=""><span class="yanshe-red font5">￥</span><span class="yanshe-red font5">490</span></div>'
                            // +'</div>'
                            // +'<div class="ub ub-ac line-height2 xuxian">'
                                // +'<div class="ub-f1 font5">实退金额</div>'
                                // +'<div class=""><span class="yanshe-lv font5">￥</span><span class="yanshe-lv font5">290</span></div>'
                            // +'</div>'
//                             
                            // +'<div class="ub ub-ac line-height2">'
                                // +'<div class="ub-f1 font5">关联票号(航段)</div>'
                            // +'</div>'
                            // +'<div class="piaohaolist '+ksts+'">'
                                // +glTicket                 
                            // +'</div>';
        // };
        // $("#exitNum_content").html(customerItem);        
    // }     
    
    //显示和隐藏订单人信息customerItem_info
    appcan.button(".customerItem_info", "", function() {
        var isShow = $(this).data("isshow");
        var index = $(this).data("index");
        ////console.log($("#customerItem_InfoDetail_" + index));
        if (isShow == 1) {
            document.getElementById("dropcustomerItem_" + index).style.webkitTransform = "rotate(180deg)";
            $("#customerItem_InfoDetail_" + index).fadeIn(300);
            $(this).data("isshow", "0");
        } else {
            document.getElementById("dropcustomerItem_" + index).style.webkitTransform = "rotate(360deg)";
            $("#customerItem_InfoDetail_" + index).fadeOut(300);
            $(this).data("isshow", "1");
        }
    })    
    //跳转机票详情
    if(list[0].orderId){
        $("#airTicketDetail").removeClass("uhide");
    }
    appcan.button("#airTicketDetail", "btn-act", function() {
        //console.log(list);
        var orderId = list[0].orderId;
        if (orderId) {
            var extraorderItemInfo = {
                "orderId" : orderId,
                "orderType" : 1,
                "orderStatus" : orderItemInfo.orderStatus
            }
            appcan.locStorage.setVal("orderItemInfo", extraorderItemInfo);
            appcan.window.open("orderDetailProgress", "orderDetailProgress.html", 10);
        }
    })
}

function goodslist(orderId, goodsList,order) {
    var DomHtml = "";
    for (var i = 0; i < goodsList.length; i++) {
        // if (i == 0) {//=0表示 机票辅营    >0表示追加辅营
        // goodlist0 = '<div class="ub web-site sdetailed" orderId="' + orderId + '">' + ' <div class="ub ub-f1 ub-ac">' + goodsList[i].goodsChName + '</div>' + ' <div class="ub">￥' + goodsList[i].goodsPrice + '</div>' + ' </div>';
        // orderPaytotal += goodsList[i].goodsPrice;
        // continue;
        // }
        if (goodsList[i].extensionParameters.orders.isMergeBooking == 1) { //判断是不是随机票买的副营
            var typeshow = "uhide";
            if(goodsList[i].goodsIsOut==1&&goodsList[i].goodsBak2=="BAGS")
            {
                typeshow = "";
            }
            goodlist0 += '<div class="ub web-site sdetailed" orderId="' + goodsList[i].orderId1 + '">' + ' <div class="ub ub-f1"><div class="ub-f1">' + goodsList[i].goodsChName + '</div><div id="tuiding" data-orderIdsk="'+goodsList[i].orderId1 +'" class="anniuks '+typeshow+'">(<span class="tuid">退订</span>)</div></div>' + ' <div class="tx-r kandusk">￥' + goodsList[i].goodsPrice + '</div>' + ' </div>';
            orderPaytotal += goodsList[i].goodsPrice;
        } else {
            DomHtml += '<div class="ub web-site sdetailed extraBtn" orderId="' + goodsList[i].orderId1 + '">' + '<div class="ub ub-f1 ub-ac">' + goodsList[i].goodsChName + '</div>' + '<div class="ub">￥' + goodsList[i].goodsPrice + '</div>' + '</div>';
            extraPay = extraPay + goodsList[i].goodsPrice;
            if (i == goodsList.length - 1) {//&& goodsList.length > 1
                customerItem_extraCss = "";
                var goodsHtmlend = '<div class="ub web-site dash-b-6 height05 extraBtn"  orderId="' + goodsList[i].orderId1 + '"></div>' + '<div class="ub web-site sdetailed">' + '<div class="ub ub-pj width-full font5">' + '<p class="ub">' + '    追加的增值服务订单（￥' + extraPay + '）' + '</p>' + '<p class="ub ub-pe padding-t05"><img class="mimg" src="../image/arrow_right@2x.png"/>' + '</p>' + '</div>' + '</div>';
                DomHtml += goodsHtmlend;
            }
        }
             
    }
    return DomHtml;
}

function orderDtail(type, order,info) {
    if (orderItemInfo.orderStatus == "已预订") {
        $("#Footer_orderDetailProgress").removeClass("uhide");
        //var date1 = new Date();
        var date1 = new Date(info.systemTime);
        var date2 = new Date();
        if (type == 2) {
            //date2.setTime(order.orderCreateTime + 1800000);
            date2.setTime(order.orderCreateTime + 600000);
            //订单创建时间+30分钟
            var res = dateBetween(date1, date2);
            countdown(res.minutes, res.seconds);
            paynumber = order.orderTotalSum+order.orderPayHandle;//allextraPay list里面的goodsList[i].goodsPrice所有机票随副营价格
            $("#goToPay .font4").html("立即支付￥" + paynumber);
        } else if (type == 1) {
            date2.setTime(order.orderCreateTime + 600000);
            //订单创建时间+10分钟
            var res = dateBetween(date1, date2);
            countdown(res.minutes, res.seconds);
            paynumber = order.orderTotalSum+order.orderPayHandle;//allextraPay list里面的goodsList[i].goodsPrice所有机票随副营价格
            $("#goToPay .font4").html("立即支付￥" + paynumber);
        }
    }
    if (!isDefine(order.orderId) && type == 2) {
        $(".order-menus").addClass("uhide");
        return;
    }
    $('#orderNo').html(order.orderNo);
    if(type == 1)
    {
        paynumber = order.orderTotalSum+order.orderPayHandle;//extraPay 追加副营的总价
    }
    else if(type==2)
    {
        paynumber = order.orderTotalSum;//extraPay 追加副营的总价
    }
    $('#orderTotalSum').html("￥" + paynumber);
    //console.log(extraPay);
    $('#orderDate').html(NYR(order.orderCreateTime,1));
    $('#orderTime').html(timeType(2, order.orderCreateTime).substring(0, 5));
    $('#orderPayHandle').html("￥" + order.orderPayHandle);
    if (order.orderBackFlightNum == null) {//判断是否有返程
        $('#One-way').removeClass("uhide");
        $('#One-way #orderGoFlightNum').html(order.orderGoFlightAirLine + order.orderGoFlightNum);
        var y=order.orderGoBeginDate.substring(0,4);
        var m=order.orderGoBeginDate.substring(5,7);
        if(parseInt(m)<10){
            var m=order.orderGoBeginDate.substring(6,7);
        }
        var d=order.orderGoBeginDate.substring(8,10);
        var week = order.orderGoBeginDate.replace(/-/g, "/");
        var newDate = new Date(week);
        //alert(week);
        //alert(newDate);
        $('#One-way #date').html(y+"年"+m+"月"+d+"日");
        $('#One-way #week').html(getWeekDay(newDate, 1));
        $('#One-way #orderBeginCityDetails').html(order.orderBeginCityDetails.split('_')[1] + "&nbsp;" + order.orderGoBeginTime.substring(0,order.orderGoBeginTime.lastIndexOf(":")));
        if(isDefine(order.orderGoEndTime))
        {
            $('#One-way #orderEndCityDetails').html(order.orderEndCityDetails.split('_')[1] + "&nbsp;" + order.orderGoEndTime.substring(0,order.orderGoEndTime.lastIndexOf(":")));   
        }
        else
        {
            $('#One-way #orderEndCityDetails').html(order.orderEndCityDetails.split('_')[1]);   
        }
    } else {
        $('#Round').removeClass("uhide");
        $('#Round #orderGoFlightNum').html(order.orderGoFlightAirLine + order.orderGoFlightNum);
        var y=order.orderGoBeginDate.substring(0,4);
        var m=order.orderGoBeginDate.substring(5,7);
        if(parseInt(m)<10){
            var m=order.orderGoBeginDate.substring(6,7);
        }
        var d=order.orderGoBeginDate.substring(8,10);
        var week = order.orderGoBeginDate.replace(/-/g, "/");
        var newDate = new Date(week);
        $('#Round #date').html(y+"年"+m+"月"+d+"日");
        $('#Round #week').html(getWeekDay(newDate, 1));
        $('#Round #orderBeginCityDetails').html(order.orderBeginCityDetails.split('_')[1] + "&nbsp;" + order.orderGoBeginTime.substring(0,order.orderGoBeginTime.lastIndexOf(":")));
        if(isDefine(order.orderGoEndTime))
        {
            $('#Round #orderEndCityDetails').html(order.orderEndCityDetails.split('_')[1] + "&nbsp;" + order.orderGoEndTime.substring(0,order.orderGoEndTime.lastIndexOf(":")));
        }
        else
        {
            $('#Round #orderEndCityDetails').html(order.orderEndCityDetails.split('_')[1]);
        }

        $('#Trip').removeClass("uhide");
        $('#Trip #orderGoFlightNum').html(order.orderBackFlightAirLine + order.orderBackFlightNum);
        var y=order.orderGoBeginDate.substring(0,4);
        var m=order.orderGoBeginDate.substring(5,7);
        if(parseInt(m)<10){
            var m=order.orderGoBeginDate.substring(6,7);
        }
        var d=order.orderGoBeginDate.substring(8,10);
        var week = order.orderGoBeginDate.replace(/-/g, "/");
        var newDate = new Date(week);
        $('#Trip #date').html(y+"年"+m+"月"+d+"日");
        $('#Trip #week').html(getWeekDay(newDate, 1));
        $('#Trip #orderBeginCityDetails').html(order.orderBeginCityDetails.split('_')[1] + "&nbsp;" + order.orderBackBeginTime.substring(0,order.orderBackBeginTime.lastIndexOf(":")));
        $('#Trip #orderEndCityDetails').html(order.orderEndCityDetails.split('_')[1] + "&nbsp;" + order.orderBackEndTime.substring(0,order.orderBackEndTime.lastIndexOf(":")));
    }
    appcan.button("#cancelOrder", "", function() {
        if (isDefine(order.orderNo)) {
            orderItemInfo.resvCode = order.orderNo;
            if (orderItemInfo.orderType == 2)//机票取消接口还未开放
                pop.confirm(0, "", "确认取消当前订单？", function(data) {
                    if (data == 0) {
                        var userInfo = appcan.locStorage.val("userInfo")||"";
                        userInfo = JSON.parse(userInfo);
                        var orderItemInfofy = {
                            "OrderId" : parseInt(orderItemInfo.orderId),
                            "orderStatus" : "",
                            "resvCode" : orderItemInfo.resvCode,
                            "UserId" : userInfo.userId,
                            "OrderType" : orderItemInfo.orderType                              
                        };
                        orderDetailProgressViewObj.cancelOrder(orderItemInfo.orderType, orderItemInfo.orderId, orderItemInfofy);
                    }
                })
        }
    })
    //退订副营订单点击事件
    var userInfo = appcan.locStorage.val("userInfo")||"";
        userInfo = JSON.parse(userInfo);     
    appcan.button("#exitOrder", "btn-act", function() {
        // pop.confirm(1,"提示","请前往西部航空官方网站www.westair.cn或拨打95373提交退订增值产品申请!",function(){
//             
        // });        
        var orderItemInfos = {
            "orderId" : order.orderId,
            "userId" : userInfo.userId
        }
        appcan.locStorage.setVal("exitOrderInfo", orderItemInfos);
        pop.confirm(0, "", "确认退订增值服务？", function(data) {
            if (data == 0) {
                appcan.window.open("airDynamic_ApplyViceCamp","airDynamic_ApplyViceCamp.html",10);
            }
        }) 
    })    
    //列表详情支付
    appcan.button("#goToPay", "", function() {
        if (type == 2) {
            var dingdanhao = {
                "resvCode" : order.orderNo,
                "totalPrice" : order.orderTotalSum//paynumber
            }
            appcan.locStorage.val("resvCode", dingdanhao);
            appcan.window.open("airDynamic_dingdanzhifu", "airDynamic_dingdanzhifu.html", 10);
        } else if (type == 1) {
            var oederPayinfo = {
                "resvCode" : order.orderNo,
                "totalPrice" : paynumber,
                "payTime":order.orderCreateTime,
                "systemTime":info.systemTime+(miao*1000)
            }
            //console.log(oederPayinfo.systemTime+"*********");
            appcan.locStorage.val("payCloseToWhere","allOrders");
            appcan.locStorage.val("oederPayinfo", oederPayinfo);  //订单支付信息
            appcan.locStorage.val("orderPaytimgtype", "yes");     //判断是生成订单后直接支付还是 在个人订单列表跳转
            appcan.window.open("orderPayment", "orderPayment.html", 10);
        }
    })
}

function userinfoDtail(order) {//userinfo
    $('#userLinkMan').html(order.userLinkMan);
    $('#userLinkPhone').html(order.userLinkPhone);
}
function extraPaysum(goodsList) {
  var extraPaysum=0;
  for (var i = 0; i < goodsList.length; i++) {
      extraPaysum+=goodsList[i].goodsPrice;
  }
  return extraPaysum;
}
function timeType(type, time) {
    switch(type) {
    case 0:
        var newDate = new Date();
        newDate.setTime(time);
        time = newDate.toLocaleDateString();
        //alert(time);
        time = time.replace(/\//g, "-") + "";
        // //console.log(newDate.toLocaleString());
        return time;
        break;
    case 1:
        var timestamp2 = Date.parse(new Date(time));
        //2014-07-10 10:21:12的时间戳为：1404958872
        ////console.log(time + "的时间戳为：" + timestamp2);
        // time = timestamp2.toLocaleDateString();

        return timestamp2;
        break;
    case 2:
        var newDate = new Date();
        newDate.setTime(time);
        time = newDate.toTimeString();
        time = time.replace(/\//g, "-") + "";

        return time;
        break;
    case 3:
        break;
    }
}
function countdown(m, s) {
    //倒计时
    var maxM = m;
    var maxS = s;
    orderDetailtime = setInterval(function() {
        if(maxM<0){
            return;
        }
        Countdown();
    }, 1000);
    function Countdown() {
        if (maxM == 0 && maxS == 0) {
            //appcan.locStorage.val("soldOutStr", "由于您在规定时间内未支付，订单已自动取消，为保障订单的有效性，您可以");
            //appcan.window.open("soldOut", "soldOut.html", 10);
            clearInterval(orderDetailtime);
            appcan.window.publish("refreshOrderItem","");          
            //appcan.window.close(-1);           
        }
        else
        {
            if (maxS > 0) {
                maxS--;
            } else {
                maxM--;
                maxS = 59;
            }
            var mm = maxM;
            var ss = maxS;
            if (maxM < 10) {
                mm = "0" + maxM;
            }
            if (maxS < 10) {
                ss = "0" + maxS;
            }
            $("#goToPay .font-color-notice").html(mm + "分" + ss + "秒");            
        }
    }

}
//唤醒获取系统服务器时间
function timeRest()
{
    getServerDateTime(function(systemNowTimes){
        if(isDefine(systemNowTimes.data)){
            var systemTime = new Date(systemNowTimes.data.systemTime);
            //var payTime = parseInt($("#payTime").val()) + 600000;
            var payTime = parseInt(order.orderCreateTime) + 600000;
            if(systemTime > payTime || systemTime == payTime){
                //appcan.locStorage.val("soldOutStr","由于您在规定时间内未支付，订单已自动取消，为保障订单的有效性，您可以");
                //appcan.window.close(-1);
                appcan.window.publish("refreshOrderItem","");
                return;
            }else{
                //var res = dateBetween(systemNowTimes, order.orderCreateTime + 600000);
                var res = dateBetween(systemNowTimes, payTime);
                orderDetailtime = setInterval(function(){
                     Countdown2();
                 },1000);  
                //倒计时
                var maxM = res.minutes;
                var maxS = res.seconds;
                function Countdown2(){
                    if(maxM == 0 && maxS == 0){
                        clearInterval(orderDetailtime);   
                        appcan.window.publish("refreshOrderItem","");
                        return;
                    }
                    if(maxS > 0)
                    {
                        maxS--;
                    }else{
                        maxM--;
                        maxS = 59;
                    }
                    var mm = maxM;
                    var ss = maxS;
                    if(maxM < 10){
                         mm = "0" +maxM;
                     }
                     if(maxS < 10)
                     {
                         ss = "0" +maxS;
                     }
                    $("#goToPay .font-color-notice").html(mm+"分"+ss+"秒");
                     
                }
            }
        }else{
            $("#timess").css("display","none");
        }
    });   
}