var ticketView = Backbone.View.extend({
    initialize : function() {
        //用于数据与页面进行绑定
    },
    el : 'jipiao',
    model : new ticketModel(),
    ticket : function(focuson) {
            var self=this;
            //先清空页面
            self.$el.html("");            
            var if_list = getInterface("getTicketTime",focuson);
            //console.log("机票验真接口======>");
            //console.log(JSON.stringify(if_list));
        pop.loading();    
        this.model.fetch({
            param:if_list,
            success : function(cols, resp, options) {
                //console.log("机票验真成功返回的结果=====>");
                //console.log(resp);

                if(resp.flag=="0000")
                {
                    // if(!isDefine(resp.data))
                    // {
                        // pop.close();
                        // pop.notice("输入错误,请重新输入");
                        // setTimeout(function(){
                            // appcan.window.close(-1);
                        // },2000);
                        // return false;
                    // }                 
                    $("#yanzhen").removeClass("uhide");
                    var jipiao = "";
                    if(isDefine(resp.data))
                    {
                        var ks = "";
                        var year = "";
                        var hrou = "";
                        var hrous = "";
                        for(var index = 0; index<resp.data.flightSegments.length;index++){
                            if(isDefine(resp.data.flightSegments[index].depTime))
                            {
                                ks = resp.data.flightSegments[index].depTime;
                                year = resp.data.flightSegments[index].depTime.split(" ")[0];
                                hrou = resp.data.flightSegments[index].depTime.split(" ")[1];
                                hrous = hrou.substring(0,hrou.lastIndexOf(":"));                                
                            }                        
                            jipiao += '<div id="ticket" class="ub ub-ac ub-pc ub-fh diyihang-2">'
                                            +'<div class="ub-f1">'
                                                +'<div class="waibian ub ub-ver">';
                                                if(resp.data.flightSegments.length>1)
                                                {
                                                    jipiao +='<div class="font6 yanshe-3">航段2</div>';
                                                }
                                                else
                                                {
                                                    jipiao +='<div class="font6 yanshe-3">航段1</div>';
                                                }
                                                   jipiao +='<div class="font4 yanshe-2 ub">'
                                                        +'<div class="bianju">'+resp.data.flightSegments[index].flightNo+'</div>'
                                                        +'<div class="bianju">'+year+'</div>'
                                                        +'<div class="bianju">'+hrous+'</div>'
                                                    +'</div>'
                                                +'</div>'
                                            +'</div>';
                                            if(resp.data.flightSegments[index].status=="已使用")
                                            {
                                               jipiao +='<div class="starts-hui font2 ub ub-ac ub-pc">'+resp.data.flightSegments[index].status+'</div>';
                                            }
                                            else if(resp.data.flightSegments[index].status=="纸票")
                                            {
                                               jipiao +='<div class="starts-hui font2 ub ub-ac ub-pc">'+resp.data.flightSegments[index].status+'</div>';
                                            }                                            
                                            else if(resp.data.flightSegments[index].status=="未使用")
                                            {
                                               jipiao +='<div class="starts-lv font2 ub ub-ac ub-pc">'+resp.data.flightSegments[index].status+'</div>';
                                            }
                                            else if(resp.data.flightSegments[index].status=="已值机")
                                            {
                                               jipiao +='<div class="starts-zi font2 ub ub-ac ub-pc">'+resp.data.flightSegments[index].status+'</div>';
                                            }
                                            else if(resp.data.flightSegments[index].status=="已登机")
                                            {
                                               jipiao +='<div class="starts-zi font2 ub ub-ac ub-pc">'+resp.data.flightSegments[index].status+'</div>';
                                            }
                                            else if(resp.data.flightSegments[index].status=="已退票")
                                            {
                                               jipiao +='<div class="starts-red font2 ub ub-ac ub-pc">'+resp.data.flightSegments[index].status+'</div>';
                                            }
                                            else if(resp.data.flightSegments[index].status=="已作废")
                                            {
                                               jipiao +='<div class="starts-red font2 ub ub-ac ub-pc">'+resp.data.flightSegments[index].status+'</div>';
                                            }
                                            else if(resp.data.flightSegments[index].status=="已换开")
                                            {
                                               jipiao +='<div class="starts-yellow font2 ub ub-ac ub-pc">'+resp.data.flightSegments[index].status+'</div>';
                                            }
                                            else if(resp.data.flightSegments[index].status=="已签转")
                                            {
                                               jipiao +='<div class="starts-yellow font2 ub ub-ac ub-pc">'+resp.data.flightSegments[index].status+'</div>';
                                            }
                                            else if(resp.data.flightSegments[index].status=="已挂起")
                                            {
                                               jipiao +='<div class="starts-yellow font2 ub ub-ac ub-pc">'+resp.data.flightSegments[index].status+'</div>';
                                            }                                                                                                                                                                                                                                                                                                                                                             
                                            jipiao +='</div>';
                        }
                        $("#jipiao").html(jipiao);
                     }                                
                }
                
                pop.close();
            },
            error : function(cols, error, options) {
                pop.close();
                //console.log("机票验真接口失败====>");
                //console.log(error);                
                if(isDefine(error)){ //不为 null
                    if(error == "noNetwork"){ //网络处理
                         pop.notice("请检查网络");
                    }                    
                    else if(error == "timeout"){ //超时处理
                         pop.notice("请求超时");
                    }else{ //后台错误码处理
                        if(error.flag=="0038")
                        {
                            pop.notice("未查到电子票号的相关信息");
                        }
                        else if(error.flag=="0039")
                        {
                            pop.notice("票号或旅客姓名输入错误");
                        }
                        else if(error.flag=="9999")
                        {
                            pop.notice("系统升级中，请稍后再试");
                        }
                        setTimeout(function(){
                            appcan.window.close(-1);
                        },2000);
                    }
                }else{
                    pop.notice("系统错误");
                }
            }
        })
    }
});

//初始化登录View层
ticketViewObj = new ticketView();
