var updatePassWordView = Backbone.View.extend({
    initialize : function() {
        //用于数据与页面进行绑定
        this.stickit();
    },
    el : 'body',
    bindings : {
        '#loadpassword' : 'loadpassword',
        '#newpassword' : 'newpassword',
        '#quepassword':'quepassword'
    },
    model : new updatePassWordModel(),
    updatePassWord : function(popcitk) {
        //验证用户输入是否合法
        if (!this.model.isValid()) {
            //提示
            layer.open({
                className:"layer-notice",
                content: this.model.validationError,
                skin: 'msg',
                shade: false,
                scrollbar: false,
                time: 1 
            });
            return false;
        }
        
        this.model.save({}, {
            userid:popcitk,
            postUrl:appAjax.userManageUrl, //接口地址
            success : function(cols, resp, options) {
                //console.log("修改密码提交成功返回的结果=====>");
                //console.log(resp);
                
                //提示
                pop.notice("修改密码成功");
                
                if(resp.flag=="0000")
                {
                    setTimeout(function(){
                        appcan.window.close(-1);
                    },2000)
                }
                    
            },
            error : function(cols, error, options) {               
                if(isDefine(error)){ //不为 null
                    if(error == "noNetwork"){ //网络处理
                         pop.notice("请检查网络");
                    }                    
                    else if(error == "timeout"){ //超时处理
                         pop.notice("请求超时");
                    }else{ //后台错误码处理
                        if(error.flag==="4109"){
                            pop.notice("旧密码错误");
                        }
                        else
                        {
                            pop.notice("修改密码失败,请重试");
                            setTimeout(function(){
                                appcan.window.close(-1);
                            },2000)
                        }
                    }
                }else{
                    pop.notice("预订失败");
                }
                //console.log("修改密码提交失败====>");
                //console.log(error);
            }
        })
    }
});

//初始化登录View层
updatePassWordViewObj = new updatePassWordView();
