
//model自处理方式，直接接收集合--专题主题获取
var userInfoMationView=Backbone.View.extend({
    initialize:function(){
        
    },
    model:new userInfoMationModel(),
    el : 'body',
    load:function(objId,conditions){
        pop.loading();
        var self=this;
        
        //接口参数--获取资讯详情
        var if_list = getInterface('qrCodeUserInfo', conditions);
        ////console.log("userInfoMationView详情接口===>");
        ////console.log(JSON.stringify(if_list));
        //view从model拿数据
        this.model.fetch({
            param:if_list,
            success:function(cols,resp,options){
                pop.close();
                ////console.log(" --> userInfoMationView详情返回====>");
                ////console.log(resp.data);
                var scanUserInfo = resp.data;
                if(isDefine(scanUserInfo)){
                    if(isDefine(scanUserInfo.userIcon)){
                        $(".userHeaderImg img").attr("src",scanUserInfo.userIcon);
                    }
                    if(isDefine(scanUserInfo.userNickname)){
                        $("#titleName").html(scanUserInfo.userNickname);
                        $(".mation-name").html(scanUserInfo.userNickname);
                    }
                    if(isDefine(scanUserInfo.userLinkNumber)){
                        $(".ticketNum .content").html(scanUserInfo.userLinkNumber);
                    }
                    if(isDefine(scanUserInfo.userMobile)){
                        $(".phone .content").html(scanUserInfo.userMobile);
                    }
                    if(isDefine(scanUserInfo.userEmail)){
                        $(".email .content").html(scanUserInfo.userEmail);
                    }
                }else{
                    pop.notice("系统错误");
                    setTimeout(function(){
                        appcan.window.close(-1);
                    },2000)
                }
            },
            error:function(cols,error,options){
                pop.close();
                ////console.log("addValueView获取数据错误====>");
                ////console.log(error);
                if(isDefine(error)){ //不为 null
                    if(error == "timeout"){ //不为 null
                        pop.notice("请求超时");
                        setTimeout(function(){
                            appcan.window.close(-1);
                        },2000);
                    }else if(error == "noNetwork"){
                        pop.notice("请检查网络");
                        setTimeout(function(){
                            appcan.window.close(-1);
                        },2000);
                    }else{
                        pop.notice("系统错误");
                        setTimeout(function(){
                            appcan.window.close(-1);
                        },2000);
                    }
                }
            }
            
        });
    }
});

var userInfoMationViewObj=new userInfoMationView();


