var provinces = {};
function showCities(type,cityscb){

    var param = "";
    if(type==1)
    {
        param = {
           'transcode' : 'domOrInt_getDomOrInt',
           'content' : {},
           "headers":getHeaders()
        }        
    }
    else if(type==2)
    {
        param = {
           'transcode' : 'domOrInt_passportCountry',
           'content' : {},
           "headers":getHeaders()
        }         
    }
    appcan.request.ajax({
        url:appAjax.westAirUrl,
        type:"POST",
        headers:"",
        timeout:15000,
        data:JSON.stringify(param),
        dataType:"json",
        contentType:"application/json",
        success:function(res){
            //console.log(res);
            //console.log(JSON.stringify(res)+"机场列表接口");
            if(res.flag=="0000"){
                //var provinces = {};
                var ks = res.data;
                
                var newkey = "";
                var newObj = {};
                var param = {};
                
                if(type==2)
                {
                    for(var t in ks.passportCountry)
                    {
                        ks.passportCountry[t][0] = ks.passportCountry[t][0]+"1";
                    }                    
                    //console.log(JSON.stringify(res)+"*******选签发国");
                    load(ks.passportCountry);    //国际航班
                    newkey = Object.keys(provinces).sort();                                     //创建一个新的对象，用于存放排好序的键值对
                    for (var i = 0; i < newkey.length; i++) {             //遍历newkey数组
                        newObj[newkey[i]] = provinces[newkey[i]];         //向新创建的对象中按照排好的顺序依次增加键值对
                    }
                    param = {
                       'newObj' : newObj,
                       'sanzima' : res.data,
                       'typesk' : 2
                    }
                    appcan.locStorage.val("citysaTypeddress",param);                   
                }
                else if(type==1)
                {
                    for(var t in ks.intMap)
                    {
                        ks.intMap[t][0] = ks.intMap[t][0]+"0";
                    }
                    //console.log(JSON.stringify(res)+"*******选城市");
                    load(ks.intMap);    //国际航班
                    load(ks.domMap);    //国内航班
                    newkey = Object.keys(provinces).sort();
                    newObj = {
                        "热点城市": {
                            "重庆":["重庆"],
                            "三亚":["三亚"],
                            "海口":["海口"],
                            "乌鲁木齐":["乌鲁木齐"]
                         }                            
                    };                                      //创建一个新的对象，用于存放排好序的键值对
                    for (var i = 0; i < newkey.length; i++) {             //遍历newkey数组
                        newObj[newkey[i]] = provinces[newkey[i]];         //向新创建的对象中按照排好的顺序依次增加键值对
                    }
                    param = {
                       'newObj' : newObj,
                       'sanzima' : res.data,
                       'typesk' : 1
                    }
                    appcan.locStorage.val("citysaddress",param);                                       
                }
                ////console.log(JSON.stringify(newObj)+"================");
                

                $(".navbar a:first").css("margin-top","0.5rem");
                $(".navbar a:last").css("margin-bottom","0.5rem");
                
                cityscb(param);
                    
            }
            pop.close();         
        },
        error:function(err){
            pop.close();
            pop.notice("网络错误");
            setTimeout(function(){
                appcan.window.close(-1);
            },2000)
            //console.log("error==>");
            //console.log(err);
        }
    });        
}

function load(ks)
{
    for(var ps in ks){
    
      var kks = pinyin.getCamelChars(ks[ps][0].substring(0,1));
      if(kks.length==2)
      {
              if(kks[0].toUpperCase()=="Z")
              {
                  kks = "C";
              }
              else
              {
                  kks = kks[0].substring(0,1);
              }
      }
      ////console.log(ks[ps][0]+"========="+pinyin.getCamelChars(ks[ps][0])+"======"+pinyin.getCamelChars(ks[ps][0].substring(0,1))+"===="+pinyin.getCamelChars(ks[ps][0].substring(0,1)).length+"==="+kks);
      switch(kks){
          case 'A':
               //var k_city = {ks[ps][0]+":"+"["+ks[ps][0]+"]"};
               if(provinces['A']==null)
               {
                   provinces['A']={};
               }
               provinces['A'][ks[ps][0]]=[ks[ps][0]];
               break;
          case 'B':
               if(provinces['B']==null)
               {
                   provinces['B']={};
               }
               provinces['B'][ks[ps][0]]=[ks[ps][0]];
               break;
          case 'C':
               if(provinces['C']==null)
               {
                   provinces['C']={};
               }
               provinces['C'][ks[ps][0]]=[ks[ps][0]];
               break;
          case 'D':
               if(provinces['D']==null)
               {
                   provinces['D']={};
               }                      
               provinces['D'][ks[ps][0]]=[ks[ps][0]];
               break;
          case 'E':
               if(provinces['E']==null)
               {
                   provinces['E']={};
               }                      
               provinces['E'][ks[ps][0]]=[ks[ps][0]];
               break;
          case 'F':
               if(provinces['F']==null)
               {
                   provinces['F']={};
               }                      
               provinces['F'][ks[ps][0]]=[ks[ps][0]];
               break;
          case 'G':
               if(provinces['G']==null)
               {
                   provinces['G']={};
               }                      
               provinces['G'][ks[ps][0]]=[ks[ps][0]];
               break;
          case 'H':
               if(provinces['H']==null)
               {
                   provinces['H']={};
               }                      
               provinces['H'][ks[ps][0]]=[ks[ps][0]];
               break;
          case 'I':
               if(provinces['I']==null)
               {
                   provinces['I']={};
               }                      
               provinces['I'][ks[ps][0]]=[ks[ps][0]];
               break;
          case 'J':
               if(provinces['J']==null)
               {
                   provinces['J']={};
               }                      
               provinces['J'][ks[ps][0]]=[ks[ps][0]];
               break;
          case 'K':
               if(provinces['K']==null)
               {
                   provinces['K']={};
               }                      
               provinces['K'][ks[ps][0]]=[ks[ps][0]];
               break;
          case 'L':
               if(provinces['L']==null)
               {
                   provinces['L']={};
               }                      
               provinces['L'][ks[ps][0]]=[ks[ps][0]];
               break;
          case 'M':
               if(provinces['M']==null)
               {
                   provinces['M']={};
               }                      
               provinces['M'][ks[ps][0]]=[ks[ps][0]];
               break;
          case 'N':
               if(provinces['N']==null)
               {
                   provinces['N']={};
               }                      
               provinces['N'][ks[ps][0]]=[ks[ps][0]];
               break;
          case 'O':
               if(provinces['O']==null)
               {
                   provinces['O']={};
               }                      
               provinces['O'][ks[ps][0]]=[ks[ps][0]];
               break;
          case 'P':
               if(provinces['P']==null)
               {
                   provinces['P']={};
               }                      
               provinces['P'][ks[ps][0]]=[ks[ps][0]];
               break;
          case 'Q':
               if(provinces['Q']==null)
               {
                   provinces['Q']={};
               }                      
               provinces['Q'][ks[ps][0]]=[ks[ps][0]];
               break;
          case 'R':
               if(provinces['R']==null)
               {
                   provinces['R']={};
               }                      
               provinces['R'][ks[ps][0]]=[ks[ps][0]];
               break;
          case 'S':
               if(provinces['S']==null)
               {
                   provinces['S']={};
               }                      
               provinces['S'][ks[ps][0]]=[ks[ps][0]];
               break;
          case 'T':
               if(provinces['T']==null)
               {
                   provinces['T']={};
               }                      
               provinces['T'][ks[ps][0]]=[ks[ps][0]];
               break;
          case 'U':
               if(provinces['U']==null)
               {
                   provinces['U']={};
               }                      
               provinces['U'][ks[ps][0]]=[ks[ps][0]];
               break;
          case 'V':
               if(provinces['V']==null)
               {
                   provinces['V']={};
               }                      
               provinces['V'][ks[ps][0]]=[ks[ps][0]];
               break;
          case 'W':
               if(provinces['W']==null)
               {
                   provinces['W']={};
               }                      
               provinces['W'][ks[ps][0]]=[ks[ps][0]];
               break;
          case 'X':
               if(provinces['X']==null)
               {
                   provinces['X']={};
               }                      
               provinces['X'][ks[ps][0]]=[ks[ps][0]];
               break;
          case 'Y':
               if(provinces['Y']==null)
               {
                   provinces['Y']={};
               }                      
               provinces['Y'][ks[ps][0]]=[ks[ps][0]];
               break;
          case 'Z':
               if(provinces['Z']==null)
               {
                   provinces['Z']={};
               }                      
               provinces['Z'][ks[ps][0]]=[ks[ps][0]];
               break;                         
      }
}

}
