(function($) {
    
    
    //关闭当前窗口
    appcan.button("#nav-left", "btn-act",function() {
        appcan.window.publish("orderclear","yes");
        appcan.window.close(-1);
    });
    
    var type = "AliPay";
    appcan.ready(function() {
        //微信支付初始化
        //weixinPay.init(Prepayment,payResult);
        
        //监听返回首页关闭所有页面
        appcan.window.subscribe("backToIndex",function(){
            appcan.window.close(0);
        })
        
        //支付成功关闭所有页面
        appcan.window.subscribe("closeBookingPage",function(msg){
             appcan.window.close(0);                    
        });        

        //行李下单请求获取订单号
        var resp = appcan.locStorage.val("resvCode")||"";
        resp = JSON.parse(resp);
        $("#ScrollContent_allOrders").removeClass("uhide");
        $("#dingdanhao").html(resp.resvCode);
        $("#meonry").html("￥"+resp.totalPrice);
        
        //立即支付
         appcan.button("#payment", "btn-act",function() {
              var btn_key = $("#payment").attr("data-key");
              pop.loading();
              if(btn_key==1)
              {
                  $("#payment").attr("data-key",0);
                  if(type=="AliPay")
                  {
                       var orderys = JSON.parse(appcan.locStorage.val("resvCode"));
                       var resvCode = {
                           "orderNo":orderys.resvCode,
                           "payType":type,
                           "index":0
                       }
                       payxingViewObj.load(resvCode);                      
                  }
                  else if(type=="weixin")
                  {
                       var orderys = JSON.parse(appcan.locStorage.val("resvCode"));
                       var resvCode = {
                           "orderNo":orderys.resvCode,
                           "payType":type,
                           "type":"repay_param",
                           "index":1
                       }
                       payxingViewObj.load(resvCode);                      
                  }                         
                   
                   //友盟数据统计上报（支付方式统计击量）
                    if(!isSML){
                        var system=(isAndroid?"android":"ios");
                        var eventName = "alipay";
                        if(type=="AliPay"){
                            eventName = "aliPay";
                        }else if(type=="weixin"){
                            eventName = "weixinPay";
                        }else if(type=="bank"){
                            eventName = "bankPay";
                        }
                        var data = {"system":system};
                        var json = JSON.stringify(data);
                        uexUmeng.onEvent(eventName, json);
                    }
              }
              else
              {
                  pop.close();
              }
              
                //友盟数据统计上报（辅营支付点击量）
                if(!isSML){
                    var system=(isAndroid?"android":"ios");
                    var eventName = "extraPayment";
                    var data = {"system":system};
                    var json = JSON.stringify(data);
                    uexUmeng.onEvent(eventName, json);
                }
         });         
        
        //调用支付插件回调     
        uexAliPay.onStatus = paySuccess;
        uexWidgetOne.cbError = payFailed; 
        
    })
    
    //自定义相关方法

    appcan.button(".change", "btn-act",function() {
        
        $(".change").find("img").attr("src","../image/form_radio.png")
        $(this).find("img").attr("src","../image/form_tick.png");
        type = $(this).attr("data-id");
    });
     // //支付成功显示
    function paySuccess(status, des){
        //alert(status+" "+des);
        if(status == 0){
            appcan.locStorage.val("fexcuse","canshi");
            appcan.window.open("paymentSuccess","paymentSuccess.html",10);
        }else if(status == 2){
            $("#payment").attr("data-key","1");
            appcan.window.open("paymentFailure","paymentFailure.html",10);
        }
        else{
            $("#payment").attr("data-key","1");
            appcan.window.open("paymentFailure","paymentFailure.html",10);
        }
    }
    
    //支付失败显示
    function payFailed(opCode, errorCode, des){
        //alert(opCode+" "+errorCode+" "+des);
        appcan.window.open("paymentFailure","paymentFailure.html",10);
    }
 
     //获取预支付ID回调方法
    function Prepayment(data){
        //alert(data+"=====");
        var datask = JSON.parse(data)||"";
        if(isDefine(datask.prepay_id))
        {
            var orderys = JSON.parse(appcan.locStorage.val("resvCode"));
            var resvCode = {
                "orderNo":orderys.resvCode,
                "payType":type,
                "type":"pay_param",
                "prepayid":datask.prepay_id,
                "index":2
            }
            payxingViewObj.load(resvCode);            
        }
        else
        {
            pop.notice("网络错误,请重试！");
            $("#payment").attr("data-key","1");
        }       
    }
    //获取支付串码的回调方法
    function payResult(data){
        //alert(data+"=====");
        var datask = JSON.parse(data)||"";
        if(datask.errCode == 0){
            appcan.locStorage.val("fexcuse","canshi");
            appcan.window.open("paymentSuccess","paymentSuccess.html",10);
        }       
        else if(datask.errCode ==-2)
        {
            $("#payment").attr("data-key","1");
            //alert(datask.errCode);
            appcan.window.open("paymentFailure","paymentFailure.html",10);
        }
        else
        {
            $("#payment").attr("data-key","1");
            appcan.window.open("paymentFailure","paymentFailure.html",10);
        }
    }   

})($);