(function($) {
    
    //关闭当前窗口
    appcan.button("#nav-left", "btn-act",function() {
        appcan.window.close(-1);
    });

    //清除用户名文本框
    appcan.button("#ticketNameClear", "btn-act", function() {
        var userNameVal=$("#ticketName").val();
        isDefine("userNameVal")?$("#ticketName").val(''):"";
        $("#ticketName_clear").addClass("uhide");
    })
    //动态失去焦点显示icon
    $('#ticketName').bind({
         "input propertychange":function() { 
            var userName=$("#ticketName").val();
            if(isDefine(userName)){
                $("#ticketName_clear").removeClass("uhide");
            }else{
                $("#ticketName_clear").addClass("uhide");
            }
         },        
         "focus":function(){
            var userName=$("#ticketName").val();
            if(isDefine(userName)){
                $("#ticketName_clear").removeClass("uhide");
            }else{
                $("#ticketName_clear").addClass("uhide");
            }              
        },
        "blur":function() { 
            $("#ticketName_clear").addClass("uhide");
        }
    });
    
    appcan.ready(function() {
        
        //加载个人资料显示信息
        userInfo = appcan.locStorage.val("userInfo");
        userInfo = JSON.parse(userInfo);
        $("#ticketName").val(userInfo.userLinkMan);
        
        //监听返回首页关闭所有页面
        appcan.window.subscribe("backToIndex",function(){
            appcan.window.close(0);
        }) 
                
        //功能方法初始默认执行
        appcan.button("#ticket", "btn-act", function() {
            
            var ticketName = $("#ticketName").val().trim(); 
            //是否包含中文
            var regskt1 = /[\u4E00-\u9FA5]/g;
            var regskt6 = /^([\u4e00-\u9fa5]{2,9})+$/;         
            var regskt2 = /[A-Za-z]/g;
            var regskt3 = /^([\u4e00-\u9fa5]{1,9}|[A-Za-z ]{2,24})+$/;
            var regskt4 = /^([\u4e00-\u9fa5]{1,9}[A-Za-z]{2,24})+$/;
            var regskt5 = /^([A-Za-z ]{2,24})+$/;
            if (!isDefine(ticketName)) {
                pop.notice('请输入真实姓名');
                return false;
            }
            if(regskt1.test(ticketName))
            {
                if(regskt2.test(ticketName))
                {
                    if(!regskt4.test(ticketName))
                    {
                        pop.notice("请输入正确的真实姓名!");
                        return false;                 
                    }
                    else
                    {
                        if(!regskt3.test(ticketName))
                        {
                            pop.notice("请输入正确的真实姓名!");
                            return false;                 
                        }                        
                    }               
                }
                else
                {
                    if(!regskt6.test(ticketName))
                    {
                        pop.notice("请输入正确的真实姓名!");
                        return false;                 
                    }                     
                }            
            }
            else
            {
                if(!regskt5.test(ticketName))
                {
                    pop.notice("请输入正确的真实姓名!");
                    return false;                 
                }                
            }            
            var userInfo = appcan.locStorage.val("userInfo");
            userInfo = JSON.parse(userInfo);
            var content = {
                "userId":userInfo.userId,
                "userLinkMan":ticketName,
                "type":1
            };
            userInfoViewObj.userInfo(content);        
        })
        
        
    })
    
    //自定义相关方法


})($);