/*
* @project 西部航空APP
* @method weixinPay前端封装
* @author jun.zheng
* @tip weixinPay.init(cb,cb2); 需要在页面ready先加入，cb为获得预支付Id的回调，cb2为支付成功的回调
*      weixinPay.getPrepayId(orderInfo) orderInfo为后端返回的订单信息
*      weixinPay.startPay(payInfo)  payInfo为后端返回的支付串
*/

var weixinPay={
    isCanPay:1,
    errorMsg:"",
    init:function(cb,cb2){ //cb为获得预支付Id的回调，cb2为支付成功的回调
        //支付结果回调
        uexWeiXin.cbStartPay = function(data){
            ////console.log("支付结果回调:"+data);
            cb2(data);
        }
        //生成预支付订单结果回调,拿到id后再请求后台拿到支付串
        uexWeiXin.cbGetPrepayId = function(data){
            ////console.log("生成预支付订单结果回调:"+data);
            cb(data);
        }
        
        //是否支持支付功能
        uexWeiXin.cbIsSupportPay = function (opCode,dataType,data) {
            if(data==0){
                this.isCanPay=1;
            }else{
                this.isCanPay=0;
                this.errorMsg="不支持微信支付功能";
            }
        }
        //微信授权回调
        uexWeiXin.cbRegisterApp=function(opCode,dataType,data){
            if(data==0){
                uexWeiXin.isSupportPay();
            }else{
                this.isCanPay=0;
                this.errorMsg="向微信终端注册失败";
            }
        }
        //检测是否安装微信客户端回调
        uexWidget.cbIsAppInstalled = function(info){
            var result = JSON.parse(info);
            if(result.installed == 0){
                uexWeiXin.registerApp('wx4ac57a16f9919d12');
                //$("#weixin").removeClass("uhide");
            }else{
                this.isCanPay=0;
                this.errorMsg="尚未安装微信软件";
            }
        }
        
        //首先检测是否安装
        var isAndroid = (window.navigator.userAgent.indexOf('Android') >= 0) ? true : false;
        var appDataStr= isAndroid ? "com.tencent.mm":"weixin://";
        var json = {
            appData: appDataStr    //(必选) 第三方应用数据,android平台为第三方应用包名；iOS平台为 Scheme Url
        };
        uexWidget.isAppInstalled(JSON.stringify(json));
    },
    getPrepayId:function(orderInfo){ //获取预支付id
        if(this.isCanPay==1){
            if(isDefine(orderInfo)){
                uexWeiXin.getPrepayId(orderInfo);
            }else{
                pop.notice("支付失败");
            }
        }else{
            pop.notice(this.errorMsg);
        }
    },
    startPay:function(payInfo){//开始支付
        if(isDefine(payInfo)){
            uexWeiXin.startPay(payInfo);
        }else{
            pop.notice("支付失败");
        }
    }
}
