(function($) {
    
    //执行提交
    appcan.button("#doRegister", "btn-act", function() {

        var loadpassword = $("#loadpassword").val().trim();
        var newpassword = $("#newpassword").val().trim();
        var quepassword = $("#quepassword").val().trim();
        if (!isDefine(loadpassword)) {
            pop.notice('请输入旧密码');
            return false;
        }      
        if (!isDefine(newpassword)) {
            pop.notice('请输入新密码');
            return false;
        }
        var kst = /^(?=.{6,14})(?=.*[a-zA-Z])(?=.*[0-9])[0-9a-zA-Z]*$/;
        if (!kst.test(newpassword)) {
            pop.notice('新密码必须是(6-14位字母和数字)');
            return false;
        }
        if (newpassword.length<6||newpassword.length>14) {
            pop.notice('新密码必须是(6-14位字母和数字)');
            return false;
        }                 
        if (!isDefine(quepassword)) {
            pop.notice('请输入确认密码');
            return false;
        }
        if (!kst.test(newpassword)) {
            pop.notice('确认密码必须是(6-14位字母和数字)');
            return false;
        } 
        if(loadpassword.trim()==newpassword.trim())
        {
            pop.notice('新密码不能与旧密码一样');
            return false;
        }               
        if(newpassword.trim()!=quepassword.trim())
        {
            pop.notice('新密码与确认密码不一样');
            return false;
        }
        
        var userInfo = appcan.locStorage.val("userInfo");
        userInfo = JSON.parse(userInfo);
        updatePassWordViewObj.updatePassWord(userInfo.userId);

    })
    
        //清除新密码文本框
    appcan.button("#userNameClearss", "btn-act", function() {
        var userNameVal=$("#loadpassword").val();
        isDefine("userNameVal")?$("#loadpassword").val(''):"";
        $("#userName_clearss").addClass("uhide");
    })
    //动态显示icon
    $('#loadpassword').bind('input focus', function() { 
         //var userName=$("#loadpassword").val();
         //if(isDefine(userName)){
             $("#userName_clearss").removeClass("uhide");
         //}else{
         //    $("#userName_clearss").addClass("uhide");
         //}
    });
    
    //清除新密码文本框
    appcan.button("#userNameClear", "btn-act", function() {
        var userNameVal=$("#newpassword").val();
        isDefine("userNameVal")?$("#newpassword").val(''):"";
        $("#userName_clear").addClass("uhide");
    })
    //动态显示icon
    $('#newpassword').bind('input focus', function() { 
         //var userName=$("#newpassword").val();
         //if(isDefine(userName)){
             $("#userName_clear").removeClass("uhide");
         //}else{
         //    $("#userName_clear").addClass("uhide");
         //}
    });
    //清除确认密码文本框
    appcan.button("#userNameClears", "btn-act", function() {
        var userNameVal=$("#quepassword").val();
        isDefine("userNameVal")?$("#quepassword").val(''):"";
        $("#userName_clears").addClass("uhide");
    })
    //动态显示icon
    $('#quepassword').bind('input focus', function() { 
         //var userName=$("#quepassword").val();
         //if(isDefine(userName)){
             $("#userName_clears").removeClass("uhide");
         //}else{
         //    $("#userName_clears").addClass("uhide");
         //}
    });    
    //显示和影藏用户密码
    appcan.button("#isShowPassword", "btn-act", function() {
        if($("#passWord").attr("isShow")==="0"){
            $("#passWord").attr("type","text");
            $(".login-pwd-hidden").attr("src","../image/login_hidden@2x.png");
            $("#passWord").attr("isShow","1");
        }else{
            $("#passWord").attr("type","password");
            $(".login-pwd-hidden").attr("src","../image/login_visble@2x.png");
            $("#passWord").attr("isShow","0");
        }
    })
    
    //关闭
    appcan.button("#nav-left", "btn-act", function() {
        appcan.window.close(-1);
    })
    
    appcan.ready(function() {
         //功能方法初始默认执行
        
    })
    
    //自定义相关方法


})($);