var airDynamic_RecommendedtjlbModel=Backbone.Model.extend({
    parse:function(model,options){
        //console.log("airDynamic_RecommendedtjlbModel==>");
        ////console.log(model);
        
         //起飞日期
         var now = new Date(model.monStartDate);
         var qifei = now.getFullYear()+"-"+((now.getMonth()+1)<10?"0":"")+(now.getMonth()+1)+"-"+(now.getDate()<10?"0":"")+now.getDate();
         
         model.qifeis = qifei;
         
         //起飞日期~哪一周
         var weekDayNum=new Date(qifei.replace(/-/g, "/"));
         model.dayzhou = getWeekDay(weekDayNum,1);
         //到达日期
         var nows = new Date(model.monEndDate);
         var daoda = nows.getFullYear()+"-"+((nows.getMonth()+1)<10?"0":"")+(nows.getMonth()+1)+"-"+(nows.getDate()<10?"0":"")+nows.getDate();

         model.daodas = daoda;    
      
         //判断该对象是否推荐列表活动已经结束
         var nowsTime = new Date();
          
         var betweentime = dateBetween(nows,nowsTime);  
         model.betweentime = betweentime.days;     

         return model;
    }
});

var airDynamic_RecommendedtjlbCollection=Backbone.Collection.extend({
    model:airDynamic_RecommendedtjlbModel,
    service:getDataService,
    parse:function(resp){
        //console.log("airDynamic_Recommendedtjlb==>");
        //console.log(resp);

        return resp.data.list;
    },
    sync:function(method,model,options){
        options.method=options.type;
        switch(method){
            case "create":
            case "update":
            case "patch":
                break;
            case "read":
                this.service.request(options.param,options);
                break;
            case "delete":
                break;
            default:
                break;
        }
    }
});

