var systemTime = "";
var allOrdersItemModel=Backbone.Model.extend({
    parse:function(model,options){
        ////console.log("allOrdersItemModel==>");
        ////console.log(model);
        //数据逻辑处理
        //alert(JSON.stringify(model));
        model.beginCity=model.orderBeginCityDetails.split("_")[0];
        model.beginCityAirport=model.orderBeginCityDetails.split("_")[1];
        model.endCity=model.orderEndCityDetails.split("_")[0];
        model.endCityAirport=model.orderEndCityDetails.split("_")[1];
        
        //服务器时间
        model.systemTime = systemTime;
        //订单支付时间
        model.orderCreateDateTimecuo = model.orderCreateTime;
        
        model.orderCreateDateTime= UnixToDate(model.orderCreateTime,true,"",1);
        
        //时间处理（获取weekday）
        var dateTimeVal = new Date((model.orderGoBeginDate+" "+model.orderGoBeginTime).replace(/-/g, "/"));
        model.weekDay=getWeekDay(dateTimeVal,0);
        
        var orderGoBeginTimeDomVal="";
        if(isDefine(model.orderGoBeginTime)){
            orderGoBeginTimeDomVal=model.orderGoBeginTime.split(":");
            orderGoBeginTimeDomVal=orderGoBeginTimeDomVal[0]+":"+orderGoBeginTimeDomVal[1];
        }
        model.orderGoBeginTimeDomVal=orderGoBeginTimeDomVal;
        
        //处理行李数据
        var auxiliaryListShow="";
        var bagsLen=model.auxiliaryList.bags.length;
        var bagsTotalPrice=0;
        if(bagsLen > 0){
            // for(var i=0;i<bagsLen;i++){
                // if(model.auxiliaryList.bags[i].extensionParameters.orders.isMergeBooking!=1){
                    // bagsTotalPrice += model.auxiliaryList.bags[i].goodsPrice;
                // }
            // }
            auxiliaryListShow+="逾重行李x"+bagsLen;
        }
        model.bagsLen=bagsLen;
        model.bagsTotalPrice=bagsTotalPrice;
        
        //处理正餐数据
        var mealsLen=model.auxiliaryList.meals.length;
        var mealsTotalPrice=0;
        if(mealsLen > 0){
            // for(var i=0;i<mealsLen;i++){
                // if(model.auxiliaryList.meals[i].extensionParameters.orders.isMergeBooking!=1){
                    // mealsTotalPrice += model.auxiliaryList.meals[i].goodsPrice;
                // }
            // }
            if(auxiliaryListShow!=""){
                auxiliaryListShow+=",餐食x"+mealsLen;
            }else{
                auxiliaryListShow+="餐食x"+mealsLen;
            }
        }
        model.mealsLen=mealsLen;
        model.mealsTotalPrice=mealsTotalPrice;
        
        //处理饮品数据
        var drinksLen=model.auxiliaryList.drinks.length;
        var drinksTotalPrice=0;
        if(drinksLen > 0){
            // for(var i=0;i<drinksLen;i++){
                // if(model.auxiliaryList.drinks[i].extensionParameters.orders.isMergeBooking!=1){
                    // drinksTotalPrice += model.auxiliaryList.drinks[i].goodsPrice;
                // }
            // }
            
            if(auxiliaryListShow!=""){
                auxiliaryListShow+=",饮品x"+drinksLen;
            }else{
                auxiliaryListShow+="饮品x"+drinksLen;
            }
        }
        model.drinksLen=drinksLen;
        model.drinksTotalPrice=drinksTotalPrice;
        
        //处理小吃数据
        var snacksLen=model.auxiliaryList.snacks.length;
        var snacksTotalPrice=0;
        if(snacksLen > 0){
            // for(var i=0;i<snacksLen;i++){
                // if(model.auxiliaryList.snacks[i].extensionParameters.orders.isMergeBooking!=1){
                    // snacksTotalPrice += model.auxiliaryList.snacks[i].goodsPrice;
                // } 
            // }
            if(auxiliaryListShow!=""){
                auxiliaryListShow+=",小吃x"+snacksLen;
            }else{
                auxiliaryListShow+="小吃x"+snacksLen;
            }
        }
        model.snacksLen=snacksLen;
        model.snacksTotalPrice=snacksTotalPrice;
        
        if(bagsLen||mealsLen||drinksLen||snacksLen){
           model.isHasExtra=1;
           model.extraTotalPrice=bagsTotalPrice+mealsTotalPrice+drinksTotalPrice+snacksTotalPrice;
           model.auxiliaryListShow=auxiliaryListShow;
           model.fullPrice=model.orderTotalSum + model.extraTotalPrice;
           //计算机票与行李总价
        }else{
           model.isHasExtra=0;
           model.fullPrice=model.orderTotalSum;
        }
        
        //存入机票订单对应的客户与票号
        if(model.orderType==1){
            //加入支付处理费
            model.fullPrice=model.fullPrice+model.orderPayHandle;
            
            var orderCustomerInfo=appcan.locStorage.val("orderExtraInfo")||{};
            if(isDefine(orderCustomerInfo)){
                orderCustomerInfo=JSON.parse(orderCustomerInfo);
                orderCustomerInfo[model.orderId]=model.ticketList;
            }else{
                orderCustomerInfo[model.orderId]=model.ticketList;
            }
            
            ////console.log("乘机人姓名与对应票号信息====>");
            ////console.log(orderCustomerInfo);
            //预订辅营需要
            appcan.locStorage.setVal("orderExtraInfo",orderCustomerInfo);
        }    
        
        return model;
    }
});

var allOrdersCollection=Backbone.Collection.extend({
    model:allOrdersItemModel,
    service:getDataService,
    parse:function(resp){
        //console.log("allOrdersCollection==>");
        //console.log(resp);
        //alert(JSON.stringify(resp.data.list));
        systemTime = resp.data.systemTime;
        return resp.data.list;
    },
    sync:function(method,model,options){
        options.method=options.type;
        switch(method){
            case "create":
            case "update":
            case "patch":
                break;
            case "read":
                this.service.request(options.param,options);
                break;
            case "delete":
                break;
            default:
                break;
        }
    }
});

