var flightsModel=Backbone.Model.extend({
    parse:function(model,options){
        //console.log("flightsModel==>");
        //console.log(model);
    
        model.shijifei = "--:--";
        model.shijidao = "--:--";
        model.jihuafei = "--:--";
        model.jihuadao = "--:--";        
        if(model.atdChn!="--")
        {
           model.shijifei = model.atdChn.split(" ")[1].substring(0,model.atdChn.split(" ")[1].lastIndexOf(":"));           
        }
        if(model.ataChn!="--")
        {
           model.shijidao = model.ataChn.split(" ")[1].substring(0,model.ataChn.split(" ")[1].lastIndexOf(":")); 
        }
        if(model.etd!="--")
        {
           model.jihuafei = model.etd.split(" ")[1].substring(0,model.etd.split(" ")[1].lastIndexOf(":")); 
        }
        if(model.eta!="--")
        {
           model.jihuadao = model.eta.split(" ")[1].substring(0,model.eta.split(" ")[1].lastIndexOf(":"));  
        }        
        
        //航班号
        var hangbanhao = model.flightNo;
        model.hangbanes = hangbanhao.substring(0,2);
        model.bianhao = hangbanhao.substring(2);
        //每个列表的状态
        model.index = model.flightState;
        
        //如果出现中转机场航班、第一个航班的城市名
        model.start1 = model.startCityName;
        model.end1 = model.endCityName;
        
        return model;
    }
});

var flightlistCollection=Backbone.Collection.extend({
    model:flightsModel,
    service:getDataService,
    parse:function(resp){
        //console.log("flightlistCollection==>");
        //console.log(resp);

        return resp.data;
    },
    sync:function(method,model,options){
        options.method=options.type;
        switch(method){
            case "create":
            case "update":
            case "patch":
                break;
            case "read":
                this.service.request(options.param,options);
                break;
            case "delete":
                break;
            default:
                break;
        }
    }
});

