var focuslistModel=Backbone.Model.extend({
    parse:function(model,options){
        //console.log("focuslistModel==>");
        ////console.log(model);
        
        //日期
        var qifei = model.scheFlightdate;
        var truskq = qifei.substring(qifei.indexOf("-")+1);
        var trus = parseInt(truskq.split("-")[0]);
        
        if(trus<10)
        {
            trus = trus.toString().substring(0);
        }
        
        var fen = parseInt(truskq.split("-")[1]);
        if(fen<10)
        {
            fen = fen.toString().substring(0);
        }
        
        model.riqi = trus+"月"+fen+"日";
        //航班号
        var hangbanhao = model.scheFlighNo;
        model.hangbanes = hangbanhao.substring(0,2);
        model.bianhao = hangbanhao.substring(2);
        
        //起飞信息
        var qifeix = model.scheFlightBeginCityDetails;
        model.qifeicity = qifeix.split("_")[0];
        model.qifeijichang = qifeix.split("_")[1];
        
        //var shifenm = model.scheFlightBeginTime.split(" ")[1];
        //model.qifeitime = shifenm.substring(0,shifenm.lastIndexOf(":"));

        //到达信息
        var daodax = model.scheFlightEndCityDetails;
        model.daodacity = daodax.split("_")[0];
        model.daodajichang = daodax.split("_")[1];
        
        //var shifenms = model.scheFlightEndTime.split(" ")[1];
        //model.daodatime = shifenms.substring(0,shifenms.lastIndexOf(":"));     

        if(model.scheFlightBeginTime!="--" && model.scheFlightEndTime!="--")
        {
            var shifenm = model.scheFlightBeginTime.split(" ")[1];
            model.qifeitime = shifenm.substring(0,shifenm.lastIndexOf(":"));
            var shifenms = model.scheFlightEndTime.split(" ")[1];
            model.daodatime = shifenms.substring(0,shifenms.lastIndexOf(":"));           
        }
        else
        {
          model.qifeitime = "--:--";
          model.daodatime = "--:--";          
        }        
                
        return model;
    }
});

var focuslistCollection=Backbone.Collection.extend({
    model:focuslistModel,
    service:getDataService,
    parse:function(resp){
        ////console.log("focuslist==>");
        ////console.log(resp);

        return resp.data;
    },
    sync:function(method,model,options){
        options.method=options.type;
        switch(method){
            case "create":
            case "update":
            case "patch":
                break;
            case "read":
                this.service.request(options.param,options);
                break;
            case "delete":
                break;
            default:
                break;
        }
    }
});

