var updatePassWordModel = Backbone.Model.extend({
    service : postDataService,
    validate : function(attr, options) {
        //初始化验证的对象方法
        var validator = new Validator();

        if (!isDefine(attr.loadpassword)) {
            return '请输入旧密码';
        }       
        if (!isDefine(attr.newpassword)) {
            return '请输入新密码';
        }
        if (!isDefine(attr.quepassword)) {
            return '请输入确认密码';
        }
    },
    sync : function(method, model, options) {
        switch(method) {
            case 'create':
                //用户登录接口
                var conditions = {
                    "loadpassword" : hex_md5(this.toJSON().loadpassword),
                    "newpassword" : hex_md5(this.toJSON().newpassword),
                    "userid":options.userid
                };
                var if_list = getInterface('updatePassWord', conditions);
                
                //console.log("修改密码提交接口======>"+JSON.stringify(if_list));
                
                this.service.request(if_list,options);
                break;
            case 'update':
            case 'patch':
                break;
            case 'read':
                break;
            case 'delete':
                break;
            default:
                break;
        }
    }
})
