/*
 * postDataServices用于上传服务器数据
 */
var postDataService={
    postStatus:false,//用来防止重复提交
    request:function(param,options){
        var self=this;
        //检查网络
        getConnectStatus(function(msg){
            if(isDefine(msg)){
                if(msg == "-1"){
                    options.error("noNetwork");
                    return;
                }else{
                    if(self.postStatus){
                        pop.notice("不能重复提交");
                        return;
                    }
                    self.postStatus=true;
                    //////console.log(options.postUrl);
                    appcan.request.ajax({
                        url:options.postUrl,
                        headers:"",
                        type:"POST",
                        timeout:60000,
                        data:param,
                        appVerify : true,
                        dataType:"json",
                        contentType:"application/json",
                        success:function(res){
                            setTimeout(function(){
                                self.postStatus=false;
                            },2000);

                            if(isDefine(res.token))
                            {
                               appcan.locStorage.setVal("opt_token", res.token); 
                            }
                            
                            if(isDefine(res)){
                                if(res.flag=="0000"){
                                    //数据获取成功后返回
                                    options.success(res);
                                }else{
                                     //数据获取失败后返回
                                    options.error(res);
                                }
                            }else{
                                 options.error(res);
                            }
                        },
                        error:function(err){
                            setTimeout(function(){
                                self.postStatus=false;
                            },2000);
                            
                            options.error(err);
                        },
                        complete: function(xhr, status){ //超时标识返回
                            setTimeout(function(){
                                self.postStatus=false;
                            },2000);
                            
                            if(status=="timeout"){
                                options.error("timeout");
                            }
                        }
                    })
                }
            }
        });
    }
};
_.extend(postDataService,Backbone.Events);
