
//model自处理方式，直接接收集合--专题主题获取
var airTicketOrderView=Backbone.View.extend({
    initialize:function(){
        
    },
    model:new airTicketOrderModel(),
    el : 'body',
    load:function(objId,conditions){
        pop.loading();
        var self=this;
        
        //接口参数--获取资讯详情
        var if_list = getInterface('airSearchFindAirTrip', conditions);
        
        console.log("airTicketOrderView详情接口===>");
        console.log(JSON.stringify(if_list));
        
        //view从model拿数据
        this.model.fetch({
            param:if_list,
            success:function(cols,resp,options){
                $("#ScrollContent_TicketOrder").css("display","block");
                $("#Footer_TicketOrder").css("display","block");
                pop.close();
                console.log(" --> airTicketOrderView详情返回====>");
                console.log(resp);
                //支付处理费
                var payHandle = resp.data.payHandle;
                //退改签规则
                appcan.locStorage.val("rule",resp.data.go.rule);
                function Times(date1,date2){
                    var timeStr = "";
                    date1 = date1.replace(/-/g,"/");
                    date1 = new Date(date1);
                    date2 = date2.replace(/-/g,"/");
                    date2 = new Date(date2);
                    var date3 = date2.getTime() - date1.getTime(); //时间差的毫秒数
                    //计算出相差天数
                    var days=Math.floor(date3/(24*3600*1000))
                     
                    
                    //计算出小时数
                    var leave1=date3%(24*3600*1000)    //计算天数后剩余的毫秒数
                    var hours=Math.floor(leave1/(3600*1000))
                    //计算相差分钟数
                    var leave2=leave1%(3600*1000)        //计算小时数后剩余的毫秒数
                    var minutes=Math.floor(leave2/(60*1000))
                    if(days != 0){
                        timeStr += days+"天";
                    }
                    if(hours != 0){
                        timeStr += hours+"小时";
                    }
                    if(minutes != 0){
                        timeStr += minutes+"分";
                    }
                    $(".flayto").html(timeStr);
                }
                //星期中英文转换
                var week  = {"Monday":"周一","Tuesday":"周二","Wednesday":"周三","Thursday":"周四","Friday":"周五","Saturday":"周六","Sunday":"周日"};
                //去程
                var go = resp.data.go;
                $("#header-title").html(go.beginCityName[0]+"-"+go.endCityName[0]);
                var international = appcan.locStorage.val("international") || "";
                if(!isDefine(international)){
                    pop.notice("系统错误");
                    setTimeout(function(){
                        appcan.window.close(-1);
                    },2000);
                }
                if(international == "true"){
                    if(go.rule.split('<br/><br/>')[6].split(':')[1].substring(0,go.rule.split('<br/><br/>')[6].split(':')[1].lastIndexOf(".")) == "无"){
                        var lu = go.rule.split('<br/><br/>')[3].substring(0,go.rule.split('<br/><br/>')[3].lastIndexOf("."));
                        var eat = go.rule.split('<br/><br/>')[5].split('：')[1].substring(0,go.rule.split('<br/><br/>')[5].split('：')[1].lastIndexOf("."));
                        $(".luEat").html(eat+"餐食&nbsp;|&nbsp;"+lu);
                    }else{
                        var lu = go.rule.split('<br/><br/>')[6].split('•')[2].substring(0,go.rule.split('<br/><br/>')[6].split('•')[2].indexOf("（"));
                        var eat = go.rule.split('<br/><br/>')[6].split('•')[1].substring(0,go.rule.split('<br/><br/>')[6].split('•')[1].indexOf("（"));
                        var zuo = go.rule.split('<br/><br/>')[6].split('•')[3].substring(0,go.rule.split('<br/><br/>')[6].split('•')[3].indexOf("（"));
                        $(".luEat").html("超值权益包(含):<br/>"+eat+"&nbsp;|&nbsp;"+lu+"&nbsp;|&nbsp;"+zuo);
                    }
                }else{
                    var lu = go.rule.split('<br/><br/>')[3].substring(0,go.rule.split('<br/><br/>')[3].lastIndexOf("."));
                    var eat = go.rule.split('<br/><br/>')[5].split('：')[1].substring(0,go.rule.split('<br/><br/>')[5].split('：')[1].lastIndexOf("."));
                    $(".luEat").html(eat+"餐食&nbsp;|&nbsp;"+lu);
                }
                $(".airNum").html(go.flightAirLine+go.flightNum);
                $(".airBeginDate").html(go.beginDate+"&nbsp;"+week[go.beginDateWeek]);
                $(".airBeginDateTime").html(go.beginDateTime.substring(0,go.beginDateTime.lastIndexOf(":")));
                $(".airBeginCity").html(go.beginCityName[0]);
                $(".airBeginCityPlan").html(go.beginCityName[1]);
                Times(go.beginDate+" "+go.beginDateTime,go.endDate+" "+go.endDateTime);
                $(".airEndDateTime").html(go.endDateTime.substring(0,go.endDateTime.lastIndexOf(":")));
                $(".airEndCity").html(go.endCityName[0]);
                $(".airEndCityPlan").html(go.endCityName[1]);
                var price = resp.data.price;
                $(".adtPrice").html(price.adtPrice);
                var persStr = '您总共需要添加<span class="adt">'+price.adtCount+'位成人</span>';
                if(price.cnnCount == 0){
                    $(".cnnPrice").parent().remove();
                }else{
                    $(".cnnPrice").html(price.cnnPrice);
                    persStr += ',<span class="cnn">'+price.cnnCount+'位儿童</span>';
                }
                if(price.infCount == 0){
                    $(".infPrice").parent().remove();
                }else{
                    $(".infPrice").html(price.infPrice);
                    persStr += ',<span class="inf">'+price.infCount+'位婴儿</span>';
                }
                $(".prsContent").append(persStr);
                
                //存储原始乘机人
                var passengerParam = resp.data.passenger;
                appcan.locStorage.val("oldChengjiren",passengerParam);
                
                //获取对应人数
                var airCheckParam = JSON.parse(appcan.locStorage.val("airCheckParam"));
                console.log(airCheckParam);
                
                
                //联系人
                var user = resp.data.user;
                if(isDefine(user.userLinkMan)){
                    $(".contactsName").val(user.userLinkMan);
                }
                if(isDefine(user.userLinkPhone)){
                    $(".contactsPhone").val(user.userLinkPhone);
                }
                if(isDefine(user.userLinkEmail)){
                    $(".contactsEmail").val(user.userLinkEmail);
                }
                
                //邮费
                var tripAddres = resp.data.tripAddress[0]||"";
                console.log("abc");
                console.log(tripAddres);
                if(tripAddres != ""){
                    $(".addressName").html(tripAddres.tripAddressName);
                    $(".addressPhone").html(tripAddres.tripAddressPhone);
                    $(".address2").html(tripAddres.tripAddressStreet);
                    $(".mailingAddress").attr("data-tripAddressId",tripAddres.tripAddressId);
                }
                
                //明细
                var personMenus = [];//总列表
                var adtCount = "";//成人票明细
                var cnnCount = "";//儿童票明细
                var infCount = "";//婴儿票明细
                if(airCheckParam.adt > 0){
                    adtCount = '<div class="ub ptb2 resultRow web-width">'
                                    +'<div class="ticketType ub ub-ac">成人票</div>'
                                    +'<div class="ticketCount ub ub-ac ub-pc">×'+airCheckParam.adt+'</div>'
                                    +'<div class="ticketPrice orange ub ub-ac ub-pe">￥'+price.adtPrice+'</div>'
                                +'</div>';
                    //添加单个列表到总列表
                    var personMenu = {
                        "type":"成人票",
                        "price":"￥"+price.adtPrice,
                        "count":"×"+airCheckParam.adt
                    };
                    personMenus.push(personMenu);
                }
                if(airCheckParam.cnn > 0){
                    cnnCount = '<div class="ub ptb2 resultRow web-width">'
                                    +'<div class="ticketType ub ub-ac">儿童票</div>'
                                    +'<div class="ticketCount ub ub-ac ub-pc">×'+airCheckParam.cnn+'</div>'
                                    +'<div class="ticketPrice orange ub ub-ac ub-pe">￥'+price.cnnPrice+'</div>'
                                +'</div>';
                    //添加单个列表到总列表
                    var personMenu = {
                        "type":"儿童票",
                        "price":"￥"+price.cnnPrice,
                        "count":"×"+airCheckParam.cnn
                    };
                    personMenus.push(personMenu);
                }
                if(airCheckParam.inf > 0){
                    infCount = '<div class="ub ptb2 resultRow web-width">'
                                    +'<div class="ticketType ub ub-ac">婴儿票</div>'
                                    +'<div class="ticketCount ub ub-ac ub-pc">×'+airCheckParam.inf+'</div>'
                                    +'<div class="ticketPrice orange ub ub-ac ub-pe">￥'+price.infPrice+'</div>'
                                +'</div>';
                    //添加单个列表到总列表
                    var personMenu = {
                        "type":"婴儿票",
                        "price":"￥"+price.infPrice,
                        "count":"×"+airCheckParam.inf
                    };
                    personMenus.push(personMenu);
                }
                
                //额外费用显示
                var extraTypeCharge="机建+燃油";
                var international_extra = appcan.locStorage.val("international")||"";
                if(international_extra=="true"){
                    extraTypeCharge="税费+燃油";
                }

                //如果是新加坡往重庆、那么儿童也有机建和燃油、
                var jijianxg = price.adtjPrice;
                var ranyouxg = price.adtrPrice;
                
                var jijian = price.adtjPrice*price.adtCount;
                var ranyou = price.adtrPrice*price.adtCount;
                
                //国内、国外机建明细
                var adtfwPricexg = price.adtfwPrice;
                var adthkPricexg = price.adthkPrice;
                var adtabPricexg = price.adtabPrice;                
                
                var adtfwPrice = price.adtfwPrice*price.adtCount;
                var adthkPrice = price.adthkPrice*price.adtCount;
                var adtabPrice = price.adtabPrice*price.adtCount;
                
                if(price.cnnjPrice>0){
                    jijian = jijian+price.cnnjPrice;
                }
                if(price.cnnrPrice>0){
                    ranyou = ranyou+price.cnnrPrice;
                }
                if(price.cnnabPrice>0||price.cnnfwPrice>0||price.cnnhkPrice>0){
                    adtabPrice = adtabPrice+price.cnnabPrice;
                    adtfwPrice = adtfwPrice+price.cnnfwPrice;
                    adthkPrice = adthkPrice+price.cnnhkPrice;
                }                          
                
                //机建燃油价格内容
                var jrxq = "";
                
                //添加单个列表到总列表
                var suifeilist = ""; 
                               
                if(price.adtabPrice==0||price.adtfwPrice==0||price.adthkPrice==0)
                {
                    jrxq += '<div class="ub ub-ver ub-pc div-xiaoxituisong3" >'
                                +'<div class="ub ub-ac ub-pc" >'
                                    +'<div class="ub-f1"><span class="font4">民航发展基金(CN)</span></div>'
                                    +'<div class="ticketPrice orange ub ub-pe">￥<span class="orange">'+jijianxg+'</span></div>'
                                +'</div>'
                            +'</div>'
                            +'<div class="ub ub-ver ub-pc div-xiaoxituisong3" >'
                                +'<div class="ub ub-ac ub-pc" >'
                                    +'<div class="ub-f1"><span class="font4">燃油费</span></div>'
                                    +'<div class="ticketPrice orange ub ub-pe">￥<span class="orange">'+ranyouxg+'</span></div>'
                                +'</div>'
                            +'</div>';
                                                        
                    var suifeilist = {
                        "jijian":"￥"+jijian,
                        "ranyou":"￥"+ranyou,
                        "adtfwPrice":0,
                        "adthkPrice":0,
                        "adtabPrice":0
                    };
                }
                else
                {
                    jrxq += '<div class="ub ub-ver ub-pc div-xiaoxituisong3" id="chooseAlbum">'
                                +'<div class="ub ub-ac ub-pc" >'
                                    +'<div class="topbian ub-f1"><span>旅客安保服务费(OO)</span></div>'
                                    +'<div class="ticketPrice orange ub ub-pe">￥<span class="orange">'+adtabPricexg+'</span></div>'
                                +'</div>'
                            +'</div>'
                            +'<div class="ub ub-ver ub-pc div-xiaoxituisong3" id="chooseAlbum">'
                                +'<div class="ub ub-ac ub-pc" >'
                                    +'<div class="topbian ub-f1"><span>航空税(OP)</span></div>'
                                    +'<div class="ticketPrice orange ub ub-pe">￥<span class="orange">'+adthkPricexg+'</span></div>'
                                +'</div>'
                            +'</div>'          
                            +'<div class="ub ub-ver ub-pc div-xiaoxituisong3" id="takePhoto">'
                                +'<div class="ub ub-ac ub-pc">'
                                    +'<div class="topbian ub-f1"><span>旅客服务费(SG)</span></div>'
                                    +'<div class="ticketPrice orange ub ub-pe">￥<span class="orange">'+adtfwPricexg+'</span></div>'
                                +'</div>'
                            +'</div>'
                            +'<div class="ub ub-ver ub-pc div-xiaoxituisong3" >'
                                +'<div class="ub ub-ac ub-pc" >'
                                    +'<div class="ub-f1"><span class="font4">燃油费</span></div>'
                                    +'<div class="ticketPrice orange ub ub-pe">￥<span class="orange">'+ranyouxg+'</span></div>'
                                +'</div>'
                            +'</div>';
                                                        
                    var suifeilist = {
                        "jijian":0,
                        "ranyou":"￥"+ranyou,
                        "adtfwPrice":"￥"+adtfwPrice,
                        "adthkPrice":"￥"+adthkPrice,
                        "adtabPrice":"￥"+adtabPrice
                    };                                                      
                }
                $("#jrxq").html(jrxq);
                
                //机建燃油价格详情
                appcan.button("#jijianranyou","btn-act",function() {
                     $("#div-none").removeClass("uhide");
                     $(".div-banben2").removeClass("uhide");
                });    
            
                //取消机建燃油价格详情
                appcan.button("#div-none","btn-act",function(e) {
                     $("#div-none").addClass("uhide");
                     $(".div-banben2").addClass("uhide");
                     e.stopPropagation();//终止事件冒泡
                     e.preventDefault();         
                });
                //取消机建燃油价格详情
                // appcan.button("#div-none1","btn-act",function(e) {
                     // $("#div-none").addClass("uhide");
                     // $(".div-banben2").addClass("uhide");
                     // e.stopPropagation();//终止事件冒泡
                     // e.preventDefault();         
                // });                
                //防止点击取消透穿到父级
                $("#div-none").on("touchend",function(e){
                    //e.stopPropagation();//终止事件冒泡
                    e.preventDefault();
                })
                //防止点击取消透穿到父级
                $("#jijianranyou").on("touchmove",function(e){
                    e.stopPropagation();//终止事件冒泡
                    //e.preventDefault();
                }) 
                                
                //添加单个列表到总列表
                var personMenu = {
                    "type":extraTypeCharge,
                    "price":"￥"+jijian+"+￥"+ranyou,
                    "count":"×1"
                };
                personMenus.push(personMenu);
               
                $(".jCount").html(jijianxg);
                $(".rCount").html(ranyouxg);
                $("#jiry").html(extraTypeCharge);
                $(".sum").html(price.priceCount + payHandle);
                //邮费html
                var emailLuggage = "";
                //邮费标识
                var emailState = 0;                
                
                var click = true;
                appcan.button(".detailed", "btn-act", function() {
                    if($(this).hasClass("detailedUp")){
                        $(this).removeClass("detailedUp");
                        $(this).addClass("detailedDown");
                    }else{
                        $(this).removeClass("detailedDown");
                        $(this).addClass("detailedUp");
                    }
                    if(click == true){
                        click = false;
                        appcan.window.disableBounce();
                        layer.closeAll();
                        var height = $("#Footer_TicketOrder").offset().height+"px";
                            var str='<div class="bg-white">'
                                +'<div class="ptb">'
                                    +'<div class="ub ub-ver">'
                                        //+'<div class="ptb21 font4 priceNum web-width">'+go.flightAirLine+go.flightNum+'</div>'
                                        +'<div class="ptb21 font4 ub ub-ver">'
                                            +adtCount
                                            +cnnCount
                                            +infCount
                                            +emailLuggage
                                            +'<div id="jijianran2" class="ub ptb2 resultRow web-width">'
                                                +'<div class="ticketType rule1 ub ub-ac">'+extraTypeCharge+'</div>'
                                                +'<div class="ticketCount ub ub-pc ub-ac">×1</div>'
                                                +'<div class="ticketPrice orange ub ub-ac ub-pe">￥'+jijian+'<span>+</span>￥'+ranyou+'</div>'
                                            +'</div>'
                                            +'<div id="jijianran3" class="ub ptb2 resultRow clf">'
                                                +'<div class="ub web-width">'
                                                    +'<div class="ticketType rule2 ub ub-ac">支付处理费</div>'
                                                    +'<div class="ticketCount ub ub-ac ub-pc">×1</div>'
                                                    +'<div class="ticketPrice orange ub ub-ac ub-pe">￥'+payHandle+'</div>'
                                                +'</div>'
                                            +'</div>'
                                        +'</div>'
                                    +'</div>'
                                +'</div>'
                            +'</div>';
                        index = layer.open({
                            type: 1,
                            content: str,
                            anim: 'up',
                            scrollbar: false,
                            style: 'position:fixed; bottom:'+height+';left:0; width: 100%;height:auto; border:none;',
                            end: function(){
                                click = true;
                                $(".detailed").removeClass("detailedDown");
                                $(".detailed").addClass("detailedUp");
                              }
                        });
                        $(".laymshade").css({"height":"auto","bottom":"3em"});
                        //阻止默认滑动事件
                        $(".laymshade").on("touchmove",function(e){
                            e.stopPropagation();//终止事件冒泡
                            e.preventDefault();
                        })
                        $(".layermmain").on("touchmove",function(e){
                            e.stopPropagation();//终止事件冒泡
                            e.preventDefault();
                        })
                        $("#Footer_TicketOrder").on("touchmove",function(e){
                            e.stopPropagation();//终止事件冒泡
                            e.preventDefault();
                        })
                        
                        //明细机建和燃油的2次弹窗
                        var click11 = true;
                        appcan.button("#jijianran2", "btn-act", function() {
                            if($(".detailed").hasClass("detailedUp")){
                                $(".detailed").removeClass("detailedUp");
                                $(".detailed").addClass("detailedDown");
                            }else{
                                $(".detailed").removeClass("detailedDown");
                                $(".detailed").addClass("detailedUp");
                            }
                            if(click11 == true){
                                click11 = false;
                                appcan.window.disableBounce();
                                layer.closeAll();
                                var height = $("#Footer_TicketOrder").offset().height+"px";
                                
                                var str1 = "";
                                if(price.adtabPrice==0||price.adtfwPrice==0||price.adthkPrice==0)
                                {
                                    str1 += '<div class="ub ptb2 resultRow web-width">'
                                                +'<div class="ticketType1 ub ub-ac">民航发展基金(CN)</div>'
                                                +'<div class="ticketCount1 ub ub-ac ub-pc"></div>'
                                                +'<div class="ticketPrice orange ub ub-ac ub-pe">￥'+jijian+'</div>'
                                            +'</div>'
                                            +'<div class="ub ptb2 resultRow web-width">'
                                                +'<div class="ticketType1 ub ub-ac">燃油费</div>'
                                                +'<div class="ticketCount1 ub ub-ac ub-pc"></div>'
                                                +'<div class="ticketPrice orange ub ub-ac ub-pe">￥'+ranyou+'</div>'
                                            +'</div>';                                            
                                }
                                else
                                {                                    
                                    str1 += '<div class="ub ptb2 resultRow web-width">'
                                                +'<div class="ticketType1 ub ub-ac">旅客安保服务费(OO)</div>'
                                                +'<div class="ticketCount1 ub ub-ac ub-pc"></div>'
                                                +'<div class="ticketPrice orange ub ub-ac ub-pe">￥'+adtabPrice+'</div>'
                                            +'</div>'
                                            +'<div class="ub ptb2 resultRow web-width">'
                                                +'<div class="ticketType1 ub ub-ac">航空税(OP)</div>'
                                                +'<div class="ticketCount1 ub ub-ac ub-pc"></div>'
                                                +'<div class="ticketPrice orange ub ub-ac ub-pe">￥'+adthkPrice+'</div>'
                                            +'</div>'
                                            +'<div class="ub ptb2 resultRow web-width">'
                                                +'<div class="ticketType1 ub ub-ac">旅客服务费(SG)</div>'
                                                +'<div class="ticketCount1 ub ub-ac ub-pc"></div>'
                                                +'<div class="ticketPrice orange ub ub-ac ub-pe">￥'+adtfwPrice+'</div>'
                                            +'</div>'
                                            +'<div class="ub ptb2 resultRow web-width">'
                                                +'<div class="ticketType1 ub ub-ac">燃油费</div>'
                                                +'<div class="ticketCount1 ub ub-ac ub-pc"></div>'
                                                +'<div class="ticketPrice orange ub ub-ac ub-pe">￥'+ranyou+'</div>'
                                            +'</div>';                                                                                                                                                                  
                                }
                                                        
                                    var str='<div class="bg-white">'
                                        +'<div class="ptb">'
                                            +'<div class="ub ub-ver">'
                                                //+'<div class="ptb21 font4 priceNum web-width">'+go.flightAirLine+go.flightNum+'</div>'
                                                +'<div class="ptb212 font4 ub ub-ver">'
                                                +str1
                                                +'</div>'
                                            +'</div>'
                                        +'</div>'
                                    +'</div>';
                                index = layer.open({
                                    type: 1,
                                    content: str,
                                    anim: 'up',
                                    scrollbar: false,
                                    style: 'position:fixed; bottom:'+height+';left:0; width: 100%;height:auto; border:none;',
                                    end: function(){
                                        click11 = true;
                                        $(".detailed").removeClass("detailedDown");
                                        $(".detailed").addClass("detailedUp");
                                      }
                                });
                                $(".laymshade").css({"height":"auto","bottom":"3em"});
                                //阻止默认滑动事件
                                $(".laymshade").on("touchmove",function(e){
                                    e.stopPropagation();//终止事件冒泡
                                    e.preventDefault();
                                })
                                $(".layermmain").on("touchmove",function(e){
                                    e.stopPropagation();//终止事件冒泡
                                    e.preventDefault();
                                })
                                $("#Footer_TicketOrder").on("touchmove",function(e){
                                    e.stopPropagation();//终止事件冒泡
                                    e.preventDefault();
                                })
                            }else{
                                layer.closeAll();
                            }
                        })                        

                        //明细支付处理费的2次弹窗
                        var click11 = true;
                        appcan.button("#jijianran3", "btn-act", function() {
                            if($(".detailed").hasClass("detailedUp")){
                                $(".detailed").removeClass("detailedUp");
                                $(".detailed").addClass("detailedDown");
                            }else{
                                $(".detailed").removeClass("detailedDown");
                                $(".detailed").addClass("detailedUp");
                            }
                            if(click11 == true){
                                click11 = false;
                                appcan.window.disableBounce();
                                layer.closeAll();
                                var height = $("#Footer_TicketOrder").offset().height+"px";
                                
                                var str1 = "";
                                var str2 = "该费用为支付平台交易费用，具体金额请以订单显示金额为准。发生退票时，支付处理费不单独退款；仅当订单内所有机票均按照非自愿退票处理时，支付处理费予以退还。";
                                //var str3 = "旅客退票时，只有当该订单所有旅客的所有航段全部退完时，该支付处理费按原路径退回；旅客改签时，支付处理费不退，旅客在改签支付票款差价时，系统不再收取手续费。";
                                //var str4 = "旅客如需开具发票，可前往西部航空直属柜台领取定额发票。";
                                str1 += '<div class="ub resultRow web-width">'
                                            //+'<div class="duiqi">收取说明：</div>'
                                            +'<div class="ub-f1 duiqi">'+str2+'</div>'
                                        +'</div>';
                                // str1 += '<div class="ub resultRow web-width">'
                                            // +'<div class="duiqi">变更说明：</div>'
                                            // +'<div class="ub-f1 duiqi">'+str3+'</div>'
                                        // +'</div>';
                                // str1 += '<div class="ub resultRow web-width">'
                                            // +'<div class="duiqi">发票领取：</div>'
                                            // +'<div class="ub-f1 duiqi">'+str4+'</div>'
                                        // +'</div>';                                                                                
                                                        
                                    var str='<div class="bg-white">'
                                        +'<div class="ptb">'
                                            +'<div class="ub ub-ver">'
                                                +'<div class="ptb21 font4 priceNum web-width">支付处理费说明</div>'
                                                +'<div class="ptb212 font4 ub ub-ver">'
                                                +str1
                                                +'</div>'
                                            +'</div>'
                                        +'</div>'
                                    +'</div>';
                                index = layer.open({
                                    type: 1,
                                    content: str,
                                    anim: 'up',
                                    scrollbar: false,
                                    style: 'position:fixed; bottom:'+height+';left:0; width: 100%;height:auto; border:none;',
                                    end: function(){
                                        click11 = true;
                                        $(".detailed").removeClass("detailedDown");
                                        $(".detailed").addClass("detailedUp");
                                      }
                                });
                                $(".laymshade").css({"height":"auto","bottom":"3em"});
                                //阻止默认滑动事件
                                $(".laymshade").on("touchmove",function(e){
                                    e.stopPropagation();//终止事件冒泡
                                    e.preventDefault();
                                })
                                $(".layermmain").on("touchmove",function(e){
                                    e.stopPropagation();//终止事件冒泡
                                    e.preventDefault();
                                })
                                $("#Footer_TicketOrder").on("touchmove",function(e){
                                    e.stopPropagation();//终止事件冒泡
                                    e.preventDefault();
                                })
                            }else{
                                layer.closeAll();
                            }
                        })
                        
                    }else{
                        layer.closeAll();
                    }
                })                
                
                
                //添加乘机人
                var newchengjirenStates = 0;//有没有进行增删改查
                //是否第一个乘机人
                appcan.window.subscribe("isNoPerson",function(msg){
                    var onlyOnePerson = appcan.locStorage.val("onlyOnePerson") || "";
                    console.log("==================");
                    console.log(onlyOnePerson);
                    if(isDefine(onlyOnePerson)){
                        onlyOnePerson = JSON.parse(onlyOnePerson);
                           var carType = "";
                           if(isDefine(onlyOnePerson[0].piNumberType)){
                               carType = "<div class='font6 grey'>"+onlyOnePerson[0].piNumberType+": "+onlyOnePerson[0].piNumber+"</div>";
                           }
                           var str ='<div class="ub airPerson" data-pid="'+onlyOnePerson[0].piId+'" data-date="'+onlyOnePerson[0].piExpirationDate+'" data-birthday="'+onlyOnePerson[0].piBirthDay+'">'
                               +'<div class="ub ub-ac ub-pc delete-btn">'
                                   +'<img class="ub delete" src="../image/delete.png" />'
                               +'</div>'
                               +'<div class="ub ub-ver ub-pc carMs">'
                                   +'<div class="name font3"><span class="pName" data-pid="">'+onlyOnePerson[0].piLname+'&nbsp;'+onlyOnePerson[0].piFname+'</span>&nbsp;<span class="font6 grey pType">'+onlyOnePerson[0].piType+'</span></div>'
                                   +carType
                               +'</div>'
                           +'</div>';
                           $(".passenger").append(str);
                           //删除
                            appcan.button(".delete-btn", "btn-act",function() {
                                $(this).parent().remove();
                            });
                    }
                    
                });
                // 操作之后的乘机人
                var newChengjiren = "";
                appcan.window.subscribe("newChengjiren",function(){
                    newchengjirenStates = 1;
                    console.log("更新乘机人");
                    newChengjiren = appcan.locStorage.val("newChengjiren") || "";
                    console.log(newChengjiren);
                    appcan.locStorage.val("oldChengjiren",newChengjiren);
                    if(newChengjiren != ""){
                        newChengjiren = JSON.parse(newChengjiren);
                        passengerParam = newChengjiren;
                        $("#passexngerList .persons").remove();
                        var newpassengerList = "";
                        for(var i=0;i<newChengjiren.length;i++){
                            var piNumber = "";
                            if(newChengjiren[i].piNumber.length > 18){
                                piNumber = newChengjiren[i].piNumber.substring(0,18)+"...";
                            }else{
                                piNumber = newChengjiren[i].piNumber;
                            }
                            if(newChengjiren[i].piType != "婴儿"){
                                newpassengerList+= '<div class="ptb ub web-width persons checked-btn" data-pid="'+newChengjiren[i].piId+'" data-date="'+newChengjiren[i].piExpirationDate+'" data-birthday="'+newChengjiren[i].piBirthDay+'">'
                                            +'<img class="ub edit" src="../image/edit.png" />'
                                            +'<div class="ub ub-f1 addPerson" data-add="0">'
                                            +'<div class="ub-f1 ub ub-ver">'
                                                +'<div class="ub-f1"><span class="pName">'+newChengjiren[i].piLname+'&nbsp'+newChengjiren[i].piFname+'</span>&nbsp;&nbsp;&nbsp;&nbsp;<span class="grey font5 pType">'+newChengjiren[i].piType+'</span></div>'
                                                +'<div class="ub-f1 font5 pId">'+newChengjiren[i].piNumberType+': '+piNumber+'</div>'
                                            +'</div>'
                                            +'<div class="ub ub-ac ub-pc check" check="false">'
                                                // +'<img class="ub" src="" />'
                                            +'</div>'
                                            +'</div>'
                                        +'</div>';
                            }else{
                                newpassengerList+= '<div class="ptb ub web-width persons checked-btn" data-pid="'+newChengjiren[i].piId+'" data-date="'+newChengjiren[i].piExpirationDate+'" data-birthday="'+newChengjiren[i].piBirthDay+'">'
                                            +'<img class="ub edit" src="../image/edit.png" />'
                                            +'<div class="ub ub-f1 ub-ac addPerson" data-add="0">'
                                            +'<div class="ub-f1 ub ub-pc ub-ver">'
                                                +'<div class="ub-f1"><span class="pName">'+newChengjiren[i].piLname+'&nbsp'+newChengjiren[i].piFname+'</span>&nbsp;&nbsp;&nbsp;&nbsp;<span class="grey font5 pType">'+newChengjiren[i].piType+'</span></div>'
                                                
                                            +'</div>'
                                            +'<div class="ub ub-ac ub-pc check" check="false">'
                                                //+'<img class="ub" src="" />'
                                            +'</div>'
                                            +'</div>'
                                        +'</div>';
                            }
                        }
                        $("#passexngerList").append(newpassengerList);
                        //如果删除了一个人要改变之前选择的状态
                        var deletePersonId = appcan.locStorage.val("deletePersonId") || "";
                        console.log(deletePersonId);
                        if(isDefine(deletePersonId)){
                            if($(".passenger").html() != ""){
                                var item = $(".passenger").find(".airPerson");
                                for(var i=0;i<item.length;i++){
                                    if($(item[i]).attr("data-pid") == deletePersonId){
                                        $(item[i]).remove();
                                    }
                                }
                            }
                            appcan.locStorage.val("deletePersonId","");
                        }
                        //如果修改一个人要改变之前的值
                        var updatePersonOne = appcan.locStorage.val("updatePersonOne") || "";
                        if(isDefine(updatePersonOne)){
                            if($(".passenger").html() != ""){
                                updatePersonOne = JSON.parse(updatePersonOne);
                                var item = $(".passenger").find(".airPerson");
                                for(var i=0;i<item.length;i++){
                                    if($(item[i]).attr("data-pid") == updatePersonOne.piId){
                                        if($(item[i]).find(".pType").html() == updatePersonOne.piType){
                                            $(item[i]).find(".pName").html(updatePersonOne.piLname+"&nbsp;"+updatePersonOne.piFname);
                                            $(item[i]).attr("data-date",updatePersonOne.piExpirationDate);
                                            $(item[i]).attr("data-birthday",updatePersonOne.piBirthDay);
                                            $(item[i]).find(".carMs div").eq(1).html(updatePersonOne.piNumberType+"&nbsp;"+piNumber);
                                        }else{
                                            $(item[i]).remove();
                                        }
                                    }
                                }
                            }
                            appcan.locStorage.val("updatePersonOne","");
                        }
                        
                        //外面的人的个数
                        var psadt = 0;
                        var pscnn = 0;
                        var psinf = 0;
                        $(".airPerson").each(function(i,item){
                           if($(item).find(".pType").html() == "成人"){
                               psadt ++;
                           }else if($(item).find(".pType").html() == "儿童"){
                               pscnn ++;
                           }else{
                               psinf ++;
                           }
                        });
                        
                        //计算现在勾选的人数
                        var psadt2 = 0;
                        var pscnn2 = 0;
                        var psinf2 = 0;
                        $(".persons").each(function(i,item){
                            if($(item).find(".check").attr("check") == "true"){
                               if($(item).find(".pType").html() == "成人"){
                                    psadt2 ++;
                               }else if($(item).find(".pType").html() == "儿童"){
                                   pscnn2 ++;
                               }else{
                                   psinf2 ++;
                               }
                            }
                        });
                        
                        //判断成人
                        if(psadt == airCheckParam.adt){
                            $(".persons").each(function(i,item){
                                if($(item).find(".pType").html() == "成人"){
                                    if($(item).find(".check").attr("check") != "true"){
                                        $(item).css("opacity",".5");
                                        $(item).find(".addPerson").attr("data-add","1");
                                    }
                                }
                            });
                        }else{
                            $(".persons").each(function(i,item){
                                if($(item).find(".pType").html() == "成人"){
                                    $(item).css("opacity","1");
                                    $(item).find(".addPerson").attr("data-add","0");
                                }
                            });
                        }
                        //判断儿童
                        if(airCheckParam.cnn == 0){
                            $(".persons").each(function(i,item){
                                if($(item).find(".pType").html() == "儿童"){
                                    $(item).css("display","none!important");
                                }
                            });
                        }else{
                            if(pscnn == airCheckParam.cnn || airCheckParam.cnn == 0){
                                $(".persons").each(function(i,item){
                                    if($(item).find(".pType").html() == "儿童"){
                                        if($(item).find(".check").attr("check") != "true"){
                                            $(item).css("opacity",".5");
                                            $(item).find(".addPerson").attr("data-add","1");
                                        }
                                    }
                                });
                            }else{
                                $(".persons").each(function(i,item){
                                    if($(item).find(".pType").html() == "儿童"){
                                        $(item).css("opacity","1");
                                        $(item).find(".addPerson").attr("data-add","0");
                                    }
                                });
                            }
                        }
                        
                        //判断婴儿
                        if(airCheckParam.inf == 0){
                            $(".persons").each(function(i,item){
                                if($(item).find(".pType").html() == "婴儿"){
                                    $(item).css("display","none!important");
                                }
                            });
                        }else{
                            if(psinf == airCheckParam.inf || airCheckParam.inf == 0){
                                $(".persons").each(function(i,item){
                                    if($(item).find(".pType").html() == "婴儿"){
                                        if($(item).find(".check").attr("check") != "true"){
                                            $(item).css("opacity",".5");
                                            $(item).find(".addPerson").attr("data-add","1");
                                        }
                                    }
                                });
                            }else{
                                $(".persons").each(function(i,item){
                                    if($(item).find(".pType").html() == "婴儿"){
                                        $(item).css("opacity","1");
                                        $(item).find(".addPerson").attr("data-add","0");
                                    }
                                });
                            }
                        }
                        if($(".airPerson").length > 0){
                            $(".persons").each(function(i,item){
                                $(".airPerson").each(function(j,item2){
                                    if($(item).attr("data-pid") == $(item2).attr("data-pid")){
                                        $(item).find(".check").attr("check","true");
                                        $(item).find(".check").append('<img class="ub gou" src="../image/form_option_tick.png" />');
                                        $(item).css("opacity","1");
                                        $(item).find(".addPerson").attr("data-add","0");
                                    }
                                });
                            });
                        }
                        //修改乘机人页面
                        appcan.button(".edit", "btn-act",function() {
                            var edit = $(this);
                            var updateParam = {};
                            if(newChengjiren == ""){
                                var passenger = resp.data.passenger;
                                for(var i=0;i<passenger.length;i++){
                                    if(passenger[i].piId == $(edit).parent().attr("data-pid")){
                                        updateParam = passenger[i];
                                        break;
                                    }
                                }
                            }else{
                                for(var i=0;i<newChengjiren.length;i++){
                                    if(newChengjiren[i].piId == $(edit).parent().attr("data-pid")){
                                        updateParam = newChengjiren[i];
                                        console.log("2");
                                        break;
                                    }
                                }
                            }
                            appcan.locStorage.val("updateState",1);
                            appcan.locStorage.val("updateParam",updateParam);
                            appcan.window.open("airDynamic_updatechengjiren","airDynamic_updatechengjiren.html",10);
                        });
                        //添加勾选
                        appcan.button(".addPerson", "btn-act",function() {
                            if($(this).attr("data-add") == "0"){
                                if($(this).find(".check").attr("check") == "false"){
                                    $(this).find(".check").css("border-color","#843D99");
                                    $(this).find(".check").append('<img class="ub gou" src="../image/form_option_tick.png" />');
                                    $(this).find(".check").attr("check","true");
                                }else{
                                    $(this).find(".check").css("border-color","#A4A4A4");
                                    $(this).find(".check .gou").remove();
                                    $(this).find(".check").attr("check","false");
                                }
                                
                                //$(".adt")$(".cnn")$(".inf")
                                //外面的人的个数
                                var psadt = 0;
                                var pscnn = 0;
                                var psinf = 0;
                                $(".airPerson").each(function(i,item){
                                   if($(item).find(".pType").html() == "成人"){
                                       psadt ++;
                                   }else if($(item).find(".pType").html() == "儿童"){
                                       pscnn ++;
                                   }else{
                                       psinf ++;
                                   }
                                });
                                //计算现在勾选的人数
                                var psadt2 = 0;
                                var pscnn2 = 0;
                                var psinf2 = 0;
                                $(".persons").each(function(i,item){
                                    if($(item).find(".check").attr("check") == "true"){
                                       if($(item).find(".pType").html() == "成人"){
                                            psadt2 ++;
                                       }else if($(item).find(".pType").html() == "儿童"){
                                           pscnn2 ++;
                                       }else{
                                           psinf2 ++;
                                       }
                                    }
                                });
                                //判断成人
                                if(psadt2 == airCheckParam.adt){
                                    $(".persons").each(function(i,item){
                                        if($(item).find(".pType").html() == "成人"){
                                            if($(item).find(".check").attr("check") != "true"){
                                                $(item).css("opacity",".5");
                                                $(item).find(".addPerson").attr("data-add","1");
                                            }
                                        }
                                    });
                                }else{
                                    $(".persons").each(function(i,item){
                                        if($(item).find(".pType").html() == "成人"){
                                            $(item).css("opacity","1");
                                            $(item).find(".addPerson").attr("data-add","0");
                                        }
                                    });
                                }
                                //判断儿童
                                if(pscnn2 == airCheckParam.cnn){
                                    $(".persons").each(function(i,item){
                                        if($(item).find(".pType").html() == "儿童"){
                                            if($(item).find(".check").attr("check") != "true"){
                                                $(item).css("opacity",".5");
                                                $(item).find(".addPerson").attr("data-add","1");
                                            }
                                        }
                                    });
                                }else{
                                    $(".persons").each(function(i,item){
                                        if($(item).find(".pType").html() == "儿童"){
                                            $(item).css("opacity","1");
                                            $(item).find(".addPerson").attr("data-add","0");
                                        }
                                    });
                                }
                                //判断婴儿
                                if(psinf2 == airCheckParam.inf){
                                    $(".persons").each(function(i,item){
                                        if($(item).find(".pType").html() == "婴儿"){
                                            if($(item).find(".check").attr("check") != "true"){
                                                $(item).css("opacity",".5");
                                                $(item).find(".addPerson").attr("data-add","1");
                                            }
                                        }
                                    });
                                }else{
                                    $(".persons").each(function(i,item){
                                        if($(item).find(".pType").html() == "婴儿"){
                                            $(item).css("opacity","1");
                                            $(item).find(".addPerson").attr("data-add","0");
                                        }
                                    });
                                }
                            }else{
                                //如果只有一个成人，单选
                                var adt = parseInt(airCheckParam.adt);
                                var cnn = parseInt(airCheckParam.cnn);
                                var inf = parseInt(airCheckParam.inf);
                                if((adt+cnn+inf) == 1 && $(this).find(".pType").html() == "成人"){
                                    $(".persons").find(".check").attr("check") == "false"
                                    $(".persons").find(".check").css("border-color","#A4A4A4");
                                    $(".persons").find(".check .gou").remove();
                                    $(".persons").find(".check").attr("check","false");
                                    $(".persons").css("opacity",".5");
                                    $(".persons").find(".addPerson").attr("data-add","1");
                                    
                                    $(this).parent().find(".check").css("border-color","#843D99");
                                    $(this).parent().find(".check").append('<img class="ub gou" src="../image/form_option_tick.png" />');
                                    $(this).parent().find(".check").attr("check","true");
                                    $(this).parent().css("opacity","1");
                                    $(this).parent().find(".addPerson").attr("data-add","0");
                                    
                                }else{
                                    var c = 0;
                                    $(".persons").each(function(i,item){
                                        if($(item).find(".check").attr("check") == "true"){
                                            c ++;
                                        }
                                    });
                                    //alert(c);
                                    if(c <　(adt+cnn+inf)){
                                        pop.notice("请选择其他类型乘机人");
                                    }else{
                                        pop.notice("不能选择更多乘机人");
                                    }
                                    c = 0;
                                }
                            }
                        });
                    }
                });
                
                var click2 = true;
                appcan.button(".addTransaction", "btn-act",function() {
                    var international = appcan.locStorage.val("international") || "";
                    if(!isDefine(international)){
                        pop.notice("系统错误");
                        setTimeout(function(){
                            appcan.window.close(-1);
                        },2000);
                    }
                    $(this).focus();
                    document.activeElement.blur();
                    if(click2 == true){
                        click2 = false;
                        var str = ""
                        var passengerList = "";
                        var pCounts = 0;
                        if(newchengjirenStates == 1){
                            pCounts = 0;
                            console.log(newChengjiren);
                            for(var i=0;i<newChengjiren.length;i++){
                                var piNumber = "";
                                if(newChengjiren[i].piNumber.length > 18){
                                    piNumber = newChengjiren[i].piNumber.substring(0,18)+"...";
                                }else{
                                    piNumber = newChengjiren[i].piNumber;
                                }
                                pCounts++;
                                if(newChengjiren[i].piType != "婴儿"){
                                    passengerList+= '<div class="ptb ub web-width persons checked-btn" data-pid="'+newChengjiren[i].piId+'" data-date="'+newChengjiren[i].piExpirationDate+'" data-birthday="'+newChengjiren[i].piBirthDay+'">'
                                                +'<img class="ub edit" src="../image/edit.png" />'
                                                +'<div class="ub ub-f1 addPerson" data-add="0">'
                                                +'<div class="ub-f1 ub ub-pc ub-ver">'
                                                    +'<div class="ub-f1"><span class="pName">'+newChengjiren[i].piLname+'&nbsp'+newChengjiren[i].piFname+'</span>&nbsp;&nbsp;&nbsp;&nbsp;<span class="grey font5 pType">'+newChengjiren[i].piType+'</span></div>'
                                                    +'<div class="ub-f1 font5 pId">'+newChengjiren[i].piNumberType+': '+piNumber+'</div>'
                                                +'</div>'
                                                +'<div class="ub ub-ac ub-pc check" check="false">'
                                                    //+'<img class="ub" src="" />'
                                                +'</div>'
                                                +'</div>'
                                            +'</div>';
                                }else{
                                    passengerList+= '<div class="ptb ub web-width persons checked-btn" data-pid="'+newChengjiren[i].piId+'" data-date="'+newChengjiren[i].piExpirationDate+'" data-birthday="'+newChengjiren[i].piBirthDay+'">'
                                                +'<img class="ub edit" src="../image/edit.png" />'
                                                +'<div class="ub ub-f1 ub-ac addPerson" data-add="0">'
                                                +'<div class="ub-f1 ub ub-pc ub-ver">'
                                                    +'<div class="ub-f1"><span class="pName">'+newChengjiren[i].piLname+'&nbsp'+newChengjiren[i].piFname+'</span>&nbsp;&nbsp;&nbsp;&nbsp;<span class="grey font5 pType">'+newChengjiren[i].piType+'</span></div>'
                                                    
                                                +'</div>'
                                                +'<div class="ub ub-ac ub-pc check" check="false">'
                                                    //+'<img class="ub" src="" />'
                                                +'</div>'
                                                +'</div>'
                                            +'</div>';
                                }
                            }
                        }else{
                            pCounts = 0;
                            var passenger = resp.data.passenger;
                            for(var i = 0; i < passenger.length;i++){
                                var piNumber = "";
                                if(passenger[i].piNumber.length > 18){
                                    piNumber = passenger[i].piNumber.substring(0,18)+"...";
                                }else{
                                    piNumber = passenger[i].piNumber;
                                }
                                pCounts ++;
                                if(passenger[i].piType != "婴儿"){
                                    passengerList+= '<div class="ptb ub web-width persons checked-btn" data-pid="'+passenger[i].piId+'" data-date="'+passenger[i].piExpirationDate+'" data-birthday="'+passenger[i].piBirthDay+'">'
                                                +'<img class="ub edit" src="../image/edit.png" />'
                                                +'<div class="ub ub-f1 addPerson" data-add="0">'
                                                +'<div class="ub-f1 ub ub-pc ub-ver">'
                                                    +'<div class="ub-f1"><span class="pName">'+passenger[i].piLname+'&nbsp'+passenger[i].piFname+'</span>&nbsp;&nbsp;&nbsp;&nbsp;<span class="grey font5 pType">'+passenger[i].piType+'</span></div>'
                                                    +'<div class="ub-f1 font5 pId">'+passenger[i].piNumberType+': '+piNumber+'</div>'
                                                +'</div>'
                                                +'<div class="ub ub-ac ub-pc check" check="false">'
                                                    //+'<img class="ub" src="" />'
                                                +'</div>'
                                                +'</div>'
                                            +'</div>';
                                }else{
                                    passengerList+= '<div class="ptb ub web-width persons checked-btn" data-pid="'+passenger[i].piId+'" data-date="'+passenger[i].piExpirationDate+'" data-birthday="'+passenger[i].piBirthDay+'">'
                                                +'<img class="ub ub-pc edit" src="../image/edit.png" />'
                                                +'<div class="ub ub-f1 ub-ac addPerson" data-add="0">'
                                                +'<div class="ub-f1 ub ub-pc ub-ver">'
                                                    +'<div class="ub-f1"><span class="pName">'+passenger[i].piLname+'&nbsp'+passenger[i].piFname+'</span>&nbsp;&nbsp;&nbsp;&nbsp;<span class="grey font5 pType">'+passenger[i].piType+'</span></div>'
                                                    
                                                +'</div>'
                                                +'<div class="ub ub-ac ub-pc check" check="false">'
                                                    //+'<img class="ub" src="" />'
                                                +'</div>'
                                                +'</div>'
                                            +'</div>';
                                }
                            }
                        }
                        if(pCounts == 0){
                            appcan.locStorage.val("addState",1);
                            appcan.locStorage.val("addStateDate",go.beginDate);
                            appcan.locStorage.val("isNoPerson","yes");
                            appcan.window.open("airDynamic_addchengjiren","airDynamic_addchengjiren.html",10);
                            click2 = true;
                            return;
                        }else{
                            appcan.locStorage.val("isNoPerson","no");
                        }
                        str='<div class="bg-grey">'
                            +'<div class="font4 ub bg-white">'
                                +'<div class="ub web-width font4">'
                                    +'<div class="ub-f1 ub ub-ac no font3 zi" style="height:2.5em;">取消</div>'
                                    +'<div class="ub ub-ac ub-pe font5 grey" style="height:3em;">已隐藏类型不符的乘机人</div>'
                                    +'<div class="ub-f1 ub ub-ac ub-pe yes font3 zi" style="height:2.5em;">确定</div>'
                                +'</div>'
                            +'</div>'
                            +'<div class="ptb font4 ub ub-ver bg-white" id="passexngerList">'
                                +passengerList
                            +'</div>'
                            +'<div class="ptb font2 ub bg-white addBtn">'
                                +'<div class="ptb ub ub-ac ub-pc web-width">'
                                    +'<div class="ub ub-ac ub-pc zi">'
                                        +'<img class="ub" src="../image/add_fill.png" />&nbsp;&nbsp;新增乘机人'
                                    +'</div>'
                                +'</div>'
                            +'</div>'
                        +'</div>';
                        var passenger = layer.open({
                            type: 1,
                            content: str,
                            anim: 'up',
                            scrollbar: false,
                            style: 'position:fixed; bottom:0; left:0; width: 100%; border:none;',
                            end: function(){
                                click2 = true;
                                $("body").css({"height":"auto!important","overflow":"auto!important"});
                                $("html").css({"height":"auto!important","overflow":"auto!important"});
                              }
                        });
                        $(".laymshade").on("touchmove",function(e){
                            e.stopPropagation();//终止事件冒泡
                            e.preventDefault();
                        })
                        $(".yes").on("touchmove",function(e){
                            e.stopPropagation();//终止事件冒泡
                            e.preventDefault();
                        })
                        $(".no").on("touchmove",function(e){
                            e.stopPropagation();//终止事件冒泡
                            e.preventDefault();
                        })
                        $(".addBtn").on("touchmove",function(e){
                            e.stopPropagation();//终止事件冒泡
                            e.preventDefault();
                        })
                        $("body").css({"height":"100%!important","overflow":"hidden!important"});
                        $("html").css({"height":"100%!important","overflow":"hidden!important"});
                        
                        
                        if($(".airPerson").length > 0){
                            $(".persons").each(function(i,item){
                                $(".airPerson").each(function(j,item2){
                                    if($(item).attr("data-pid") == $(item2).attr("data-pid")){
                                        $(item).find(".check").attr("check","true");
                                        $(item).find(".check").append('<img class="ub gou" src="../image/form_option_tick.png" />');
                                        $(item).css("opacity","1");
                                        $(item).find(".addPerson").attr("data-add","0");
                                    }
                                });
                            });
                        }
                        //外面的人的个数
                            var psadt = 0;
                            var pscnn = 0;
                            var psinf = 0;
                            $(".airPerson").each(function(i,item){
                               if($(item).find(".pType").html() == "成人"){
                                   psadt ++;
                               }else if($(item).find(".pType").html() == "儿童"){
                                   pscnn ++;
                               }else{
                                   psinf ++;
                               }
                            });
                            //计算现在勾选的人数
                            var psadt2 = 0;
                            var pscnn2 = 0;
                            var psinf2 = 0;
                            $(".persons").each(function(i,item){
                                if($(item).find(".check").attr("check") == "true"){
                                   if($(item).find(".pType").html() == "成人"){
                                        psadt2 ++;
                                   }else if($(item).find(".pType").html() == "儿童"){
                                       pscnn2 ++;
                                   }else{
                                       psinf2 ++;
                                   }
                                }
                            });
                            
                            //判断成人
                            if(psadt == airCheckParam.adt){
                                $(".persons").each(function(i,item){
                                    if($(item).find(".pType").html() == "成人"){
                                        if($(item).find(".check").attr("check") != "true"){
                                            $(item).css("opacity",".5");
                                            $(item).find(".addPerson").attr("data-add","1");
                                        }
                                    }
                                });
                            }else{
                                $(".persons").each(function(i,item){
                                    if($(item).find(".pType").html() == "成人"){
                                        $(item).css("opacity","1");
                                        $(item).find(".addPerson").attr("data-add","0");
                                    }
                                });
                            }
                            //判断儿童
                            if(airCheckParam.cnn == 0){
                                $(".persons").each(function(i,item){
                                    if($(item).find(".pType").html() == "儿童"){
                                        $(item).css("display","none!important");
                                    }
                                });
                            }else{
                                if(pscnn == airCheckParam.cnn || airCheckParam.cnn == 0){
                                    $(".persons").each(function(i,item){
                                        if($(item).find(".pType").html() == "儿童"){
                                            if($(item).find(".check").attr("check") != "true"){
                                                $(item).css("opacity",".5");
                                                $(item).find(".addPerson").attr("data-add","1");
                                            }
                                        }
                                    });
                                }else{
                                    $(".persons").each(function(i,item){
                                        if($(item).find(".pType").html() == "儿童"){
                                            $(item).css("opacity","1");
                                            $(item).find(".addPerson").attr("data-add","0");
                                        }
                                    });
                                }
                            }
                            //判断婴儿
                            if(airCheckParam.inf == 0){
                                $(".persons").each(function(i,item){
                                    if($(item).find(".pType").html() == "婴儿"){
                                        $(item).css("display","none!important");
                                    }
                                });
                            }else{
                                if(psinf == airCheckParam.inf || airCheckParam.inf == 0){
                                    $(".persons").each(function(i,item){
                                        if($(item).find(".pType").html() == "婴儿"){
                                            if($(item).find(".check").attr("check") != "true"){
                                                $(item).css("opacity",".5");
                                                $(item).find(".addPerson").attr("data-add","1");
                                            }
                                        }
                                    });
                                }else{
                                    $(".persons").each(function(i,item){
                                        if($(item).find(".pType").html() == "婴儿"){
                                            $(item).css("opacity","1");
                                            $(item).find(".addPerson").attr("data-add","0");
                                        }
                                    });
                                }
                            }
                            
                        //添加乘机人页面
                        appcan.button(".addBtn", "btn-act",function() {
                            appcan.locStorage.val("addState",1);
                            appcan.locStorage.val("addStateDate",go.beginDate);
                            appcan.window.open("airDynamic_addchengjiren","airDynamic_addchengjiren.html",10);
                        });
                        //修改乘机人页面
                        appcan.button(".edit", "btn-act",function() {
                            var edit = $(this);
                            var updateParam = {};
                            if(newChengjiren == ""){
                                var passenger = resp.data.passenger;
                                for(var i=0;i<passenger.length;i++){
                                    if(passenger[i].piId == $(edit).parent().attr("data-pid")){
                                        updateParam = passenger[i];
                                        break;
                                    }
                                }
                            }else{
                                for(var i=0;i<newChengjiren.length;i++){
                                    if(newChengjiren[i].piId == $(edit).parent().attr("data-pid")){
                                        updateParam = newChengjiren[i];
                                        console.log("2");
                                        break;
                                    }
                                }
                            }
                            appcan.locStorage.val("updateState",1);
                            appcan.locStorage.val("updateParam",updateParam);
                            appcan.locStorage.val("addState",1);
                            appcan.locStorage.val("addStateDate",go.beginDate);
                            appcan.window.open("airDynamic_updatechengjiren","airDynamic_updatechengjiren.html",10);
                        });
                        //添加勾选
                        appcan.button(".addPerson", "btn-act",function() {
                            if($(this).attr("data-add") == "0"){
                                if($(this).find(".check").attr("check") == "false"){
                                    $(this).find(".check").css("border-color","#843D99");
                                    $(this).find(".check").append('<img class="ub gou" src="../image/form_option_tick.png" />');
                                    $(this).find(".check").attr("check","true");
                                }else{
                                    $(this).find(".check").css("border-color","#A4A4A4");
                                    $(this).find(".check .gou").remove();
                                    $(this).find(".check").attr("check","false");
                                }
                                
                                //外面的人的个数
                                var psadt = 0;
                                var pscnn = 0;
                                var psinf = 0;
                                $(".airPerson").each(function(i,item){
                                   if($(item).find(".pType").html() == "成人"){
                                       psadt ++;
                                   }else if($(item).find(".pType").html() == "儿童"){
                                       pscnn ++;
                                   }else{
                                       psinf ++;
                                   }
                                });
                                //计算现在勾选的人数
                                var psadt2 = 0;
                                var pscnn2 = 0;
                                var psinf2 = 0;
                                $(".persons").each(function(i,item){
                                    if($(item).find(".check").attr("check") == "true"){
                                       if($(item).find(".pType").html() == "成人"){
                                            psadt2 ++;
                                       }else if($(item).find(".pType").html() == "儿童"){
                                           pscnn2 ++;
                                       }else{
                                           psinf2 ++;
                                       }
                                    }
                                });
                                //判断成人
                                if(psadt2 == airCheckParam.adt){
                                    $(".persons").each(function(i,item){
                                        if($(item).find(".pType").html() == "成人"){
                                            if($(item).find(".check").attr("check") != "true"){
                                                $(item).css("opacity",".5");
                                                $(item).find(".addPerson").attr("data-add","1");
                                            }
                                        }
                                    });
                                }else{
                                    $(".persons").each(function(i,item){
                                        if($(item).find(".pType").html() == "成人"){
                                            $(item).css("opacity","1");
                                            $(item).find(".addPerson").attr("data-add","0");
                                        }
                                    });
                                }
                                //判断儿童
                                if(pscnn2 == airCheckParam.cnn){
                                    $(".persons").each(function(i,item){
                                        if($(item).find(".pType").html() == "儿童"){
                                            if($(item).find(".check").attr("check") != "true"){
                                                $(item).css("opacity",".5");
                                                $(item).find(".addPerson").attr("data-add","1");
                                            }
                                        }
                                    });
                                }else{
                                    $(".persons").each(function(i,item){
                                        if($(item).find(".pType").html() == "儿童"){
                                            $(item).css("opacity","1");
                                            $(item).find(".addPerson").attr("data-add","0");
                                        }
                                    });
                                }
                                //判断婴儿
                                if(psinf2 == airCheckParam.inf){
                                    $(".persons").each(function(i,item){
                                        if($(item).find(".pType").html() == "婴儿"){
                                            if($(item).find(".check").attr("check") != "true"){
                                                $(item).css("opacity",".5");
                                                $(item).find(".addPerson").attr("data-add","1");
                                            }
                                        }
                                    });
                                }else{
                                    $(".persons").each(function(i,item){
                                        if($(item).find(".pType").html() == "婴儿"){
                                            $(item).css("opacity","1");
                                            $(item).find(".addPerson").attr("data-add","0");
                                        }
                                    });
                                }
                            }else{
                                //如果只有一个成人，单选
                                var adt = parseInt(airCheckParam.adt);
                                var cnn = parseInt(airCheckParam.cnn);
                                var inf = parseInt(airCheckParam.inf);
                                
                                if((adt+cnn+inf) == 1 && $(this).find(".pType").html() == "成人"){
                                    $(".persons").find(".check").attr("check") == "false"
                                    $(".persons").find(".check").css("border-color","#A4A4A4");
                                    $(".persons").find(".check .gou").remove();
                                    $(".persons").find(".check").attr("check","false");
                                    $(".persons").css("opacity",".5");
                                    $(".persons").find(".addPerson").attr("data-add","1");
                                    
                                    $(this).parent().find(".check").css("border-color","#843D99");
                                    $(this).parent().find(".check").append('<img class="ub gou" src="../image/form_option_tick.png" />');
                                    $(this).parent().find(".check").attr("check","true");
                                    $(this).parent().css("opacity","1");
                                    $(this).parent().find(".addPerson").attr("data-add","0");
                                }else{
                                    var c = 0;
                                    $(".persons").each(function(i,item){
                                        if($(item).find(".check").attr("check") == "true"){
                                            c ++;
                                        }
                                    });
                                    if(c <　(adt+cnn+inf)){
                                        pop.notice("请选择其他类型乘机人");
                                    }else{
                                        pop.notice("不能选择更多乘机人");
                                    }
                                    c = 0;
                                }
                            }
                        });
                        //确定
                        $(".yes").on('tap', function (e) {
                            e.preventDefault();
                            $(".delete-btn").parent().remove();
                            $(".persons").each(function(i,item){
                               if($(item).find(".check").attr("check") == "true"){
                                   var carType = "";
                                   if($(item).find(".pId").html() == null){
                                       carType = "";
                                   }else{
                                       carType = '<div class="idCar font6 grey"><span class="pId">'+$(item).find(".pId").html()+'</span></div>';
                                   }
                                   var uid = $(item).attr("data-pid");
                                   var str ='<div class="ub airPerson" data-pid='+uid+' data-date="'+ $(item).attr("data-date")+'" data-birthday="'+$(item).attr("data-birthday")+'">'
                                       +'<div class="ub ub-ac ub-pc delete-btn">'
                                           +'<img class="ub delete" src="../image/delete.png" />'
                                       +'</div>'
                                       +'<div class="ub ub-ver ub-pc carMs">'
                                           +'<div class="name font3"><span class="pName" data-pid='+$(item).find(".pName").attr("data-pid")+'>'+$(item).find(".pName").html()+'</span>&nbsp;<span class="font6 grey pType">'+$(item).find(".pType").html()+'</span></div>'
                                           +carType
                                       +'</div>'
                                   +'</div>';
                                   $(".passenger").append(str);
                                   $(item).remove();
                                   
                                   //删除
                                    appcan.button(".delete-btn", "btn-act",function() {
                                        $(this).parent().remove();
                                    });
                               }
                               layer.close(passenger);
                            });
                        });
                        
                        //取消
                        $(".no").on('tap', function (e) {
                            e.preventDefault();
                            layer.close(passenger);
                        });
                        
                    }else{
                        layer.closeAll();
                    }
                });
                //邮寄地址tripAddress
                var click3 = true;
                appcan.button(".mailingAddress","btn-act",function(){
                    if(click3 == true){
                        click3 = false;
                        var mailingAddressList="";
                        var tripAddress = resp.data.tripAddress;
                        console.log("邮寄行程单");
                        console.log(tripAddress);
                        for(var i = 0; i < tripAddress.length;i++){
                            if($(".mailingAddress").attr("data-tripAddressId") == tripAddress[i].tripAddressId){
                                mailingAddressList+= '<div class="ptb ub web-width mailings" data-tripAddressId='+tripAddress[i].tripAddressId+'>'
                                        +'<div class="ub ub-f1 addmailing" data-add="0">'
                                        +'<div class="ub-f1 ub ub-ver">'
                                            +'<div class="ub-f1"><span class="aName">'+tripAddress[i].tripAddressName+'</span>&nbsp;<span class="grey font5 aPhone">'+tripAddress[i].tripAddressPhone+'</span></div>'
                                            +'<div class="ub-f1"><span class="aCity">'+tripAddress[i].tripAddressCity+'</span>&nbsp;<span class="grey font5 aStreet">'+tripAddress[i].tripAddressStreet+'</span></div>'
                                        +'</div>'
                                        +'<div class="ub ub-ac check2" check="false">'
                                            +'<img class="ub" src="../image/form_option_tick.png" />'
                                        +'</div>'
                                        +'</div>'
                                    +'</div>';
                            }else{
                            mailingAddressList+= '<div class="ptb ub web-width mailings" data-tripAddressId='+tripAddress[i].tripAddressId+'>'
                                        +'<div class="ub ub-f1 addmailing" data-add="0">'
                                        +'<div class="ub-f1 ub ub-ver">'
                                            +'<div class="ub-f1"><span class="aName">'+tripAddress[i].tripAddressName+'</span>&nbsp;<span class="grey font5 aPhone">'+tripAddress[i].tripAddressPhone+'</span></div>'
                                            +'<div class="ub-f1"><span class="aCity">'+tripAddress[i].tripAddressCity+'</span>&nbsp;<span class="grey font5 aStreet">'+tripAddress[i].tripAddressStreet+'</span></div>'
                                        +'</div>'
                                        +'<div class="ub ub-ac check2" check="false">'
                                            
                                        +'</div>'
                                        +'</div>'
                                    +'</div>';
                            }
                        }
                                    
                        var str='<div class="bg-grey">'
                            +'<div class="ptb font4 ub bg-white addBtn">'
                                +'<div class="ptb ub ub-ac ub-pc web-width">'
                                    +'<div class="ub ub-ac ub-pc zi">'
                                        +'<img class="ub" src="../image/add_fill.png" />&nbsp;&nbsp;新增收货地址'
                                    +'</div>'
                                +'</div>'
                            +'</div>'
                            +'<div class="ptb font4 ub ub-ver bg-white" id="passexngerList">'
                                +mailingAddressList
                            +'</div>'
                        +'</div>';
                        var mailingAddress = layer.open({
                            type: 1,
                            content: str,
                            anim: 'up',
                            scrollbar: false,
                            style: 'position:fixed; bottom:0; left:0; width: 100%; border:none;',
                            end: function(){
                                click3 = true;
                            }
                        });
                        $(".laymshade").on("touchmove",function(e){
                            e.stopPropagation();//终止事件冒泡
                            e.preventDefault();
                        })
                        $(".layermmain").on("touchmove",function(e){
                            e.stopPropagation();//终止事件冒泡
                            e.preventDefault();
                        })
                        $("#Footer_TicketOrder").on("touchmove",function(e){
                            e.stopPropagation();//终止事件冒泡
                            e.preventDefault();
                        })
                        appcan.button(".addBtn","btn-act",function(){
                            pop.notice("该功能暂未开放 ");
                        })
                        //选择地址
                        appcan.button(".mailings","btn-act",function(){
                            $(".mailingAddress").attr("data-tripaddressid",$(this).attr("data-tripaddressid"));
                            $(".addressName").html($(this).find(".aName").html());
                            $(".addressPhone").html($(this).find(".aPhone").html());
                            $(".address2").html($(this).find(".aCity").html()+"&nbsp;"+$(this).find(".aStreet").html());
                            layer.close(mailingAddress);
                        });
                    }
                });
                //开关
                appcan.button("#pushOn", "btn-bgc-act", function() {
                    if ($('#push').attr("data-checked") == 'true') {//变为不接收
                        $('#push').removeClass('push_bc_ok');
                        $('#push').addClass('push_bc_false');
                        $('#push').attr("data-checked", 'false');
                        if($('#push').attr("data-checked") == "false"){
                            emailState = 0;
                            $(".sum").html(parseInt($(".sum").html())-10);
                            emailLuggage = "";
                            for(var i = 0;i < personMenus.length;i++){
                                if(personMenus[i].type == "邮费"){
                                    for(var j = i; j < personMenus.length - 1;j++){
                                           personMenus[j] = personMenus[j+1];
                                    }
                                    personMenus.length = personMenus.length -1;
                                }
                            }
                        }
                    } else {//变为接收
                        $('#push').removeClass('push_bc_false');
                        $('#push').addClass('push_bc_ok');
                        $('#push').attr("data-checked", 'true');
                        if($('#push').attr("data-checked") == "true"){
                            emailState = 1;
                            $(".sum").html(parseInt($(".sum").html())+10);
                            emailLuggage = '<div class="ub ptb resultRow">'
                                        +'<div class="ticketType">邮费</div>'
                                        +'<div class="ticketPrice orange">￥10</div>'
                                        +'<div class="ticketCount">×1</div>'
                                    +'</div>';
                            //添加单个列表到总列表
                            var personMenu = {
                                "type":"邮费",
                                "price":"￥10",
                                "count":"×1"
                            };
                            personMenus.push(personMenu);
                        }
                    }
                 });
                //下一步确认订单
                appcan.button(".generateOrder", "btn-act", function() {
                    appcan.locStorage.val("addValueMenus","");
                    appcan.locStorage.val("suifeilist","");
                    document.activeElement.blur();
                    //手机正则
                    var telStr = /^1\d{10}$/;
                    //邮箱正则
                    var emailStr = /^[a-z0-9]+([._\\-]*[a-z0-9])*@([a-z0-9]+[-a-z0-9]*[a-z0-9]+.){1,63}[a-z0-9]+$/;
                    //是否包含中文
                    var namePdCStr = /[\u4E00-\u9FA5]/g;
                    //中文验证正则
                    var nameCStr = /^[\u2E80-\u9FFF ]{2,10}$|[\u2E80-\u9FFF ]+[a-zA-z ]{2,10}$/;
                    //中文名长度
                    //var nameCLength = /^\S{2,10}$/;
                    
                    //英文验证正则
                    var nameEStr = /^[a-zA-z ]{2,24}$/;
                    //英文名长度
                    //var nameELength = /^\S{2,24}$/;
                    if($(".airPerson").length == 0){
                        pop.notice("请添加乘机人");
                        return;
                    }
                    var typeCountAdt = 0;
                    var typeCountCnn = 0;
                    var typeCountInf = 0;
                    $(".airPerson").each(function(){
                       if($(this).find(".pType").html() == "成人"){
                           typeCountAdt++;
                       }
                    });
                    if(typeCountAdt < airCheckParam.adt){
                        pop.notice("成人数量不够");
                        return;
                    }
                    if(typeCountAdt > airCheckParam.adt){
                        pop.notice("成人数量超出");
                        return;
                    }
                    
                    $(".airPerson").each(function(){
                       if($(this).find(".pType").html() == "儿童"){
                           typeCountCnn++;
                       }
                    });
                    if(typeCountCnn < airCheckParam.cnn){
                        pop.notice("儿童数量不够");
                        return;
                    }
                    if(typeCountCnn > airCheckParam.cnn){
                        pop.notice("儿童数量超出");
                        return;
                    }
                    $(".airPerson").each(function(){
                       if($(this).find(".pType").html() == "婴儿"){
                           typeCountInf++;
                       }
                    });
                    if(typeCountInf < airCheckParam.inf){
                        pop.notice("婴儿数量不够");
                        return;
                    }
                    if(typeCountInf > airCheckParam.inf){
                        pop.notice("婴儿数量超出");
                        return;
                    }
                    
                    var ap = $(".airPerson");
                    for(var i=0;i<ap.length;i++){
                        for(var j=(i+1);j<ap.length;j++){
                            if($(ap[i]).find(".pName").html().toLowerCase() == $(ap[j]).find(".pName").html().toLowerCase()){
                                pop.notice("乘机人姓名不能一样");
                                return;
                            }
                        }
                    }
                    //起飞时间
                    var nDates = new Date(go.beginDate);
                    //最大儿童时间 
                    var sCnnDate = new Date(new Date((nDates.getFullYear()-12)+"/"+(nDates.getMonth()+1)+"/"+nDates.getDate()).getTime()+1000*60*60*24);
                    //最小儿童时间 
                    var bCnnDate = new Date((nDates.getFullYear()-2)+"/"+(nDates.getMonth()+1)+"/"+nDates.getDate());
                    
                    //最大婴儿时间 
                    var sInfDate = new Date(new Date((nDates.getFullYear()-2)+"/"+(nDates.getMonth()+1)+"/"+nDates.getDate()).getTime()+1000*60*60*24);
                    //最小婴儿时间 
                    var bInfDate = new Date(new Date(nDates.getFullYear()+"/"+(nDates.getMonth()+1)+"/"+nDates.getDate()).getTime()-1000*60*60*336);
                    
                    
                    //最小成人时间 
                    var bAdtDate = new Date((nDates.getFullYear()-12)+"/"+(nDates.getMonth()+1)+"/"+nDates.getDate());
                    for(var i=0;i<ap.length;i++){
                        if($(ap[i]).find(".pType").html() == "成人"){
                            if(new Date($(ap[i]).attr("data-birthday").replace(/-/g,"/")) > bAdtDate){
                                pop.notice($(ap[i]).find(".pName").html()+"旅客类型不符");
                                return;
                            }
                        }else if($(ap[i]).find(".pType").html() == "婴儿"){
                            if(new Date($(ap[i]).attr("data-birthday").replace(/-/g,"/")) < sInfDate){
                                pop.notice($(ap[i]).find(".pName").html()+"旅客类型不符，请修改为儿童");
                                return;
                            }
                        }else{
                            if(new Date($(ap[i]).attr("data-birthday").replace(/-/g,"/")) < sCnnDate){
                                pop.notice($(ap[i]).find(".pName").html()+"旅客类型不符，请修改为成人");
                                return;
                            }
                            if(new Date($(ap[i]).attr("data-birthday").replace(/-/g,"/")) > bCnnDate){
                                pop.notice($(ap[i]).find(".pName").html()+"旅客类型不符，请修改为婴儿");
                                return;
                            }
                        }
                    }
                    if(international){
                        for(var i=0;i<ap.length;i++){
                            if(DateDiff($(ap[i]).attr("data-date"),go.beginDate) < 0){
                                pop.notice($(ap[i]).find(".pName").html()+"护照已过期");
                                return;
                            }
                        }
                    }
                    for(var i=0;i<ap.length;i++){
                        for(var j=(i+1);j<ap.length;j++){
                            if($(ap[i]).find(".pId").html() == $(ap[j]).find(".pId").html()){
                                pop.notice("乘机人证件号码不能一样");
                                return;
                            }
                        }
                    }
                    
                    
                    if($(".contactsName").val() == ""){
                        pop.notice("请添加联系人");
                        return;
                    }
                    
                    if(namePdCStr.test($(".contactsName").val())){
                        if(!nameCStr.test($(".contactsName").val())){
                            addClick = true;
                            pop.notice("请填写正确的姓名");
                            return;
                        }
                        if($(".contactsName").val().length > 10){
                            addClick = true;
                            pop.notice("请填写正确的姓名");
                            return;
                        }
                    }else{
                        if(!nameEStr.test($(".contactsName").val())){
                            addClick = true;
                            pop.notice("请填写正确的姓名");
                            return;
                        }
                        if($(".contactsName").val().length > 24){
                            addClick = true;
                            pop.notice("请填写正确的姓名");
                            return;
                        }
                    }
                    
                    if($(".contactsPhone").val() == ""){
                        pop.notice("请添加手机号码");
                        return;
                    }
                    if(!telStr.test($(".contactsPhone").val())){
                        pop.notice("请输入有效的手机号码");
                        return;
                    }
                    if($(".contactsEmail").val() == ""){
                        pop.notice("请输入电子邮箱");
                        return;
                    }
                    if($(".contactsEmail").val() != ""){
                        if(!emailStr.test($(".contactsEmail").val())){
                            pop.notice("请输入有效的邮箱");
                            return;
                        }
                    }
                    if($(".captionMs img").attr("checked") == "false"){
                        $(".generateOrder").attr("href","#servers");
                        pop.notice("请勾选同意说明");
                        return;
                    }
                    //支付接口数据
                    var travelers = [];
                    $(".airPerson").each(function(i,item){
                       travelers.push($(item).attr("data-pid"));
                    });
                    
                    var singToken = hkprotect();
                    
                    var json = {
                        'tripOptionId': go.uri,
                        'traveler': travelers,
                        'auxiliarygo': [],
                        'auxiliaryback':[],
                        'customer': user.userId,
                        'IsMailTrip':emailState,
                        'userId':singToken.userId+"",
                        'timeSpan':singToken.timeSpan,
                        'singToken':singToken.singToken,
                        'userLinkMan':$(".contactsName").val().trim(),
                        'userLinkPhone':$(".contactsPhone").val(),
                        'userLinkEmail':$(".contactsEmail").val()
                    };
                    appcan.locStorage.val("airPayParam",JSON.stringify(json));
                    console.log("====支付接口数据");
                    console.log(json);
                    
                    //辅盈加载数据
                    var json2 = {
                        uri: go.uri,//查询税费后的uri
                        segmentIndex: "1",//1去成 2 返程
                    };
                    appcan.locStorage.val("airAddValueParam",JSON.stringify(json2));
                    
                    //传送至辅盈参数
                    var personValue = {};
                    var personKgs = [];//乘机人
                    //----personMenus总列表对应明细
                    $(".airPerson").each(function(i,item){
                        var name = $(item).find(".pName").html();
                        var type = $(item).find(".pType").html();
                        var pid = $(item).attr("data-pid");
                        var nums = $(item).find(".pId").html();
                        var personKg = {
                            "pid":pid,
                            "name":name,
                            "type":type,
                            "nums":nums
                        };
                        personKgs.push(personKg);
                    });
                    personValue = {
                        'personKgs':personKgs,
                        'personMenus':personMenus,//订单列表
                        'payHandle':payHandle,
                        "personPriceSum":$(".sum").html()
                    }
                    appcan.locStorage.val("personValue",personValue);
                    appcan.locStorage.val("suifeilist",suifeilist);
                    console.log("====传送辅盈参数");
                    console.log(JSON.parse(appcan.locStorage.val("personValue")));
                    
                    //传送确认订单参数
                    var confirm = {
                        "startCity":go.beginCityName[0],
                        "endCity":go.endCityName[0],
                        "airNum":go.flightAirLine+go.flightNum,
                        "startDate":go.beginDate+"&nbsp;"+week[go.beginDateWeek],
                        "startCityPlan":go.beginCityName[1],
                        "startTime":go.beginDateTime.substring(0,go.beginDateTime.lastIndexOf(":")),
                        "endCityPlan":go.endCityName[1],
                        "endTime":go.endDateTime.substring(0,go.endDateTime.lastIndexOf(":")),
                        "personKgs":personKgs
                    };
                    console.log("====传送确认订单参数");
                    appcan.locStorage.val("confirm",confirm);
                    console.log(JSON.parse(appcan.locStorage.val("confirm")));
                    appcan.window.open("addValue", "addValue.html", 10);
                });
                //计算天数差
                function  DateDiff(sDate1,  sDate2){    //sDate1和sDate2是2006-12-18格式    
                      var  aDate,  oDate1,  oDate2,  iDays;   
                      aDate  =  sDate1.split("-");  
                      oDate1  =  new  Date(aDate[1]  +  '/'  +  aDate[2]  +  '/'  +  aDate[0]);    //转换为12-18-2006格式    
                      aDate  =  sDate2.split("-");    
                      oDate2  =  new  Date(aDate[1]  +  '/'  +  aDate[2]  +  '/'  +  aDate[0]);    
                      iDays  =  parseInt((oDate1  -  oDate2)  /  1000  /  60  /  60  /24);    //把相差的毫秒数转换为天数   
                      return  iDays;
                }
            },
            error:function(cols,error,options){
                console.log("airTicketOrderView获取数据错误====>");
                console.log(error);
                pop.close();
                if(isDefine(error)){ //不为 null
                    if(error == "timeout"){ //超时处理
                        pop.notice("请求超时");
                        setTimeout(function(){
                            appcan.window.close(-1);
                        },2000);
                    }else if(error == "noNetwork"){
                        pop.notice("请检查网络");
                        setTimeout(function(){
                            appcan.window.close(-1);
                        },2000);
                    }else if(error.flag == "0014"){
                        pop.notice("暂无该航班信息");
                        setTimeout(function(){
                            appcan.window.publish("closeBookingPage","");
                            appcan.window.open("index","../index.html",10);
                        },2000);
                    }else if(error.flag == "9995"){
                        pop.notice("操作异常,请重新登录");
                        setTimeout(function(){
                            appcan.window.publish("closeBookingPage","");
                            appcan.window.open("index","../index.html",10);
                        },2000);
                    }else{ //后台错误码处理
                        pop.notice("系统出错了，请重试！");
                        //setTimeout(function(){
                        //    appcan.window.close(-1);
                        //},2000);
                    }
                }else{
                    pop.notice("系统出错了，请重试！");
                    setTimeout(function(){
                        appcan.window.close(-1);
                    },2000);
                }
            }
            
        });
    }
});

var airTicketOrderViewObj=new airTicketOrderView();


