//view 业务与交互逻辑处理
var miao = 0;
var miaos = "";
//默认列表模板 templateType==0
var allOrdersItemTemplate = loadTemplate('../mvc/templates/allOrdersItem.html');

var allOrdersItemView = Backbone.View.extend({
    initialize : function(option) {
        this.model.view = this;
        this.render();
    },
    template : allOrdersItemTemplate,
    render : function() {
        if (this.template) {
            //模板填充生成DOM
            ////console.log(this.template(this.model.attributes));
            this.$el = $(this.template(this.model.attributes));

            //资讯列表model点击事件跳转详情
            //var btn_key = 1;
        }
        return this;
    }
});

var allOrdersItemListView = Backbone.View.extend({
    initialize : function() {
        this.listenTo(this.collection, "add", this.add);
        this.listenTo(this.collection, "remove", this.remove);
    },
    collection : new allOrdersCollection(),
    pageNum : 1,
    pageCount : 0,
    el : '#ordersItem_0',
    isOver : 0,
    add : function(model, options) {
        var view = new allOrdersItemView({
            model : model
        });
        this.$el.append(view.$el);
    },
    remove : function(model) {
        model.view.remove();
    },
    load : function(type, conditions, cb) {
        var self = this;
        if (type == 0) {
            self.pageNum = 1;
            this.isOver = 0;
            //先清空页面
            self.$el = $("#ordersItem_" + conditions.orderType);
            self.$el.html("");
        } else {
            if ((self.pageNum - 1) * 10 > self.pageCount) {
                cb();
                //console.log("超出总分条数");
                if (!this.isOver) {
                    pop.notice("暂无更多的数据");
                    this.isOver = 1;
                }
                return;
            }
        }

        conditions["pageNumIndex"] = self.pageNum;
        //获取接口参数---订单列表

        var if_list = getInterface('getMyOrders', conditions);

        //console.log(JSON.stringify(if_list));

        pop.loading();
        this.collection.fetch({
            param : if_list,
            success : function(cols, resp, options) {
                //console.log("-->allOrdersItemView返回=====>");
                //console.log(resp);
                //服务器时间
                miaos = setInterval(function(){
                    if(miao*600000==resp.data.systemTime)
                    {
                        clearInterval(miaos);
                    }
                    miao++;
                },1000);
                //alert("===>"+JSON.stringify(resp));
                self.pageCount = resp.data.total;

                if (type == 0) {
                    if (cols.length <= 0) {
                        self.$el.html(showNoInfo("暂无数据"));
                    } else {
                        self.pageNum++;
                        self.$el.find('.noInfo').remove();
                    }
                } else {
                    if (resp.length <= 0) {
                        pop.notice("暂无更多的数据");
                    } else {
                        self.pageNum++;
                    }
                }

                if (cb) {
                    pop.close();
                    cb();
                }
                
                var btn_key=1;
                //列表相关点击事件,除单个model的整体事件
                appcan.button(".detailItem", "btn-act", function(e) {
                    //自定义添加监听是否为点击事件--防止点击与滑动冲突
                    if(typeof istouchMove != "undefined" && istouchMove){
                        return;
                    };
                    
                    if (btn_key == 1) {
                        btn_key = 0;
                        var $orderItemObj = $(this);
                        var orderTypeVal = $orderItemObj.data("ordertype");
                        var orderStatusVal = $orderItemObj.data("orderstatus");
                        //保存详情需要的订单列表信息
                        var orderItemInfo = {
                            "orderId" : this.id,
                            "orderType" : orderTypeVal,
                            "orderStatus" : orderStatusVal
                        }
                        appcan.locStorage.setVal("orderItemInfo", orderItemInfo);
    
                        if (orderTypeVal == 1) {//机票订单
                            appcan.window.open("orderDetailProgress", "orderDetailProgress.html", 10);
                        } else if (orderTypeVal == 2) {//辅营订单
                            appcan.window.open("orderDetailProgress_extra", "orderDetailProgress_extra.html", 10);
                        } else {
                            pop.notice("产品正在设计中...");
                        }
    
                        setTimeout(function() {
                            btn_key = 1;
                        }, 1000);
                    }
                    
                    //终止事件冒泡
                    e.stopPropagation();
                });
                 //选择乘机人购买辅营
                appcan.button(".order-extra-btn", "", function(e) {
                    if (btn_key == 1) {
                        btn_key = 0;
    
                        var $orderItemObj_ = $(this);
                        var orderIdVal = $orderItemObj_.data("objid");
    
                        var orderExtraInfo = appcan.locStorage.val("orderExtraInfo") || "";
                        if (isDefine(orderExtraInfo)) {
                            orderExtraInfo = JSON.parse(orderExtraInfo);
    
                            //保存预订辅营需要的订单列表信息
                            var orderItemExtraInfo = orderExtraInfo[orderIdVal];
    
                            //console.log("跳转辅营需要的数据===>");
                            //console.log(orderItemExtraInfo);
                            
                            if(orderItemExtraInfo.length==1)
                            {
                                var conditions = {
                                    "piaohao": orderItemExtraInfo[0].detailTicketNumber,
                                    "xingname":orderItemExtraInfo[0].piName,
                                    "type":1
                                }
                                appcan.locStorage.val("Reservation",conditions);
                                appcan.window.open("airDynamic_Reservation", "airDynamic_Reservation.html", 10);                            
                            }
                            else if(orderItemExtraInfo.length>1)
                            {
                                appcan.locStorage.val("orderItemExtraInfo", orderItemExtraInfo);
                                appcan.window.open("airDynamic_addticket", "airDynamic_addticket.html", 10);   
                            }
                        } else {
                            pop.notice("无票号数据!");
                        }
    
                        setTimeout(function() {
                            btn_key = 1;
                        }, 1000);
                        
                        //终止事件冒泡
                        e.stopPropagation();
                    }
                });
    
                //支付订单
                appcan.button(".order-pay-btn", "", function(e) {
                    if (btn_key == 1) {
                        btn_key = 0;
    
                        var $orderItemObj_ = $(this).parent().parent(".actionType");
                        var orderIdVal = $orderItemObj_.data("objid");
                        var totalPrice = $orderItemObj_.data("totalprice");
                        var orderTypeVal = $orderItemObj_.data("ordertype");
                        var orderNo = $orderItemObj_.data("orderno");
                        var paytime = $orderItemObj_.data("paytime");
                        var systemtime = $orderItemObj_.data("systemtime");
                        
                        if (isDefine(orderIdVal)) {
                            if (orderTypeVal == 2) {
                                var dingdanhao = {
                                    "resvCode" : orderNo,
                                    "totalPrice" : totalPrice
                                }
                                appcan.locStorage.val("resvCode", dingdanhao);
                                appcan.window.open("airDynamic_dingdanzhifu", "airDynamic_dingdanzhifu.html", 10);
                                //辅盈支付
    
                            } else if (orderTypeVal == 1) {
                                var oederPayinfo = {
                                    "resvCode" : orderNo,
                                    "totalPrice" : totalPrice,
                                    "payTime":paytime,
                                    "systemTime":systemtime+(miao*1000)
                                }
                                appcan.locStorage.val("oederPayinfo", oederPayinfo);
                                ////console.log(systemtime+"********");
                                ////console.log(oederPayinfo.systemTime+"=======");
                                //订单支付信息
                                appcan.locStorage.val("orderPaytimgtype", "yes");
                                //跳支付页面关闭的参数
                                //appcan.locStorage.val("orderClosetype", "ordertopaid");
                                
                                appcan.locStorage.val("payCloseToWhere","allOrders");
                                //判断是生成订单后直接支付还是 在个人订单列表跳转
                                appcan.window.open("orderPayment", "orderPayment.html", 10);
                                //机票支付
                            }
                        } else {
                            pop.notice("无票号数据!");
                        }
    
                        setTimeout(function() {
                            btn_key = 1;
                        }, 1000);
                        
                        //终止事件冒泡
                        e.stopPropagation();
                    }
                });
    
                //退票
                appcan.button(".order-cancel-btn", "", function(e) {
                    if (btn_key == 1) {
                        btn_key = 0;
                        
                        var $orderItemObj_ = $(this).parent().parent(".actionType");
                        var orderIdVal = $orderItemObj_.data("objid");
                        var orderTypeVal = $orderItemObj_.data("ordertype");
                        var orderNo = $orderItemObj_.data("orderno");

                        var userInfo = appcan.locStorage.val("userInfo")||"";
                        userInfo = JSON.parse(userInfo);                                               
                        if (isDefine(orderIdVal)) {
                            if (orderTypeVal == 2) {//退票辅盈订单（暂未协商好）
                                // pop.confirm(1,"提示","请前往西部航空官方网站www.westair.cn或拨打95373提交退订增值产品申请!",function(){
//                                     
                                // });                                
                                var orderItemInfo = {
                                    "orderId" : orderIdVal,
                                    "userId" : userInfo.userId
                                }
                                appcan.locStorage.setVal("exitOrderInfo", orderItemInfo);                               
                                pop.confirm(0, "", "确认退订增值服务？", function(data) {
                                    if (data == 0) {
                                        appcan.window.open("airDynamic_ApplyViceCamp","airDynamic_ApplyViceCamp.html",10);
                                    }
                                })
                            } else if (orderTypeVal == 1) {//退票机票订单  
                                var orderItemInfo = {
                                    "reservationCode" : orderNo,
                                    "orderId" : orderIdVal
                                }
                                appcan.locStorage.setVal("exitOrderInfo", orderItemInfo);
                                pop.confirm(0, "", "确认退订机票？", function(data) {
                                    if (data == 0) {
                                        appcan.window.open("airDynamic_ApplyRefund","airDynamic_ApplyRefund.html",10);
                                    }
                                })                            
                            }
                        } else {
                            pop.notice("无票号数据!");
                        }                        
                        //pop.confirm(1,"提示","请前往西部航空官方网站www.westair.cn或拨打95373提交退票申请!",function(){});
                        
                        setTimeout(function() {
                            btn_key = 1;
                        }, 1000);
                        
                        //终止事件冒泡
                        e.stopPropagation();
                    }
                });
    
                //取消订单
                appcan.button(".ticket-cancel-btn", "", function(e) {
                    if (btn_key == 1) {
                        btn_key = 0;
    
                        var $orderItemObj_ = $(this).parent().parent(".actionType");
                        var orderIdVal = $orderItemObj_.data("objid");
                        var totalPrice = $orderItemObj_.data("totalprice");
                        var orderTypeVal = $orderItemObj_.data("ordertype");
                        var orderNo = $orderItemObj_.data("orderno");
                        //alert(orderIdVal+"=="+orderTypeVal);
                        var userInfo = appcan.locStorage.val("userInfo")||"";
                        userInfo = JSON.parse(userInfo);
                        if (isDefine(orderIdVal)) {
                            if (orderTypeVal == 2) {//取消辅盈订单
                                var orderItemInfo = {
                                    "OrderId" : orderIdVal,
                                    "orderStatus" : "",
                                    "resvCode" : orderNo,
                                    "UserId" : userInfo.userId,
                                    "OrderType" : orderTypeVal
                                }
                                appcan.locStorage.setVal("orderItemInfo", orderItemInfo);
                                pop.confirm(0, "", "确认取消当前订单？", function(data) {
                                    if (data == 0) {
                                        orderDetailProgressViewObj.cancelOrder(orderItemInfo.orderType, orderItemInfo.orderId, orderItemInfo);
                                    }
                                })
                            } else if (orderTypeVal == 1) {//取消机票订单 
                                var orderItemInfo = {
                                    "OrderId" : orderIdVal,
                                    "UserId" : userInfo.userId,
                                    "OrderType" : orderTypeVal
                                }
                                appcan.locStorage.setVal("orderItemInfo", orderItemInfo);
                                pop.confirm(0, "", "确认取消当前订单？", function(data) {
                                    if (data == 0) {
                                        orderDetailProgressViewObj.cancelTicket(orderItemInfo,"viewlie");
                                    }
                                })                            
                            }
                        } else {
                            pop.notice("无票号数据!");
                        }
    
                        setTimeout(function() {
                            btn_key = 1;
                        }, 1000);
                        
                        //终止事件冒泡
                        e.stopPropagation();
                    }
                });
            },
            error : function(cols, error, options) {
                if (cb) {
                    pop.close();
                    cb();
                }
                pop.notice("数据获取失败");
            },
            add : true,
            remove : (type == 0) ? true : false,
            merge : true
        });
    }
});

var allOrdersItemListViewObj = new allOrdersItemListView();

