var focuslistTemplate=loadTemplate('../mvc/templates/focuslist.html');

var focusView=Backbone.View.extend({
    initialize:function(option){
        this.model.view=this;
        this.render();
    },
    template:focuslistTemplate,
    render:function(){
        if(this.template){
            //模板填充生成DOM
            ////console.log("关注列表======>");
            ////console.log(JSON.stringify(this.model.attributes)+"----------");
            
            ////console.log(this.template(this.model.attributes)+"****************");
            //this.$el=$(this.template());
            this.$el=this.template(this.model.attributes);

        }
        return this;
    }
});

var focuslistView=Backbone.View.extend({
    initialize:function(){
        this.listenTo(this.collection,"add",this.add);
        this.listenTo(this.collection,"remove",this.remove);
    },
    collection:new focuslistCollection(),
    pageNum:1,
    el:'#guanzhu',
    add:function(model,options){
        var view=new focusView({
            model:model
        });

        this.$el.append(view.$el);
    },
    remove:function(model){
        model.view.remove();
    },
    load:function(conditions){
        var self=this;
        //先清空页面
        self.$el.html("");
       
        //获取接口参数---订单列表
        if_list=getInterface('getFoculist',conditions);
        
        //console.log("用户关注接口======>"+JSON.stringify(if_list));
        
        //pop.loading();
        this.collection.fetch({
            param:if_list,
            success:function(cols,resp,options){
                //console.log("用户关注返回=====>");
                //console.log(resp);
                if(resp.flag=="9999")
                {
                    pop.notice("系统升级中，请稍后再试");
                }
                $("#guanzhu").show();
                if(resp.data.length==0)
                {
                    self.$el.html("<div class='ub ub-ac ub-pc ub-fv ub-fh' style='padding-top:7em;'>你还没有关注任何航班哦~</div>");
                }                
                //资讯列表model点击事件
                var btn_key=1;
                appcan.button(".topbian","btn-act",function(e){
                    if(btn_key==1){
                        btn_key=0;
                        var $domObj=$(this);
    
                        //用户登录ID
                        //var userId = appcan.locStorage.val("senduserId");
                        //获取列表mode数据需要的字段数据，并保存以供使用
                        var newsItemInfo={};
                        var stratcityinfos={};
                         //if(userId===0)//用户没有登录
                         //{
                             newsItemInfo={
                                "flightName":$domObj.data('bianhao')+"",
                                "flighttime":$domObj.data('datop'),
                                "hangxian":$domObj.data('hangbanes'),
                                "findtype":"HB",
                                "type":1,
                                "datatype":"guanzhu"
                             };
                             stratcityinfos={
                                 "satratcity":$domObj.data('qifeiskt'),
                                 "zhuangtai":$domObj.data('index'),
                                 "etd":$domObj.data('etd')
                             };                
                         //}
                        
                       //传递点击列表信息
                       ////console.log(JSON.stringify(stratcityinfos)+"*-/-/*-/-*/*-/*-");
                        appcan.locStorage.setVal('focusjg',newsItemInfo);
                        appcan.locStorage.setVal('focusindex',stratcityinfos);
                       //跳转详细页面
                        appcan.window.open('airDynamic_findjg','airDynamic_findjg.html',10);
    
                        setTimeout(function(){btn_key=1;},1000);
                    }
                });                
                //取消关注
                appcan.button(".quxiaoguanzhu","btn-act", function() {
                    var ksid = $(this).attr("data-qx");
                    var focusoff = {
                            "ScheId":ksid              //用户关注的主键
                    };
                    FocusOnViewObj.FocusOff(focusoff);
                    
                })
                
                pop.close();
            },
            error:function(cols,error,options){
                pop.close();
                if(isDefine(error)){ //不为 null
                    if(error == "noNetwork"){ //网络处理
                         pop.notice("请检查网络");
                    }
                    else if(error == "timeout"){ //超时处理
                         pop.notice("请求超时");
                    }else{ //后台错误码处理
                         pop.notice("查询失败,请重试");
                    }
                }else{
                    pop.notice("查询失败,请重试");
                }
                //console.log(error);
            },
            add:true,
            remove:false,
            merge:true
        });
    }
});

var focuslistViewObj=new focuslistView();

