var getCodeView = Backbone.View.extend({
    model : new getCodeModel(),
    initialize : function() {
        //用于数据与页面进行绑定
        this.stickit();
    },
    //isGetData:0,
    el : 'body',
    bindings : {
        '#userName' : 'username'
    },
    sendCode : function(optTypeNum) {
        
        //去除字符串所有空格
        var str = $("#userName").val();

        this.model.attributes.username = str;  
        
        //验证用户输入是否合法
        if (!this.model.isValid()) {
            //提示
            pop.notice(this.model.validationError);
            this.isGetData=0;
            return false;
        }else{
           //if(this.isGetData==0)
           //{
               var timerInit = timer.init();
               if(!timerInit){
                   this.isGetData=0;
                   return false;
               }   
                           
           //}
        }
        
        var sendrUrl = "";
        if(optTypeNum==""){
            sendrUrl = appAjax.westAirUrl;
        }else{
            sendrUrl = appAjax.messageUrl;
        }
        
        //this.isGetData=1;
        this.model.save({}, {
            optType:optTypeNum,
            postUrl:sendrUrl, //短信接口地址
            success : function(cols, resp, options) {
                //console.log("验证码成功发送的结果=====>");
                //console.log(resp);
                
                pop.notice("验证码已发送，请注意接听",2);
                
                //开始timer
                timer.start();
                //this.isGetData=0;
               
            },
            error : function(cols, error, options) {
                if(isDefine(error)){ //不为 null
                    if(error == "noNetwork"){ //网络处理
                         pop.notice("请检查网络");
                    }                    
                    else if(error == "timeout"){ //超时处理
                         pop.notice("请求超时");
                    }else{ //后台错误码处理
                        if(error.flag==="4052"){
                            pop.notice("手机号已注册");
                        }
                        else if(error.flag==="4053")
                        {
                            pop.notice("该手机号未注册");
                        }
                        else if(error.flag==="4108")
                        {
                            pop.notice("短信发送太频繁,请稍后重试");
                        }
                        else if(error.flag==="4106")
                        {
                            pop.notice("短信发送次数已超限");
                        }                                              
                        else
                        {
                            pop.notice("验证码发送失败,请稍后重试");
                        }
                    }
                }else{
                    pop.notice("验证码发送失败,请稍后重试");
                }
                timer.clear();
                //this.isGetData=0;
                //console.log("验证码发送失败====>");
                //console.log(error);
            }
        })
    }
    
});

//初始化登录View层
getCodeViewObj = new getCodeView();
