
//model自处理方式，直接接收集合--专题主题获取
var orderPaymentView=Backbone.View.extend({
    initialize:function(){
        
    },
    model:new orderPaymentModel(),
    el : 'body',
    load:function(objId,conditions){
        pop.loading();
        var self=this;
        
        //接口参数--获取资讯详情
        var if_list = getInterface('airSearchCreateOrder', conditions);
        
        //console.log("orderPaymentView详情接口===>");
        //console.log(JSON.stringify(if_list));
        
        //view从model拿数据
        this.model.fetch({
            param:if_list,
            success:function(cols,resp,options){
                $("#ScrollContent_orderPayment").css("display","block");
                pop.close();
                //console.log(" --> airTicketOrderView详情返回====>");
                //console.log(resp.data);
                $(".payNum").html(resp.data.reservationInfo.reservationCode);
                $(".payMoney").html(resp.data.totalPrice);
                $("#payTime").val(resp.data.order.orderCreateTime);
                var res = dateBetween(new Date(resp.data.systemTime), new Date(resp.data.order.orderCreateTime + 600000));
                var time = setInterval(function(){
                     Countdown();
                 },1000);  
                //倒计时
                var maxM = res.minutes;
                var maxS = res.seconds;
                function Countdown(){
                    if(maxM == 0 && maxS == 0){
                        clearInterval(time);   
                        //appcan.locStorage.val("soldOutStr","由于您在规定时间内未支付，订单已自动取消，为保障订单的有效性，您可以");
                        //appcan.window.open("soldOut","soldOut.html",10);
                        return;
                    }
                    if(maxS > 0)
                    {
                        maxS--;
                    }else{
                        maxM--;
                        maxS = 59;
                    }
                    var mm = maxM;
                    var ss = maxS;
                    if(maxM < 10){
                         mm = "0" +maxM;
                     }
                     if(maxS < 10)
                     {
                         ss = "0" +maxS;
                     }
                    $(".countDown").html(mm+"分"+ss+"秒");
                     
                }
                
    
                
            },
            error:function(cols,error,options){
                pop.close();
                //console.log("airTicketOrderView获取数据错误====>");
                //console.log(error);
                if(isDefine(error)){ //不为 null
                    if(error == "timeout"){ //超时处理
                         appcan.locStorage.val("soldOutStr","超时，订单已自动取消，为保障订单的有效性，您可以");
                        appcan.window.open("soldOut","soldOut.html",10);
                    }else if(error == "noNetwork"){
                        pop.notice("请检查网络");
                        setTimeout(function(){
                            appcan.window.close(-1);
                        },2000);
                    }else if(error.flag == "0121"){
                        appcan.locStorage.val("soldOutStr","对不起，您的今日下单量已达上限，不能继续下单，如有疑问请联系客服中心。");
                        appcan.window.open("soldOut","soldOut.html",10);
                    }else if(error.flag == "0123"){
                        appcan.locStorage.val("soldOutStr","对不起，您的订单尚未取消，请取消后重新预订。");
                        appcan.window.open("soldOut","soldOut.html",10);
                    }else if(error.flag == "9995"){
                        appcan.locStorage.val("soldOutStr","对不起，操作异常，请重新登录。");
                        appcan.window.open("soldOut","soldOut.html",10);
                    }else{ //后台错误码处理
                        pop.notice("系统错误");
                        appcan.locStorage.val("soldOutStr","系统错误，订单已自动取消，为保障订单的有效性，您可以");
                        appcan.window.open("soldOut","soldOut.html",10);
                    }
                }else{
                    pop.notice("系统错误");
                    appcan.locStorage.val("soldOutStr","系统错误，订单已自动取消，为保障订单的有效性，您可以");
                        appcan.window.open("soldOut","soldOut.html",10);
                }
                
            }
            
        });
    }
});

var orderPaymentViewObj=new orderPaymentView();


